<?php
$TITLE = '';
$NAME = '';
$URL = '';
$IMAGE = '';
                                                 
if (basename($_SERVER['PHP_SELF']) === FILENAME_PRODUCT_INFO)
{
  $NAME = htmlspecialchars($product_info['products_name'], ENT_QUOTES);
  $TITLE = urlencode($product_info['products_name']);
  $URL = urlencode(StripSID(tep_mobile_link(FILENAME_PRODUCT_INFO, 'products_id=' . $product_info['products_id'], 'NONSSL', false )));
  $IMAGE = urlencode(StripSID(tep_mobile_link(DIR_WS_IMAGES . $product_info['products_image'], '', 'NONSSL', false )));
}
else if (! tep_not_null($TITLE) && isset($_GET['cPath']))
{
  $parts = explode("_", $_GET['cPath']);
  $category_id = $parts[count($parts) - 1];
  $category_query = tep_db_query("select cd.categories_name, c.categories_image from " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd where c.categories_id = '" . (int)$category_id . "' and cd.categories_id = '" . (int)$category_id . "' and cd.language_id = '" . (int)$languages_id . "'");
  $category = tep_db_fetch_array($category_query);
  $NAME = htmlspecialchars($category['categories_name'], ENT_QUOTES);
  $TITLE = urlencode($category['categories_name']);
  $URL = urlencode(StripSID(tep_mobile_link(FILENAME_DEFAULT, 'cPath=' . $category_id , 'NONSSL', false )));
  $IMAGE = urlencode(StripSID(tep_mobile_link(DIR_WS_IMAGES . $category['categories_image'], '', 'NONSSL', false )));
}
else 
  $URL = urlencode("http://" . StripSID(tep_mobile_link(basename($_SERVER['PHP_SELF']))));

$str_replace_from = array('-mc-', '-mi-', '-mby-', '-mpr-', '-mpri-', '-mp-', '-mm-', 'catalog_mb.php', 'about.php',  'search.php', 'options.php', urlencode(HTTP_MOBILE_SERVER . DIR_WS_HTTP_MOBILE), '?redirectCancelled=true', '&redirectCancelled=true');
$str_replace_to = array('-c-', '-i-', '-by-', '-pr-', '-pri-', '-p-', '-m-', 'index.php', 'index.php', 'index.php', 'index.php', urlencode(HTTP_SERVER . DIR_WS_HTTP_CATALOG));
$URL = str_replace($str_replace_from, $str_replace_to, $URL); ?>

<div data-role="controlgroup" data-type="horizontal" data-mini="true">  

  <a rel="nofollow" data-role="button" data-theme="a" target="_blank" href="http://del.icio.us/post?url=<?php echo $URL . '&amp;title=' . $TITLE; ?>">
  <?php echo tep_image(DIR_WS_IMAGES . 'socialbookmark/delicious.png', 'Add ' . $NAME . ' to del.icio.us'); ?></a>

  <a rel="nofollow" data-role="button" data-theme="a" target="_blank" href="http://digg.com/submit?phase=2&url=<?php echo $URL . '&amp;title=' . $TITLE; ?>">
  <?php echo tep_image(DIR_WS_IMAGES . 'socialbookmark/digg.png', 'Add ' . $NAME . ' to Digg'); ?></a>
  
  <a rel="nofollow" data-role="button" data-theme="a" target="_blank" href="http://ekstreme.com/socializer/?url=<?php echo $URL . '&amp;title=' . $TITLE; ?>">
  <?php echo tep_image(DIR_WS_IMAGES . 'socialbookmark/Socializer16.png', 'Add ' . $NAME . ' to Ekstreme'); ?></a>
  
  <a rel="nofollow" data-role="button" data-theme="a" target="_blank" href="http://www.facebook.com/share.php?u=<?php echo $URL . '&amp;title=' . $TITLE; ?>">
  <?php echo tep_image(DIR_WS_IMAGES . 'socialbookmark/facebook.png', 'Add ' . $NAME . ' to Facebook'); ?></a>

  <a rel="nofollow" data-role="button" data-theme="a" target="_blank" href="http://furl.net/storeIt.jsp?t=<?php echo $URL . '&amp;title=' . $TITLE; ?>">
  <?php echo tep_image(DIR_WS_IMAGES . 'socialbookmark/furl.png', 'Add ' . $NAME . ' to Furl'); ?></a>

  <a rel="nofollow" data-role="button" data-theme="a" target="_blank" href="http://www.google.com/bookmarks/mark?op=edit&amp;bkmk=<?php echo $URL . '&amp;title=' . $TITLE; ?>">
  <?php echo tep_image(DIR_WS_IMAGES . 'socialbookmark/google.png', 'Add ' . $NAME . ' to Google'); ?></a>

  <a rel="nofollow" data-role="button" data-theme="a" target="_blank" href="http://www.newsvine.com/_tools/seed&save?u==<?php echo $URL . '&amp;h=' . $TITLE; ?>">
  <?php echo tep_image(DIR_WS_IMAGES . 'socialbookmark/newsvine.png', 'Add ' . $NAME . ' to Newsvine'); ?></a>

  <a rel="nofollow" data-role="button" data-theme="a" target="_blank" href="http://reddit.com/submit?url=<?php echo $URL . '&amp;title=' . $TITLE; ?>">
  <?php echo tep_image(DIR_WS_IMAGES . 'socialbookmark/reddit.png', 'Add ' . $NAME . ' to Reddit'); ?></a>

  <a rel="nofollow" data-role="button" data-theme="a" target="_blank" href="http://technorati.com/cosmos/search.html?url=<?php echo $URL . '&amp;title=' . $TITLE; ?>">
  <?php echo tep_image(DIR_WS_IMAGES . 'socialbookmark/technorati.png', 'Add ' . $NAME . ' to Technorati'); ?></a>

  <a rel="nofollow" data-role="button" data-theme="a" target="_blank" href="http://twitter.com/home?status=Check%20out%20<?php echo $URL . '&amp;title=' . $TITLE; ?>">
  <?php echo tep_image(DIR_WS_IMAGES . 'socialbookmark/twitter.png', 'Add ' . $NAME . ' to Twitter'); ?></a>

  <a rel="nofollow" data-role="button" data-theme="a" target="_blank" href="http://myweb.yahoo.com/myresults/bookmarklet?u=<?php echo $URL . '&amp;t=' . $TITLE; ?>">
  <?php echo tep_image(DIR_WS_IMAGES . 'socialbookmark/yahoo.png', 'Add ' . $NAME . ' to Yahoo myWeb'); ?></a>

  <a rel="nofollow" data-role="button" data-theme="a" target="_blank" href="http://www.stumbleupon.com/submit?url=<?php echo $URL . '&amp;title=' . $TITLE; ?>">
  <?php echo tep_image(DIR_WS_IMAGES . 'socialbookmark/stumble1.gif', 'Add ' . $NAME . ' to Stumbleupon'); ?></a>

  </div>