<?php
/*
  $Id: shipping_estimator.php,v 2.20 2004/07/01 15:16:07 eml Exp $

  v2.00 by Acheron + installed Fix for v2.0 and all other versions Acheron 7 Jul 2004
  (see Install.txt for partial version history)

  Copyright (c) 2004

  Released under the GNU General Public License

+ installed Fix for v2.0 and all other versions Acheron 7 Jul 2004 
*/
?>
<!-- shipping_estimator //-->
<script type="text/javascript">
  function shipincart_submit(sid){
    if(sid){
      document.estimator.sid.value=sid;
    }
    document.estimator.submit();
    return false;
  }
</script>

<?php

  require(DIR_WS_LANGUAGES . $language . '/modules/' . FILENAME_SHIPPING_ESTIMATOR);

if (($cart->count_contents() > 0)) {

  // shipping cost
  require(DIR_WS_CLASSES . 'http_client.php'); // shipping in basket

  //if($cart->get_content_type() !== 'virtual') {
  if (tep_session_is_registered('customer_id')) {
      // user is logged in
      if (isset($HTTP_POST_VARS['address_id'])){
        // user changed address
        $sendto = $HTTP_POST_VARS['address_id'];
      }elseif (tep_session_is_registered('cart_address_id')){
        // user once changed address
        $sendto = $HTTP_POST_VARS['cart_address_id'];
      }else{
        // first timer
        $sendto = $HTTP_POST_VARS['customer_default_address_id'];
      }
      // set session now
      $cart_address_id = $sendto;
      tep_session_register('cart_address_id');
      // set shipping to null ! multipickup changes address to store address...
      $shipping='';
      // include the order class (uses the sendto !)
      require(DIR_WS_CLASSES . 'order.php');
      $order = new order;
    }else{
// user not logged in !
      if (isset($HTTP_POST_VARS['country_id'])){
        // country is selected
        $country_info = tep_get_countries($HTTP_POST_VARS['country_id'],true);
        $cache_state_prov_values = tep_db_fetch_array(tep_db_query("select zone_code from " . TABLE_ZONES . " where zone_country_id = '" . $HTTP_POST_VARS['country_id'] . "' and zone_id = '" . $HTTP_POST_VARS['state'] . "'"));
        $cache_state_prov_code = $cache_state_prov_values['zone_code'];
        $order->delivery = array('postcode' => $HTTP_POST_VARS['zip_code'],
                                 'state' => $cache_state_prov_code,
                                 'country' => array('id' => $HTTP_POST_VARS['country_id'], 'title' => $country_info['countries_name'], 'iso_code_2' => $country_info['countries_iso_code_2'], 'iso_code_3' =>  $country_info['countries_iso_code_3']),
                                 'country_id' => $HTTP_POST_VARS['country_id'],
//add state zone_id
                                 'zone_id' => $HTTP_POST_VARS['state'],
                                 'format_id' => tep_get_address_format_id($HTTP_POST_VARS['country_id']));
        $cart_country_id = $HTTP_POST_VARS['country_id'];
        tep_session_register('cart_country_id');
//add state zone_id
        $cart_zone = $HTTP_POST_VARS['zone_id'];
        tep_session_register('cart_zone');
        $cart_zip_code = $HTTP_POST_VARS['zip_code'];
        tep_session_register('cart_zip_code');
      }elseif (tep_session_is_registered('cart_country_id')){
        // session is available
        $country_info = tep_get_countries($cart_country_id,true);
        $order->delivery = array('postcode' => $cart_zip_code,
                                 'country' => array('id' => $cart_country_id, 'title' => $country_info['countries_name'], 'iso_code_2' => $country_info['countries_iso_code_2'], 'iso_code_3' =>  $country_info['countries_iso_code_3']),
                                 'country_id' => $cart_country_id,
                                 'format_id' => tep_get_address_format_id($cart_country_id));
      } else {
        // first timer
        $cart_country_id = STORE_COUNTRY;
        tep_session_register('cart_country_id');
        $country_info = tep_get_countries(STORE_COUNTRY,true);
        tep_session_register('cart_zip_code');
        $order->delivery = array(//'postcode' => '',
                                 'country' => array('id' => STORE_COUNTRY, 'title' => $country_info['countries_name'], 'iso_code_2' => $country_info['countries_iso_code_2'], 'iso_code_3' =>  $country_info['countries_iso_code_3']),
                                 'country_id' => STORE_COUNTRY,
                                 'format_id' => tep_get_address_format_id($HTTP_POST_VARS['country_id']));
      }
      // set the cost to be able to calculate free shipping
      $order->info = array('total' => $cart->show_total(), // TAX ????
                           'currency' => $currency,
                           'currency_value'=> $currencies->currencies[$currency]['value']);
    }
// weight and count needed for shipping
    $total_weight = $cart->show_weight();
    $total_count = $cart->count_contents();
    require(DIR_WS_CLASSES . 'shipping.php');
    $shipping_modules = new shipping;
    $quotes = $shipping_modules->quote();
    $order->info['subtotal'] = $cart->total;

// set selections for displaying
    $selected_country = $order->delivery['country']['id'];
    $selected_address = $sendto;
  //}
// eo shipping cost

  // check free shipping based on order total
  if ( defined('MODULE_ORDER_TOTAL_SHIPPING_FREE_SHIPPING') && (MODULE_ORDER_TOTAL_SHIPPING_FREE_SHIPPING == 'true')) {
    switch (MODULE_ORDER_TOTAL_SHIPPING_DESTINATION) {
      case 'national':
        if ($order->delivery['country_id'] == STORE_COUNTRY) $pass = true; break;
      case 'international':
        if ($order->delivery['country_id'] != STORE_COUNTRY) $pass = true; break;
      case 'both':
        $pass = true; break;
      default:
        $pass = false; break;
    }
    $free_shipping = false;
    if ( ($pass == true) && ($order->info['total'] >= MODULE_ORDER_TOTAL_SHIPPING_FREE_SHIPPING_OVER)) {
      $free_shipping = true;
      include(DIR_WS_LANGUAGES . $language . '/modules/order_total/ot_shipping.php');
    }
  } else {
    $free_shipping = false;
  }
  // begin shipping cost
  if(!$free_shipping && $cart->get_content_type() !== 'virtual'){
    if (tep_not_null($HTTP_POST_VARS['sid'])){
      list($module, $method) = explode('_', $HTTP_POST_VARS['sid']);
      $cart_sid = $HTTP_POST_VARS['sid'];
      tep_session_register('cart_sid');
    }elseif (tep_session_is_registered('cart_sid')){
      list($module, $method) = explode('_', $cart_sid);
    }else{
      $module="";
      $method="";
    }
    if (tep_not_null($module)){
      $selected_quote = $shipping_modules->quote($method, $module);
      if($selected_quote[0]['error'] || !tep_not_null($selected_quote[0]['methods'][0]['cost'])){
        $selected_shipping = $shipping_modules->cheapest();
        $order->info['shipping_method'] = $selected_shipping['title'];
        $order->info['shipping_cost'] = $selected_shipping['cost'];
        $order->info['total']+= $selected_shipping['cost'];
      }else{
        $order->info['shipping_method'] = $selected_quote[0]['module'].' ('.$selected_quote[0]['methods'][0]['title'].')';
        $order->info['shipping_cost'] = $selected_quote[0]['methods'][0]['cost'];
        $order->info['total']+= $selected_quote[0]['methods'][0]['cost'];
        $selected_shipping['title'] = $order->info['shipping_method'];
        $selected_shipping['cost'] = $order->info['shipping_cost'];
        $selected_shipping['id'] = $selected_quote[0]['id'].'_'.$selected_quote[0]['methods'][0]['id'];
      }
    }else{
      $selected_shipping = $shipping_modules->cheapest();
      $order->info['shipping_method'] = $selected_shipping['title'];
      $order->info['shipping_cost'] = $selected_shipping['cost'];
      $order->info['total']+= $selected_shipping['cost'];
    }
  }
// virtual products use free shipping
  if($cart->get_content_type() == 'virtual') {
    $order->info['shipping_method'] = CART_SHIPPING_METHOD_FREE_TEXT . ' ' . CART_SHIPPING_METHOD_ALL_DOWNLOADS;
    $order->info['shipping_cost'] = 0;
  }
  if($free_shipping) {
    $order->info['shipping_method'] = MODULE_ORDER_TOTAL_SHIPPING_TITLE;
    $order->info['shipping_cost'] = 0;
  }
  $shipping=$selected_shipping;
// end of shipping cost
// end free shipping based on order total

/*  $info_box_contents = array();
  $info_box_contents[] = array('text' => '&nbsp;&nbsp;<b>' . CART_SUB_TOTAL . '</b>'); //azer version 2.20
  new infoBoxHeading($info_box_contents, FALSE, FALSE);

?>
<div class="shippingListing-heading">
<?php
  $cartTxt = '<span style="font-size:12px; position:relative; top:-3px; float:right;"><strong>' . SUB_TITLE_SUB_TOTAL . '&nbsp;&nbsp;' . $currencies->format($cart->show_total()) . '</strong></span>';
  $info_box_contents = array();
  $info_box_contents[] = array('text' => $cartTxt);
  new infoBox($info_box_contents);
*/?>
<?php
/*
  $info_box_contents = array();
  $info_box_contents[] = array('text' => '&nbsp;&nbsp;<b>' . CART_SHIPPING_OPTIONS . '</b>'); // azer for 2.20 cosmetic change
  new infoBoxHeading($info_box_contents, FALSE, FALSE);
*/
  $ShipTxt=tep_draw_form('estimator', tep_mobile_link(FILENAME_SHOPPING_CART, '', 'NONSSL'), 'post');
  $ShipTxt.=tep_draw_hidden_field('sid', $selected_shipping['id']);
  if(sizeof($quotes)) {
  	  if(CARTSHIP_SHOWIC == 'true'){
  	  	  $ShipTxt.= '<div class="shippingEstimator"><strong>' . CART_ITEM . '&nbsp;&nbsp;' . $total_count . '</strong></div>';      
  	  	  $ShipTxt.= '<div class="shippingEstimator"><strong>' . TEXT_WEIGHT_NAME . '&nbsp;&nbsp;' . number_format($total_weight, 3, TEXT_WEIGHT_DECIMAL_SEP, TEXT_WEIGHT_THOUSAND_SEP) . '' . TEXT_WEIGHT_UNIT . '</strong></div><hr class="separator">';      	
  	  }
      	
  	  if (tep_session_is_registered('customer_id')) {
  	  	  // logged in      	
      $addresses_query = tep_db_query("select address_book_id, entry_street_address as street_address, entry_city as city, entry_postcode as postcode, entry_country_id as country_id from " . TABLE_ADDRESS_BOOK . " where customers_id = '" . (int)$customer_id . "'");
  	  	  // only display addresses if more than 1
/*  	  	  if (tep_db_num_rows($addresses_query) > 1){
  	  	  	  while ($addresses = tep_db_fetch_array($addresses_query)) {
  	  	  	  	  $addresses_array[] = array('id' => $addresses['address_book_id'], 'text' => tep_address_format(tep_get_address_format_id($addresses['country_id']), $addresses, 0, ' ', '&nbsp;-&nbsp;'));
  	  	  	  }
  	  	  	  $ShipTxt.= '<div class="shippingEstimator"><strong>' . CART_SHIPPING_METHOD_ADDRESS .'</strong>&nbsp;'. tep_draw_pull_down_menu('address_id', $addresses_array, $selected_address, 'onchange="return shipincart_submit(\'\');" style="width: auto"') . '</div>';
  	  	  }
*/  	  	  $ShipTxt.= '<div class="shippingEstimator"><strong>' . CART_SHIPPING_METHOD_TO .'</strong><br />' . CART_SHIPPING_ADDRESS_MOBILE . '<br /><br />'. tep_address_format($order->delivery['format_id'], $order->delivery, 1, ' ', '<br />') . '</div>';

    } else {
// not logged in
//dont show login option      $ShipTxt.=CART_SHIPPING_OPTIONS_LOGIN;
      if($cart->get_content_type() != 'virtual'){

        if(CARTSHIP_SHOWCDD == 'true'){
//        $ShipTxt.= '<div class="shippingEstimator">' . ENTRY_COUNTRY .'</div><div class="shippingEstimator">'. tep_get_country_list('country_id', $selected_country,'style="width=200" onchange="return shipincart_submit(\'\');" style="width: auto"</div>') . '</div>';
        }

//add state zone_id
        $state_array[] = array('id' => '', 'text' => ENTRY_STATE);
        $state_query = tep_db_query("select zone_name, zone_id from " . TABLE_ZONES . " where zone_country_id = '$selected_country' order by zone_country_id DESC, zone_name");
        while ($state_values = tep_db_fetch_array($state_query)) {
          $state_array[] = array('id' => $state_values['zone_id'],
                                 'text' => $state_values['zone_name']);
        }

        if(CARTSHIP_SHOWSDD == 'true'){
//         $ShipTxt.= '<div class="shippingEstimator">' . ENTRY_STATE .'&nbsp;'. tep_draw_pull_down_menu('state', $zones_array,'','id="state" data-theme="a" ') . '</div>';
        }

        if(CARTSHIP_SHOWZDD == 'true'){
//          $ShipTxt.= '<div class="shippingEstimator">' . ENTRY_POST_CODE .'&nbsp;'. tep_draw_input_field('zip_code', $selected_zip, 'size="5"') . '</div>';
        }

        if(CARTSHIP_SHOWUB == 'true'){
//        	$ShipTxt.='&nbsp;&nbsp;<div class="shippingEstimator"><span class="buttonRight"><a href="_" onclick="return shipincart_submit(\'\');">'. tep_draw_button(IMAGE_BUTTON_UPDATE, 'refresh') . ' </a></span></div>';

        }

      }
    }

?>
<div>
<?php
    if($cart->get_content_type() == 'virtual'){
      // virtual product-download
      //$ShipTxt.='<tr><td colspan="3" class="main">'.tep_draw_separator().'</td></tr>';
      $ShipTxt.='<hr class="separator"><div class="shippingEstimator"><i>' . CART_SHIPPING_METHOD_FREE_TEXT . ' ' . CART_SHIPPING_METHOD_ALL_DOWNLOADS . '</i></div>';
    }elseif ($free_shipping==1) {
      // order $total is free
      //$ShipTxt.='<tr><td colspan="3" class="main">'.tep_draw_separator().'</td></tr>';
      $ShipTxt.='<hr class="separator"><div class="shippingEstimator"><i>' . sprintf(MODULE_SHIPPING_FREEAMOUNT_TEXT_WAY) . '</i></div>';
    }else{
    	    // shipping display
    	    if ( empty($quotes[0]['error']) || (!empty($quotes[1])&&empty($quotes[1]['error'])) ) {
    	    	    $ShipTxt.='<hr class="separator"><div class="shippingEstimator"><strong>' . CART_SHIPPING_METHOD_TEXT . '</strong><br />' . CART_SHIPPING_METHOD_MOBILE . '</div><br />';        
    	    	    // added to Display Message when No Shipping Options are Available
    	    	    $at_least_one_quote_printed = false;        
    	    }
    	    for ($i=0, $n=sizeof($quotes); $i<$n; $i++) {
    	    	    if(sizeof($quotes[$i]['methods'])==1){
    	    	    	    // simple shipping method
    	    	    	    $thisquoteid = $quotes[$i]['id'].'_'.$quotes[$i]['methods'][0]['id'];
    	    	    	    	    $ShipTxt .= '<ul data-role="listview">';          
    	    	    	    if($quotes[$i]['error']){
    	    	    	    	    $ShipTxt .= $quotes[$i]['module'].'&nbsp;';
    	    	    	    	    $ShipTxt .= '('.$quotes[$i]['error'].')';
    	    	    	    }else{
    	    	    	    	    if($selected_shipping['id'] == $thisquoteid){
    	    	    	    	    	    $ShipTxt .='<li id="SelectionAreaselect">' . $quotes[$i]['module'].' ';
    	    	    	    	    	    $ShipTxt .= $quotes[$i]['methods'][0]['title'].'<span style="float:right">'.$currencies->format(tep_add_tax($quotes[$i]['methods'][0]['cost'], $quotes[$i]['tax'])).'</span></li>';
    	    	    	    	    	    $selected_shipping_cost = $currencies->format(tep_add_tax($quotes[$i]['methods'][0]['cost'], $quotes[$i]['tax']));
    	    	    	    	    } else {
    	    	    	    	    	    $ShipTxt .='<li id="SelectionArea">' . $quotes[$i]['module'].' ';
    	    	    	    	    	    $ShipTxt .= $quotes[$i]['methods'][0]['title'].'<span style="float:right">'.$currencies->format(tep_add_tax($quotes[$i]['methods'][0]['cost'], $quotes[$i]['tax'])).'</span></li>';
    	    	    	    	    }
    	    	    	    }

    	    	    	    	    $ShipTxt .= '</ul>';          
    	    	    	    
    	    	    	    
    	    	    	    
    	    	    	    
    	    	    	    // added to Display Message when No Shipping Options are Available
    	    	    	    $at_least_one_quote_printed = true;
    	    	    } elseif (sizeof($quotes[$i]['methods'])>1) {
    	    	    	    // shipping method with sub methods (multipickup)
    	    	    	    for ($j=0, $n2=sizeof($quotes[$i]['methods']); $j<$n2; $j++) {
    	    	    	    	    $thisquoteid = $quotes[$i]['id'].'_'.$quotes[$i]['methods'][$j]['id'];
    	    	    	    	    $ShipTxt.=$quotes[$i]['icon'].'&nbsp;&nbsp;&nbsp;';
    	    	    	    	    if($quotes[$i]['error']){
    	    	    	    	    	    $ShipTxt .=$quotes[$i]['module'].'&nbsp;';
    	    	    	    	    	    $ShipTxt .= '('.$quotes[$i]['error'].')';
    	    	    	    	    } else {
    	    	    	    	    	    if($selected_shipping['id'] == $thisquoteid){
    	    	    	    	    	    	    $ShipTxt .='<div id="SelectionArea"><a class="SelectionAreaselect" title="' . CART_SELECT_THIS_METHOD .'" href="_"  onclick="return shipincart_submit(\''.$thisquoteid.'\');">' . tep_draw_radio_field('', true, true) . '&nbsp;<b>' . $quotes[$i]['module'].'&nbsp;';
    	    	    	    	    	    	    $ShipTxt .= $quotes[$i]['methods'][$j]['title'].'</style><span style="float:right;">'.$currencies->format(tep_add_tax($quotes[$i]['methods'][$j]['cost'], $quotes[$i]['tax'])).'&nbsp;&nbsp;</b></a></span></div>';
    	    	    	    	    	    } else {
    	       	    	    	    	    	    $ShipTxt.='<div id="SelectionArea"><a class="SelectionArea" title="' . CART_SELECT_THIS_METHOD .'" href="_" onclick="return shipincart_submit(\''.$thisquoteid.'\');">' . tep_draw_radio_field('', false, false) . '&nbsp;' . $quotes[$i]['module'].'&nbsp;';
    	       	    	    	    	    	    $ShipTxt .= $quotes[$i]['methods'][$j]['title'].'<span style="float:right;">'.$currencies->format(tep_add_tax($quotes[$i]['methods'][$j]['cost'], $quotes[$i]['tax'])).'&nbsp;&nbsp;</a></div>';
    	    	    	    	    	    }
    	    	    	    	    }
    	    	    	    }
    	    	    	    // added to Display Message when No Shipping Options are Available
    	    	    	    $at_least_one_quote_printed = true;
    	    	    }
    	    }
    	    // added to Display Message when No Shipping Options are Available
    	    if (!$at_least_one_quote_printed) {
    	    	    $ShipTxt .= '<div class="shippingEstimator">'.SHIPPING_ESTIMATOR_NO_OPTIONS_MESSAGE.'</div>';
    	    }
    }
  } 
  tep_session_register('shipping');
  $ShipTxt .= '<hr class="separator">
';

  echo $ShipTxt;

echo '<hr class="separator">';
  if (CARTSHIP_SHOWOT == 'true'){
    // BOF get taxes if not logged in
    if (!tep_session_is_registered('customer_id')){
      $products = $cart->get_products();
      for ($i=0, $n=sizeof($products); $i<$n; $i++) {
        $products_tax = tep_get_tax_rate($products[$i]['tax_class_id'], $order->delivery['country_id'],$order->delivery['zone_id']);
        $products_tax_description = tep_get_tax_description($products[$i]['tax_class_id'], $order->delivery['country_id'], $order->delivery['zone_id']);
        if (DISPLAY_PRICE_WITH_TAX == 'true') {
         //Modified by Strider 42 to correct the tax calculation when a customer is not logged in
         // $tax_val = ($products[$i]['final_price']-(($products[$i]['final_price']*100)/(100+$products_tax)))*$products[$i]['quantity'];
          $tax_val = (($products[$i]['final_price']/100)*$products_tax)*$products[$i]['quantity'];
        } else {
          $tax_val = (($products[$i]['final_price']*$products_tax)/100)*$products[$i]['quantity'];
        }
        $order->info['tax'] += $tax_val;
        $order->info['tax_groups']["$products_tax_description"] += $tax_val;
        // Modified by Strider 42 to correct the order total figure when shop displays prices with tax
        if (DISPLAY_PRICE_WITH_TAX == 'true') {
           $order->info['total'];
        } else {
        $order->info['total']+=$tax_val;
               }
      }
    }
    // EOF get taxes if not logged in (seems like less code than in order class)
    require(DIR_WS_CLASSES . 'order_total.php');
    $order_total_modules = new order_total;
    // order total code
    $order_total_modules->process();


 $otTxt='<table id="totals_table" data-role="table" data-mode="reflow" class="ui-body-d ui-shadow table-stripe ui-responsive table-stroke">
         	<thead>
         		<tr>
         			<th>
         			<strong>' . CART_OT . '</strong>
         			</th>
         			<th>
         			</th>
         		</tr>
         	</thead>
         	<tbody>';
 $otTxt .= 		$order_total_modules->output();
 $otTxt .= 	'</tbody>
          </table>';
          
echo $otTxt;
  }
} // Use only when cart_contents > 0

?>
</form>
</div>