<?php
/*
  Consolidated Login Page with Guest Checkout for 2.3.1 v 1.0

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2010 osCommerce
  Copyright (c) 2012 osCbyJetta
  Released under the GNU General Public License
*/

// LOGIN
define('NAVBAR_TITLE_LOGIN', 'Anmelden');
define('HEADING_TITLE', 'Melden Sie sich an');
define('HEADING_TITLE_LOGIN', 'Melden Sie sich an');
define('HEADING_NEW_CUSTOMER', 'Neuer Kunde');
define('TEXT_NEW_CUSTOMER', 'Ich bin ein neuer Kunde.');
define('TEXT_NEW_CUSTOMER_INTRODUCTION', 'Durch Ihre Anmeldung bei ' . STORE_NAME . ' sind Sie in der Lage schneller zu bestellen, kennen jederzeit den Status Ihrer Bestellungen und haben immer eine aktuelle &Uuml;bersicht &uuml;ber Ihre bisherigen Bestellungen.');
define('TEXT_GUEST_CUSTOMER', 'Bestellen ohne Benutzerkonto');
define('TEXT_GUEST_CUSTOMER_INTRODUCTION', 'F&uuml;r den Bestellvorgang werden nur die Informationen ben&ouml;tigt, die f&uuml;r Ihre Bestellung von Bedeutung sind. Die Informationen werden in unserer Datenbank gespeichert. Es wird kein Kundenkonto erstellt und ein Bestellverlauf steht nicht zur Verf&uuml;gung. Wenn Sie bei uns zu einem sp&auml;teren Zeitpunkt wieder einkaufen wollen, dann m&uuml;ssen Sie die Daten wieder eingeben'); 
define('HEADING_RETURNING_CUSTOMER', 'Bereits Kunde');
define('TEXT_RETURNING_CUSTOMER', 'Ich bin bereits Kunde.');
define('TEXT_PASSWORD_FORGOTTEN', 'Sie haben Ihr Passwort vergessen? Dann klicken Sie <u>hier</u>');
define('TEXT_LOGIN_ERROR', 'Fehler: Keine &Uuml;bereinstimmung der eingebenen eMail-Adresse und/oder dem Passwort.');
define('TEXT_VISITORS_CART', '<font color="#ff0000"><b>Achtung:</b></font> Ihre Besuchereingaben werden automatisch mit Ihrem Kundenkonto verbunden. <a href="javascript:session_win();">[Mehr Information]</a>');
define('NOTE_LOGINRADIUS','Social-Login mit Hilfe von LoginRadius auf der <a href="'.tep_href_link('login.php?redirectCancelled=true').'"><b>Klassik-Version des Webshops</b></a>');
define('NOTE_TRAD_LOGIN','<b><u>Hinweis:</u></b> F&uuml;r einen traditionellen Login eines Social-Logins von LoginRadius, muss mit der Email-Adresse vom Social-Login ein neues Passwort mit dem <a href="' . tep_href_link(FILENAME_LOGIN, 'form=forgot', 'SSL') . '"> <b>&quot;Passwort vergessen&quot; -Link</b></a> angefordert werden, da nur ein Pseudopasswort erzeugt wurde!');

// FORGOT
define('NAVBAR_TITLE_FORGOT', 'Passwort vergessen');
define('HEADING_TITLE_FORGOT', 'Wie war noch mal mein Passwort?');
define('TEXT_MAIN', 'Sollten Sie Ihr Passwort nicht mehr wissen, geben Sie bitte unten Ihre eMail-Adresse ein um Ihr Passwort sicher zu &auml;ndern.');
define('TEXT_NO_EMAIL_ADDRESS_FOUND', 'Fehler: Die eingegebene eMail-Adresse ist nicht registriert. Bitte versuchen Sie es noch einmal.');
define('EMAIL_PASSWORD_REMINDER_SUBJECT', STORE_NAME . ' - Neues Passwort');
define('EMAIL_PASSWORD_REMINDER_BODY', 'Ein neues Passwort wurde von der IP-Adresse' . tep_get_ip_address() . ' angefordert.' . "\n\n" . 'Ihr neues Passwort bei \'' . STORE_NAME . '\' ist:' . "\n\n" . '   %s' . "\n\n");
define('SUCCESS_PASSWORD_SENT', 'Erfolg: Ein neues Passwort wurde an Ihre E-mail-Adresse gesendet.');

// ACCOUNT
define('NAVBAR_TITLE_ACCOUNT', 'Ihr Konto');
define('HEADING_TITLE_ACCOUNT', 'Ihre pers&ouml;nlichen Daten');
define('TEXT_ORIGIN_LOGIN', '<font color="#FF0000"><small><strong>Hinweis:</strong></small></font> Wenn Sie bereits ein Kundenkonto bei uns haben, dann loggen Sie sich bitte auf der <a href="%s"><u>Login-Seite</u></a> ein.');
define('EMAIL_SUBJECT', 'Herzlich willkommen auf ' . STORE_NAME);
define('EMAIL_GREET_MR', 'Sehr geehrter Herr. %s,' . "\n\n");
define('EMAIL_GREET_MS', 'Sehr geehrte Frau %s,' . "\n\n");
define('EMAIL_GREET_NONE', 'Lieber %s' . "\n\n");
define('EMAIL_WELCOME', 'Herzlich willkommen auf <strong>' . STORE_NAME . '</strong>.' . "\n\n");
//define('EMAIL_TEXT', 'Sie k&ouml;nnen jetzt verschiedene Dienste nutzen, die wir anbieten. Einige von diesen Diensten sind:' . "\n\n" . '<li><strong>Permanenter Warenkorb</strong> - Alle Produkte, die Ihrem Online-Warekorb hinzugef&uuml;gt wurden, bleiben bis sie diese entfernt oder einen Bestellvorgang abgeschlossen haben.' . "\n" . '<li><strong>Adressbuch</strong> - Wir k&ouml;nnen Produkte auch an eine andere Adresse anstatt an die, von Ihnen eingebene, schicken! Das eignet sich besonders, wenn Sie Geburtstagsgeschenke direkt an die betreffende Person schicken wollen.' . "\n" . '<li><strong>Bestellverlauf</strong> - Anzeigen Ihres Bestellverlaufs, den Sie bei uns gemacht haben.' . "\n" . '<li><strong>Produktbewertungen</strong> - Teilen Sie Ihre Meinung zu Produkten mit anderen Kunden.'."\n\n");
define('EMAIL_TEXT', 'Es steht Ihnen hiermit frei, verschiedene Dienste, die wir anbieten, zu nutzen. Einige von diesen Diensten sind:' . "\n\n" . '<li><strong>Permanenter Warenkorb</strong> - Alle Produkte, die Sie in Ihrem Online-Warekorb abgelegt haben, bleiben bis sie diese entfernt oder einen Bestellvorgang abgeschlossen haben.' . "\n" . '<li><strong>Adressbuch</strong> - Durch die Eingabe von verschiedenen Versand- bzw. Lieferadressen sind wir in der Lage, Produkte an eine andere Adresse zu schicken, anstatt an die von Ihnen eingegebene. Das eignet sich besonders, wenn Sie Geburtstagsgeschenke direkt an die betreffende Person schicken wollen.' . "\n" . '<li><strong>Bestellverlauf</strong> - Anzeigen Ihres Bestellverlaufs, den Sie bei uns gemacht haben.' . "\n" . '<li><strong>Produktbewertungen</strong> - Teilen Sie Ihre Meinung zu Produkten mit anderen Kunden.'."\n\n");
define('EMAIL_CONTACT', 'Wenn Sie Hilfe zu unseren Online-Diensten brauchen, dann schreiben Sie bitte eine Email an den Webshopbetreiber: ' . STORE_OWNER_EMAIL_ADDRESS . '.' . "\n\n");
define('EMAIL_WARNING', '<strong>Hinweis:</strong> Wenn die eingebene Email-Adresse bereits von einem anderen Kunden benutzt wird und somit die Anmeldung an unserem Webshop nicht funktioniert, dann senden Sie bitte eine Email an: ' . STORE_OWNER_EMAIL_ADDRESS . '.' . "\n");

//osc-support-edition BOF
define('HEADING_PRIVACY_INFORMATION', 'Datenschutzbestimmungen');
define('PRIVACY_ACCEPT_TEXT', '<b>Die Datenschutzbestimmungen habe ich gelesen!</b>');
define('HEADER_ERROR_ACCEPT_PRIVACY', 'Bitte akzeptieren Sie die Datenschutzbestimmungen!');
//osc-support-edition EOF
?>
