<?php
/*
  Consolidated Login Page with Guest Checkout for 2.3.1 v 1.0

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2010 osCommerce
  Copyright (c) 2012 osCbyJetta
  Released under the GNU General Public License
*/

// LOGIN
define('NAVBAR_TITLE_LOGIN', 'Login');
define('HEADING_TITLE', 'Welcome, Please Sign In');
define('HEADING_TITLE_LOGIN', 'Welcome, Please Sign In');
define('HEADING_NEW_CUSTOMER', 'New Customer');
define('TEXT_NEW_CUSTOMER', 'Create a new account');
define('TEXT_NEW_CUSTOMER_INTRODUCTION', 'By creating an account at ' . STORE_NAME . ' you will be able to shop faster, be up to date on an orders status, and keep track of the orders you have previously made.');
define('TEXT_GUEST_CUSTOMER', 'Checkout without an account');
define('TEXT_GUEST_CUSTOMER_INTRODUCTION', 'We will gather only the information necessary to process your order.  This information will be maintained in our records.  A customer account will not be created, your order history will not be available to you, and you will need to enter this information again when you shop with us in the future.');
define('HEADING_RETURNING_CUSTOMER', 'Returning Customer');
define('TEXT_RETURNING_CUSTOMER', 'I am a returning customer.');
define('TEXT_PASSWORD_FORGOTTEN', 'Password forgotten? Click here.');
define('TEXT_LOGIN_ERROR', 'Error: No match for E-Mail Address and/or Password.');
define('TEXT_VISITORS_CART', '<font color="#ff0000"><strong>Note:</strong></font> Your &quot;Visitors Cart&quot; contents will be merged with your &quot;Members Cart&quot; contents once you have logged on. <a href="javascript:session_win();">[More Info]</a>');
define('NOTE_LOGINRADIUS','Social-Login via LoginRadius on the <a href="'.tep_href_link('login.php?redirectCancelled=true').'"><b>classic-version of the Webshop</b></a>');
define('NOTE_TRAD_LOGIN','<b><u>Note:</u></b> For a traditional login of a Social-Login from LoginRadius, a new password on <a href="' . tep_href_link(FILENAME_LOGIN, 'form=forgot', 'SSL') . '"> <b>&quot;Password forgotten&quot; -Link</b></a> with the email address from the Social-Login must be requested, since only a pseudo password has been created!');

// FORGOT
define('NAVBAR_TITLE_FORGOT', 'Password Forgotten');
define('HEADING_TITLE_FORGOT', 'I\'ve Forgotten My Password!');
define('TEXT_MAIN', 'If you\'ve forgotten your password, enter your e-mail address below and we\'ll send you an e-mail message containing your new password.');
define('TEXT_NO_EMAIL_ADDRESS_FOUND', 'Error: The E-Mail Address was not found in our records, please try again.');
define('EMAIL_PASSWORD_REMINDER_SUBJECT', STORE_NAME . ' - New Password');
define('EMAIL_PASSWORD_REMINDER_BODY', 'A new password was requested from ' . tep_get_ip_address() . '.' . "\n\n" . 'Your new password to \'' . STORE_NAME . '\' is:' . "\n\n" . '   %s' . "\n\n");
define('SUCCESS_PASSWORD_SENT', 'Success: A new password has been sent to your e-mail address.');

// ACCOUNT
define('NAVBAR_TITLE_ACCOUNT', 'Create an Account');
define('HEADING_TITLE_ACCOUNT', 'My Account Information');
define('TEXT_ORIGIN_LOGIN', '<font color="#FF0000"><small><strong>NOTE:</strong></small></font> If you already have an account with us, please login at the <a href="%s"><u>login page</u></a>.');
define('EMAIL_SUBJECT', 'Welcome to ' . STORE_NAME);
define('EMAIL_GREET_MR', 'Dear Mr. %s,' . "\n\n");
define('EMAIL_GREET_MS', 'Dear Ms. %s,' . "\n\n");
define('EMAIL_GREET_NONE', 'Dear %s' . "\n\n");
define('EMAIL_WELCOME', 'We welcome you to <strong>' . STORE_NAME . '</strong>.' . "\n\n");
define('EMAIL_TEXT', 'You can now take part in the <strong>various services</strong> we have to offer you. Some of these services include:' . "\n\n" . '<li><strong>Permanent Cart</strong> - Any products added to your online cart remain there until you remove them, or check them out.' . "\n" . '<li><strong>Address Book</strong> - We can now deliver your products to another address other than yours! This is perfect to send birthday gifts direct to the birthday-person themselves.' . "\n" . '<li><strong>Order History</strong> - View your history of purchases that you have made with us.' . "\n" . '<li><strong>Products Reviews</strong> - Share your opinions on products with our other customers.' . "\n\n");
define('EMAIL_CONTACT', 'For help with any of our online services, please email the store-owner: ' . STORE_OWNER_EMAIL_ADDRESS . '.' . "\n\n");
define('EMAIL_WARNING', '<strong>Note:</strong> This email address was given to us by one of our customers. If you did not signup to be a member, please send an email to ' . STORE_OWNER_EMAIL_ADDRESS . '.' . "\n");

//osc-support-edition BOF
define('HEADING_PRIVACY_INFORMATION', 'Privacy Policy');
define('PRIVACY_ACCEPT_TEXT', '<b>The privacy regulations, I have read!</b>');
define('HEADER_ERROR_ACCEPT_PRIVACY', 'Please accept the privacy policy!');
//osc-support-edition EOF
?>
