<?php
/*
  Consolidated Login Page with Guest Checkout for 2.3.1 v 1.0

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2010 osCommerce
  Copyright (c) 2012 osCbyJetta
  Released under the GNU General Public License
*/
require_once('includes/application_top.php');
//include('includes/modules/boxes/bm_loginradius.php');
// BOF: SLiCK reCaptcha
  if (RECAPTCHA_CREATEACCOUNT == 'true') {
    require_once(DIR_WS_CLASSES . 'recaptchalib.php');
  }
// EOF: SLiCK reCaptcha
require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_LOGIN);

if ($session_started == false) tep_redirect(tep_mobile_link(FILENAME_COOKIE_USAGE));
$processAccount = false;
$processGuest = false;
if (isset($_POST['action']))
	{
	switch($_POST['action'])
		{
		case 'login': 
			if (isset($_POST['formid']) && ($_POST['formid'] == $sessiontoken))
				{
				$error = false;
				$email_address = tep_db_prepare_input($_POST['email_address']);
				$password = tep_db_prepare_input($_POST['password']);
				$check_customer_query = tep_db_query("select customers_id, customers_firstname, customers_password, customers_email_address, customers_default_address_id from " . TABLE_CUSTOMERS . " where customers_email_address = '" . tep_db_input($email_address) . "'");
				if (!tep_db_num_rows($check_customer_query)) $error = true;
				else
					{
					$check_customer = tep_db_fetch_array($check_customer_query);
					if (!tep_validate_password($password, $check_customer['customers_password'])) $error = true;
					elseif($check_guest_query = tep_db_fetch_array(tep_db_query("select customers_id from " . TABLE_CUSTOMERS . " where customers_email_address = '" . tep_db_input($email_address) . "' and customers_guest = '1' limit 1")))
						$error = true;
					else
				       {
						if (SESSION_RECREATE == 'True') tep_session_recreate();
						if (tep_password_type($check_customer['customers_password']) != 'phpass')
							tep_db_query("update " . TABLE_CUSTOMERS . " set customers_password = '" . tep_encrypt_password($password) . "' where customers_id = '" . (int)$check_customer['customers_id'] . "'");
						$check_country_query = tep_db_query("select entry_country_id, entry_zone_id from " . TABLE_ADDRESS_BOOK . " where customers_id = '" . (int)$check_customer['customers_id'] . "' and address_book_id = '" . (int)$check_customer['customers_default_address_id'] . "'");
						$check_country = tep_db_fetch_array($check_country_query);
						$customer_id = $check_customer['customers_id'];
						$customer_default_address_id = $check_customer['customers_default_address_id'];
						$customer_first_name = $check_customer['customers_firstname'];
						$customer_country_id = $check_country['entry_country_id'];
						$customer_zone_id = $check_country['entry_zone_id'];
						tep_session_register('customer_id');
						tep_session_register('customer_default_address_id');
						tep_session_register('customer_first_name');
						tep_session_register('customer_country_id');
						tep_session_register('customer_zone_id');
						tep_db_query("update " . TABLE_CUSTOMERS_INFO . " set customers_info_date_of_last_logon = now(), customers_info_number_of_logons = customers_info_number_of_logons+1 where customers_info_id = '" . (int)$customer_id . "'");
						$sessiontoken = md5(tep_rand() . tep_rand() . tep_rand() . tep_rand());
						$cart->restore_contents();
						if (sizeof($navigation->snapshot) > 0)
							{
							$origin_href = tep_mobile_link($navigation->snapshot['page'], tep_array_to_string($navigation->snapshot['get'], array(tep_session_name())), $navigation->snapshot['mode']);
							$navigation->clear_snapshot();
							tep_redirect($origin_href);
							}
						else tep_redirect(tep_mobile_link(FILENAME_DEFAULT));
						}
					}
				if ($error == true) $messageStack->add('login', TEXT_LOGIN_ERROR);
				}
			break;
		case 'forgot':
			if(isset($_POST['formid']) && $_POST['formid'] == $sessiontoken)
				{
				$email_address = tep_db_prepare_input($_POST['email_address']);
				$check_customer_query = tep_db_query("select customers_firstname, customers_lastname, customers_password, customers_id from " . TABLE_CUSTOMERS . " where customers_email_address = '" . tep_db_input($email_address) . "'");
				if (tep_db_num_rows($check_customer_query))
					{
					if($check_guest_query = tep_db_fetch_array(tep_db_query("select customers_id from " . TABLE_CUSTOMERS . " where customers_email_address = '" . tep_db_input($email_address) . "' and customers_guest = '1' limit 1")))
						{
						$messageStack->add('login', TEXT_NO_EMAIL_ADDRESS_FOUND);
						break;
						}
					$check_customer = tep_db_fetch_array($check_customer_query);
					$new_password = tep_create_random_value(ENTRY_PASSWORD_MIN_LENGTH);
					$crypted_password = tep_encrypt_password($new_password);
					tep_db_query("update " . TABLE_CUSTOMERS . " set customers_password = '" . tep_db_input($crypted_password) . "' where customers_id = '" . (int)$check_customer['customers_id'] . "'");
					if ( EMAIL_USE_HTML == 'false') {
						tep_mail($check_customer['customers_firstname'] . ' ' . $check_customer['customers_lastname'], $email_address, EMAIL_PASSWORD_REMINDER_SUBJECT, sprintf(EMAIL_PASSWORD_REMINDER_BODY, $new_password), STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);
					}else {
						tep_mail(utf8_decode($check_customer['customers_firstname'] . ' ' . $check_customer['customers_lastname']), $email_address, EMAIL_PASSWORD_REMINDER_SUBJECT, sprintf(EMAIL_PASSWORD_REMINDER_BODY, $new_password), STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);
					}
					$messageStack->add_session('login', SUCCESS_PASSWORD_SENT, 'success');
					tep_redirect(tep_mobile_link(FILENAME_LOGIN, '', 'SSL'));
					}
				else $messageStack->add('login', TEXT_NO_EMAIL_ADDRESS_FOUND);
				}
			break;
		case 'account':
		case 'guest':
			if (isset($_POST['formid']) && $_POST['formid'] == $sessiontoken)
				{
				$processAccount = true;
				if($_POST['action'] == 'guest') {
					$processGuest = true;
					$return_guest = false;
					}
				elseif($_POST['action'] == 'account') {
					if (ACCOUNT_GENDER == 'true') {
						if (isset($_POST['gender'])) $gender = tep_db_prepare_input($_POST['gender']);
						else $gender = false;
						}
					}
				$firstname = tep_db_prepare_input($_POST['firstname']);
				$lastname = tep_db_prepare_input($_POST['lastname']);
				if($_POST['action'] == 'account') {
				if (ACCOUNT_DOB == 'true') $dob = tep_db_prepare_input($_POST['dob']);
				}
				$email_address = tep_db_prepare_input($_POST['email_address']);
				if($_POST['action'] == 'account') {
				if (ACCOUNT_COMPANY == 'true') $company = tep_db_prepare_input($_POST['company']);
				}
				$street_address = tep_db_prepare_input($_POST['street_address']);
				if (ACCOUNT_SUBURB == 'true') $suburb = tep_db_prepare_input($_POST['suburb']);
				$postcode = tep_db_prepare_input($_POST['postcode']);
				$city = tep_db_prepare_input($_POST['city']);
				if (ACCOUNT_STATE == 'true')
					{
					$state = tep_db_prepare_input($_POST['state']);
					if (isset($_POST['zone_id'])) $zone_id = tep_db_prepare_input($_POST['zone_id']);
					else $zone_id = false;
					}
				$country = tep_db_prepare_input($_POST['country']);
				if($_POST['action'] == 'account' || ($_POST['action'] == 'guest' && GUEST_CHECKOUT_TELEPHONE == 'True')) {
				$telephone = tep_db_prepare_input($_POST['telephone']);
				}
				if($_POST['action'] == 'account') {
				$fax = tep_db_prepare_input($_POST['fax']);
				if (isset($_POST['newsletter'])) $newsletter = tep_db_prepare_input($_POST['newsletter']);
				else $newsletter = false;
				$password = tep_db_prepare_input($_POST['password']);
				$confirmation = tep_db_prepare_input($_POST['confirmation']);
				}
				$error = false;
				//osc-support-edition BOF
  	if ($HTTP_POST_VARS['privacy'] != 'true') {
		$error = true;
        $messageStack->add('login', HEADER_ERROR_ACCEPT_PRIVACY);
    }
//osc-support-edition EOF
				if($_POST['action'] == 'account') {
				if (ACCOUNT_GENDER == 'true')
					{
					if ( ($gender != 'm') && ($gender != 'f') )
						{
						$error = true;
						$messageStack->add('login', ENTRY_GENDER_ERROR);
						}
					}
				}
				if (strlen($firstname) < ENTRY_FIRST_NAME_MIN_LENGTH)
					{
					$error = true;
					$messageStack->add('login', ENTRY_FIRST_NAME_ERROR);
					}
				if (strlen($lastname) < ENTRY_LAST_NAME_MIN_LENGTH)
					{
					$error = true;
					$messageStack->add('login', ENTRY_LAST_NAME_ERROR);
					}
				if($_POST['action'] == 'account') {
				if (ACCOUNT_DOB == 'true')
					{
					if ((strlen($dob) < ENTRY_DOB_MIN_LENGTH) || (!empty($dob) && (!is_numeric(tep_date_raw($dob)) || !@checkdate(substr(tep_date_raw($dob), 4, 2), substr(tep_date_raw($dob), 6, 2), substr(tep_date_raw($dob), 0, 4))))) 
						{
						$error = true;
						$messageStack->add('login', ENTRY_DATE_OF_BIRTH_ERROR);
						}
					}
				}
				if (strlen($email_address) < ENTRY_EMAIL_ADDRESS_MIN_LENGTH)
					{
					$error = true;
					$messageStack->add('login', ENTRY_EMAIL_ADDRESS_ERROR);
					}
				elseif (tep_validate_email($email_address) == false)
					{
					$error = true;
					$messageStack->add('login', ENTRY_EMAIL_ADDRESS_CHECK_ERROR);
					}
				else
					{
					$check_email_query = tep_db_query("select count(*) as total from " . TABLE_CUSTOMERS . " where customers_email_address = '" . tep_db_input($email_address) . "'");
					$check_email = tep_db_fetch_array($check_email_query);
					if ($check_email['total'] > 0)
						{
						if($check_guest_query = tep_db_fetch_array(tep_db_query("select customers_id from " . TABLE_CUSTOMERS . " where customers_email_address = '" . tep_db_input($email_address) . "' and customers_guest = '1' limit 1")))
							{
							$return_guest = true;
							$customers_id = $check_guest_query['customers_id'];
							}
						else {
							$error = true;
							$messageStack->add('login', ENTRY_EMAIL_ADDRESS_ERROR_EXISTS);
							}
						}
					}
				if (strlen($street_address) < ENTRY_STREET_ADDRESS_MIN_LENGTH)
					{
					$error = true;
					$messageStack->add('login', ENTRY_STREET_ADDRESS_ERROR);
					}
				if (strlen($postcode) < ENTRY_POSTCODE_MIN_LENGTH)
					{
					$error = true;
					$messageStack->add('login', ENTRY_POST_CODE_ERROR);
					}
				// VALIDATE POSTCODE START
	if (tep_validate_postcode($country, $postcode) == false)
		{
		$error = true;
		$messageStack->add('login', ENTRY_POST_CODE_VALID_ERROR);
		}
// VALIDATE POSTCODE END
				if (strlen($city) < ENTRY_CITY_MIN_LENGTH)
					{
					$error = true;
					$messageStack->add('login', ENTRY_CITY_ERROR);
					}
				if (is_numeric($country) == false)
					{
					$error = true;
					$messageStack->add('login', ENTRY_COUNTRY_ERROR);
					}
				if (ACCOUNT_STATE == 'true')
					{
					$zone_id = 0;
					$check_query = tep_db_query("select count(*) as total from " . TABLE_ZONES . " where zone_country_id = '" . (int)$country . "'");
					$check = tep_db_fetch_array($check_query);
					$entry_state_has_zones = ($check['total'] > 0);
					if ($entry_state_has_zones == true)
						{
						$zone_query = tep_db_query("select distinct zone_id from " . TABLE_ZONES . " where zone_country_id = '" . (int)$country . "' and (zone_name = '" . tep_db_input($state) . "' or zone_code = '" . tep_db_input($state) . "')");
						if (tep_db_num_rows($zone_query) == 1)
							{
							$zone = tep_db_fetch_array($zone_query);
							$zone_id = $zone['zone_id'];
							}
						else
							{
							$error = true;
							$messageStack->add('login', ENTRY_STATE_ERROR_SELECT);
							}
						}
					elseif (strlen($state) < ENTRY_STATE_MIN_LENGTH)
							{
							$error = true;
							$messageStack->add('login', ENTRY_STATE_ERROR);
							}
					}
				if($_POST['action'] == 'account' || ($_POST['action'] == 'guest' && GUEST_CHECKOUT_TELEPHONE == 'True')) { 
				if (strlen($telephone) < ENTRY_TELEPHONE_MIN_LENGTH)
					{
					$error = true;
					$messageStack->add('login', ENTRY_TELEPHONE_NUMBER_ERROR);
					}
				}
				if($_POST['action'] == 'account') {
				if (strlen($password) < ENTRY_PASSWORD_MIN_LENGTH)
					{
					$error = true;
					$messageStack->add('login', ENTRY_PASSWORD_ERROR);
					}
				elseif ($password != $confirmation)
					{
					$error = true;
					$messageStack->add('login', ENTRY_PASSWORD_ERROR_NOT_MATCHING);
					}
				}
				// BOF: SLiCK reCaptcha
    if (RECAPTCHA_CREATEACCOUNT == 'true') {
      // the response from reCAPTCHA
      $resp = null;

      // was there a reCAPTCHA response?
      $resp = recaptcha_check_answer(RECAPTCHA_PRIVATE_KEY,
                                     tep_get_ip_address(),
                                     $HTTP_POST_VARS['recaptcha_challenge_field'],
                                     $HTTP_POST_VARS['recaptcha_response_field']);

      if (!$resp->is_valid) {
        $error = true;
        $messageStack->add('login', ENTRY_SECURITY_CHECK_ERROR . " (reCAPTCHA outInsert: " . $resp->error . ")");
      }
    }
// EOF: SLiCK reCaptcha
				if ($error == false)
					{
					$sql_data_array = array(
						'customers_firstname' => $firstname,
						'customers_lastname' => $lastname,
						'customers_email_address' => $email_address);
					if($_POST['action'] == 'account' || ($_POST['action'] == 'guest' && GUEST_CHECKOUT_TELEPHONE == 'True')) {
						$sql_data_array['customers_telephone'] = $telephone;
						}
					if($_POST['action'] == 'account') {
						$sql_data_array['customers_fax'] = $fax;
						$sql_data_array['customers_newsletter'] = $newsletter;
						$sql_data_array['customers_password'] = tep_encrypt_password($password);
						if (ACCOUNT_GENDER == 'true') $sql_data_array['customers_gender'] = $gender;
						if (ACCOUNT_DOB == 'true') $sql_data_array['customers_dob'] = tep_date_raw($dob);
						}
					if ($return_guest == true) {
						$reviews_query = tep_db_query("select reviews_id from " . TABLE_REVIEWS . " where customers_id = '" . (int)$customers_id . "'");
						while ($reviews = tep_db_fetch_array($reviews_query))
							tep_db_query("delete from " . TABLE_REVIEWS_DESCRIPTION . " where reviews_id = '" . (int)$reviews['reviews_id'] . "'");
						tep_db_query("delete from " . TABLE_REVIEWS . " where customers_id = '" . (int)$customers_id . "'");
						tep_db_query("delete from " . TABLE_ADDRESS_BOOK . " where customers_id = '" . (int)$customers_id . "'");
						tep_db_query("delete from " . TABLE_CUSTOMERS . " where customers_id = '" . (int)$customers_id . "'");
						tep_db_query("delete from " . TABLE_CUSTOMERS_INFO . " where customers_info_id = '" . (int)$customers_id . "'");
						tep_db_query("delete from " . TABLE_CUSTOMERS_BASKET . " where customers_id = '" . (int)$customers_id . "'");
						tep_db_query("delete from " . TABLE_CUSTOMERS_BASKET_ATTRIBUTES . " where customers_id = '" . (int)$customers_id . "'");
						tep_db_query("delete from " . TABLE_WHOS_ONLINE . " where customer_id = '" . (int)$customers_id . "'");
						$sql_data_array['customers_id'] = $customers_id;
					}
					if($_POST['action'] == 'guest') {
						$sql_data_array['customers_guest'] = 1;
						}
					elseif($_POST['action'] == 'account') {
						$sql_data_array['customers_guest'] = 0;
						}
					tep_db_perform(TABLE_CUSTOMERS, $sql_data_array);
					if ($return_guest == false) {
					$customer_id = tep_db_insert_id();
						}
					else {
						$customer_id = $customers_id;
						}
					$sql_data_array = array(
						'customers_id' => $customer_id,
						'entry_firstname' => $firstname,
						'entry_lastname' => $lastname,
						'entry_street_address' => $street_address,
						'entry_postcode' => $postcode,
						'entry_city' => $city,
						'entry_country_id' => $country);
					if($_POST['action'] == 'account') {
						if (ACCOUNT_GENDER == 'true') $sql_data_array['entry_gender'] = $gender;
						if (ACCOUNT_COMPANY == 'true') $sql_data_array['entry_company'] = $company;
						}
					if (ACCOUNT_SUBURB == 'true') $sql_data_array['entry_suburb'] = $suburb;
					if (ACCOUNT_STATE == 'true')
						{
						if ($zone_id > 0)
							{
							$sql_data_array['entry_zone_id'] = $zone_id;
							$sql_data_array['entry_state'] = '';
							}
						else
							{
							$sql_data_array['entry_zone_id'] = '0';
							$sql_data_array['entry_state'] = $state;
							}
						}
					tep_db_perform(TABLE_ADDRESS_BOOK, $sql_data_array);
					$address_id = tep_db_insert_id();
					tep_db_query("update " . TABLE_CUSTOMERS . " set customers_default_address_id = '" . (int)$address_id . "' where customers_id = '" . (int)$customer_id . "'");
					tep_db_query("insert into " . TABLE_CUSTOMERS_INFO . " (customers_info_id, customers_info_number_of_logons, customers_info_date_account_created) values ('" . (int)$customer_id . "', '0', now())");
					if (SESSION_RECREATE == 'True') tep_session_recreate();
					$customer_first_name = $firstname;
					$customer_default_address_id = $address_id;
					$customer_country_id = $country;
					$customer_zone_id = $zone_id;
					tep_session_register('customer_id');
					tep_session_register('customer_first_name');
					tep_session_register('customer_default_address_id');
					tep_session_register('customer_country_id');
					tep_session_register('customer_zone_id');
					$sessiontoken = md5(tep_rand() . tep_rand() . tep_rand() . tep_rand());
					if($_POST['action'] == 'account') {
						$cart->restore_contents();
						$name = $firstname . ' ' . $lastname;
						if (ACCOUNT_GENDER == 'true')
							{
							if ($gender == 'm') $email_text = sprintf(EMAIL_GREET_MR, $lastname);
							else $email_text = sprintf(EMAIL_GREET_MS, $lastname);
							}
						else $email_text = sprintf(EMAIL_GREET_NONE, $firstname);
						$email_text .= EMAIL_WELCOME . EMAIL_TEXT . EMAIL_CONTACT . EMAIL_WARNING;
						//Zeichensatzanpassung - Test
						$email_text = utf8_encode(html_entity_decode($email_text, ENT_QUOTES, 'ISO-8859-15')) . "\n\n";
						if ( EMAIL_USE_HTML == 'false') {
							tep_mail($name, $email_address, EMAIL_SUBJECT, $email_text, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);
						}else {
							tep_mail(utf8_decode($name), $email_address, EMAIL_SUBJECT, $email_text, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);
						}
						}
					elseif($_POST['action'] == 'guest') {
						tep_session_register('guest');
						}
					if (sizeof($navigation->snapshot) > 0 && $_POST['action'] == 'guest')
						{
						$origin_href = tep_mobile_link($navigation->snapshot['page'], tep_array_to_string($navigation->snapshot['get'], array(tep_session_name())), $navigation->snapshot['mode']);
						$navigation->clear_snapshot();
						tep_redirect($origin_href);
						}
					else tep_redirect(tep_mobile_link(FILENAME_CREATE_ACCOUNT_SUCCESS, '', 'SSL'));
					}
				}
			break;
		}
	}
if ((isset($_POST['action']) && $_POST['action'] == 'login') || (!isset($_GET['form']) && !isset($_POST['action'])))
	$breadcrumb->add(NAVBAR_TITLE_LOGIN, tep_mobile_link(FILENAME_LOGIN, '', 'SSL'));
elseif ((isset($_POST['action']) && $_POST['action'] == 'forgot') || (isset($_GET['form']) && $_GET['form'] == 'forgot'))
	{
	$breadcrumb->add(NAVBAR_TITLE_LOGIN, tep_mobile_link(FILENAME_LOGIN, '', 'SSL'));
	$breadcrumb->add(NAVBAR_TITLE_FORGOT, tep_mobile_link(FILENAME_LOGIN, 'form=forgot', 'SSL'));
	}
elseif ((isset($_POST['action']) && $_POST['action'] == 'account') || (isset($_GET['form']) && $_GET['form'] == 'account'))
	$breadcrumb->add(NAVBAR_TITLE_ACCOUNT, tep_mobile_link(FILENAME_LOGIN, 'form=account', 'SSL'));

require(DIR_MOBILE_INCLUDES . 'header.php');
  $headerTitle->write();
?>
<div id="messageStack">
<?php if ($messageStack->size('login') > 0) echo $messageStack->output('login'); 
?>
</div>
<?php if ((isset($_POST['action']) && $_POST['action'] == 'login') || (!isset($_GET['form']) && !isset($_POST['action']))) {
if ( defined('MODULE_BOXES_LOGINRADIUS_STATUS') && (MODULE_BOXES_LOGINRADIUS_STATUS == 'True')) { 
	echo '<div id="new_cust">'.NOTE_LOGINRADIUS.'</div>';
}
?>
<div id="iphone_content">
	<div id="returning_cust">
		<h1><?php echo HEADING_RETURNING_CUSTOMER; ?></h1>
		
		
		<?php 
 //for adding loginradius
/*if (defined('MODULE_BOXES_LOGINRADIUS_STATUS') && (MODULE_BOXES_LOGINRADIUS_STATUS == 'True')) {
   $text_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_BOXES_LOGINRADIUS_LOGINTEXT'");
   $text_array = tep_db_fetch_array($text_query);
   $text = $text_array['configuration_value'];
   echo $text."<br><br>";
   $apikey_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_BOXES_LOGINRADIUS_API_KEY'");
   $apikey_array = tep_db_fetch_array($apikey_query);
   $apikey = trim($apikey_array['configuration_value']);
   $apisecretkey_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_BOXES_LOGINRADIUS_API_SECRET_KEY'");
   $apisecretkey_array = tep_db_fetch_array($apisecretkey_query);
   $apisecretkey = trim($apisecretkey_array['configuration_value']);
   if (!empty($apikey) && preg_match('/^\{?[A-Z0-9]{8}-[A-Z0-9]{4}-[A-Z0-9]{4}-[A-Z0-9]{4}-[A-Z0-9]{12}\}?$/i', $apikey)) {
	    $obj_auth = new LoginRadius();
        $UserAuth = $obj_auth->loginradius_get_auth($apikey, $apisecretkey);
		if($UserAuth != false) {
	      $IsHttps = (!empty($UserAuth->IsHttps)) ? $UserAuth->IsHttps : '';
	      $iframeHeight = (!empty($UserAuth->height)) ? $UserAuth->height : 50;
	      $iframeWidth = (!empty($UserAuth->width)) ? $UserAuth->width : 138;
		  $http = ($IsHttps == 1) ? "https://" : "http://";
          $loc = urlencode($http.$_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
          if (!tep_session_is_registered('customer_id')) {
            echo '<iframe src="'.$http.'hub.loginradius.com/Control/PluginSlider2.aspx?apikey='.$apikey.'&callback='.$loc.'" width="'.$iframeWidth.'" height="'.$iframeHeight.'" frameborder="0" scrolling="no" allowtransparency="true"></iframe>';
          }
		}
		else {
		  echo '<p style ="color:red;">Your API connection setting not working. try to change setting from module option or check your php.ini setting for (<b>cURL support = enabled</b> OR <b>allow_url_fopen = On</b>)</p>';
		}
    }
	else {
	  echo '<p style ="color:red;">Your LoginRadius API key and secret is not valid, please correct it or contact LoginRadius support at <b><a href ="http://www.loginradius.com" target = "_blank">www.LoginRadius.com</a></b></p>';
	}
}
  echo "<br><br>Or you can login if you have already account here in traditional form!";*/
  //until here
  ?>
		
		<?php echo tep_draw_form('login', tep_mobile_link(FILENAME_LOGIN, '', 'SSL'), 'post', '', true) . tep_draw_hidden_field('action', 'login'); ?>
		<?php //echo tep_draw_form('login', tep_mobile_link(FILENAME_LOGIN, '', 'SSL')); ?>
		<label for="email_address"><?php echo ENTRY_EMAIL_ADDRESS; ?></label>
			<?php echo tep_input_jquery('email_address'); ?>

		<label for="password"><?php echo ENTRY_PASSWORD; ?></label>
			<?php echo tep_draw_password_field('password','','id="password" data-theme="a"'); ?>

		
		
		<div class="bouton">
		<?php echo  tep_button_jquery( IMAGE_BUTTON_FORGOT_PASS , tep_mobile_link(FILENAME_LOGIN, 'form=forgot', 'SSL') , 'b' , 'button' , 'data-icon="info" data-inline="true" data-ajax="false"' );
		     echo  tep_button_jquery( IMAGE_BUTTON_LOGIN , '', 'b' , 'submit' , 'data-icon="arrow-r" data-iconpos="right" data-inline="true"' );?>

		</div>
		</form>
		<p><?php 
			if (defined('MODULE_BOXES_LOGINRADIUS_STATUS') && (MODULE_BOXES_LOGINRADIUS_STATUS == 'True')) {
				echo '<div id="new_cust">'.NOTE_TRAD_LOGIN.' </div>'; 
			}
			?></p>
	</div>
	<div id="new_cust">
		<h1><?php echo HEADING_NEW_CUSTOMER; ?></h1>
		
		<?php 
   //for adding loginradius
/*if (defined('MODULE_BOXES_LOGINRADIUS_STATUS') && (MODULE_BOXES_LOGINRADIUS_STATUS == 'True')) {
   $text_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_BOXES_LOGINRADIUS_ACCTEXT'");
   $text_array = tep_db_fetch_array($text_query);
   $text = $text_array['configuration_value'];
   echo $text."<br><br>";
   $apikey_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_BOXES_LOGINRADIUS_API_KEY'");
   $apikey_array = tep_db_fetch_array($apikey_query);
   $apikey = trim($apikey_array['configuration_value']);
   $apisecretkey_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_BOXES_LOGINRADIUS_API_SECRET_KEY'");
   $apisecretkey_array = tep_db_fetch_array($apisecretkey_query);
   $apisecretkey = trim($apisecretkey_array['configuration_value']);
   if (!empty($apikey) && preg_match('/^\{?[A-Z0-9]{8}-[A-Z0-9]{4}-[A-Z0-9]{4}-[A-Z0-9]{4}-[A-Z0-9]{12}\}?$/i', $apikey)) {
	    $obj_auth = new LoginRadius();
        $UserAuth = $obj_auth->loginradius_get_auth($apikey, $apisecretkey);
		if($UserAuth != false) {
	      $IsHttps = (!empty($UserAuth->IsHttps)) ? $UserAuth->IsHttps : '';
	      $iframeHeight = (!empty($UserAuth->height)) ? $UserAuth->height : 50;
	      $iframeWidth = (!empty($UserAuth->width)) ? $UserAuth->width : 138;
		  $http = ($IsHttps == 1) ? "https://" : "http://";
          $loc = urlencode($http.$_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
          if (!tep_session_is_registered('customer_id')) {
            echo '<iframe src="'.$http.'hub.loginradius.com/Control/PluginSlider2.aspx?apikey='.$apikey.'&callback='.$loc.'" width="'.$iframeWidth.'" height="'.$iframeHeight.'" frameborder="0" scrolling="no" allowtransparency="true"></iframe>';
          }
		}
		else {
		  echo '<p style ="color:red;">Your API connection setting not working. try to change setting from module option or check your php.ini setting for (<b>cURL support = enabled</b> OR <b>allow_url_fopen = On</b>)</p>';
		}
    }
	else {
	  echo '<p style ="color:red;">Your LoginRadius API key and secret is not valid, please correct it or contact LoginRadius support at <b><a href ="http://www.loginradius.com" target = "_blank">www.LoginRadius.com</a></b></p>';
	}
  }
  echo "<br><br>Or you can register yourself by filling the Form below!";*/
  //until here
  ?>
		
		<?php echo TEXT_NEW_CUSTOMER_INTRODUCTION; ?>
		
		<div class="bouton">
		<?php echo  tep_button_jquery( IMAGE_BUTTON_CREATE_ACCOUNT , tep_mobile_link(FILENAME_LOGIN, 'form=account', 'NONSSL'), 'b' , 'button' , 'data-icon="arrow-r" data-iconpos="right" data-inline="true" ' ); ?>
	</div>
		
	</div>
  <?php if (sizeof($navigation->snapshot) > 0 && GUEST_CHECKOUT_ENABLED == 'True') { ?>
  <div id="new_cust"> 
			<hr>
			<h1><?php echo TEXT_GUEST_CUSTOMER; ?></h1>
			<p><?php echo TEXT_GUEST_CUSTOMER_INTRODUCTION; ?></p>
			<div id="bouton">
				<?php echo tep_draw_button(IMAGE_BUTTON_CONTINUE, 'triangle-1-e', tep_mobile_link(FILENAME_LOGIN, 'form=guest', 'SSL'), ''); ?>
			</div>
			
	</div>
	<?php } ?>
<?php } elseif ((isset($_POST['action']) && $_POST['action'] == 'forgot') || (isset($_GET['form']) && $_GET['form'] == 'forgot')) { ?>
<div id="iphone_content">
	<div id="returning_cust">
	<h2><?php echo HEADING_TITLE_FORGOT; ?></h2>
		<div id="returning_cust">
			<?php echo TEXT_MAIN; ?><br /><br />
			<?php echo tep_draw_form('password_forgotten', tep_mobile_link(FILENAME_LOGIN, '', 'SSL'), 'post', '', true) . tep_draw_hidden_field('action', 'forgot'); ?>
					
			
			<label for="email_address"><?php echo ENTRY_EMAIL_ADDRESS; ?></label>
				<?php echo tep_input_jquery('email_address'); ?>
				

			
			<br/>
			<?php //echo ''.tep_mobile_button(IMAGE_BUTTON_CONTINUE,'onclick="document.location.href=\'' . tep_mobile_link(FILENAME_LOGIN, '', 'SSL') . '\';"').''; ?>
			<!--</form>-->
		
			<?php //echo '<a href="' . tep_mobile_link(FILENAME_LOGIN, '', 'SSL') . '">'.tep_mobile_button(IMAGE_BUTTON_BACK).'</a>'; ?>
			
			<div id="bouton">
				<?php echo  tep_button_jquery( IMAGE_BUTTON_BACK, tep_mobile_link(FILENAME_LOGIN, '', 'SSL'), 'b', 'button', 'data-icon="back" data-inline="true"');
					  echo  tep_button_jquery( IMAGE_BUTTON_CONTINUE, '', 'b', 'submit', 'data-icon="arrow-r" data-iconpos="right" data-inline="true" data-ajax="false"');
							?>		
			</div>
		  </form>
		</div>
	</div>
	
<?php } elseif ((isset($_POST['action']) && ($_POST['action'] == 'account' || $_POST['action'] == 'guest')) || (isset($_GET['form']) && ($_GET['form'] == 'account' || $_GET['form'] == 'guest'))) { ?>
<div id="iphone_content">

<script type="text/javascript"><!--
function selectRowEffectt(obj) {
obj.className = 'moduleRowSelected';
if (document.create_account.privacy.checked == false) {
    document.create_account.privacy.checked=true;
  } else {
    document.create_account.privacy.checked=false;
  }
}

function selectRowEffectg(obj) {
obj.className = 'moduleRowSelected';
if (document.guest_account.privacy.checked == false) {
    document.guest_account.privacy.checked=true;
  } else {
    document.guest_account.privacy.checked=false;
  }
}
//--></script>

<div id="inscription">
	<h1><?php echo CATEGORY_PERSONAL; ?></h1>
	  <div class="obligatoire"><?php echo FORM_REQUIRED_INFORMATION; ?></div>

		<?php if($_POST['action'] == 'account' || $_GET['form'] == 'account') { ?>
		
		<?php 
   //for adding loginradius
/* if (defined('MODULE_BOXES_LOGINRADIUS_STATUS') && (MODULE_BOXES_LOGINRADIUS_STATUS == 'True')) {
   $text_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_BOXES_LOGINRADIUS_ACCTEXT'");
   $text_array = tep_db_fetch_array($text_query);
   $text = $text_array['configuration_value'];
   echo $text."<br><br>";
   $apikey_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_BOXES_LOGINRADIUS_API_KEY'");
   $apikey_array = tep_db_fetch_array($apikey_query);
   $apikey = trim($apikey_array['configuration_value']);
   $apisecretkey_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_BOXES_LOGINRADIUS_API_SECRET_KEY'");
   $apisecretkey_array = tep_db_fetch_array($apisecretkey_query);
   $apisecretkey = trim($apisecretkey_array['configuration_value']);
   if (!empty($apikey) && preg_match('/^\{?[A-Z0-9]{8}-[A-Z0-9]{4}-[A-Z0-9]{4}-[A-Z0-9]{4}-[A-Z0-9]{12}\}?$/i', $apikey)) {
	    $obj_auth = new LoginRadius();
        $UserAuth = $obj_auth->loginradius_get_auth($apikey, $apisecretkey);
		if($UserAuth != false) {
	      $IsHttps = (!empty($UserAuth->IsHttps)) ? $UserAuth->IsHttps : '';
	      $iframeHeight = (!empty($UserAuth->height)) ? $UserAuth->height : 50;
	      $iframeWidth = (!empty($UserAuth->width)) ? $UserAuth->width : 138;
		  $http = ($IsHttps == 1) ? "https://" : "http://";
          $loc = urlencode($http.$_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
          if (!tep_session_is_registered('customer_id')) {
            echo '<iframe src="'.$http.'hub.loginradius.com/Control/PluginSlider2.aspx?apikey='.$apikey.'&callback='.$loc.'" width="'.$iframeWidth.'" height="'.$iframeHeight.'" frameborder="0" scrolling="no" allowtransparency="true"></iframe>';
          }
		}
		else {
		  echo '<p style ="color:red;">Your API connection setting not working. try to change setting from module option or check your php.ini setting for (<b>cURL support = enabled</b> OR <b>allow_url_fopen = On</b>)</p>';
		}
    }
	else {
	  echo '<p style ="color:red;">Your LoginRadius API key and secret is not valid, please correct it or contact LoginRadius support at <b><a href ="http://www.loginradius.com" target = "_blank">www.LoginRadius.com</a></b></p>';
	}
  }
  echo "<br><br>Or you can register yourself by filling the Form below!";*/
  //until here
  ?>
		
		<?php echo tep_draw_form('create_account', tep_mobile_link(FILENAME_LOGIN, '', 'SSL'), 'post', 'onsubmit="return check_form(create_account);"', true) . tep_draw_hidden_field('action', 'account'); ?>
		<?php } elseif($_POST['action'] == 'guest' || $_GET['form'] == 'guest') { 
			echo tep_draw_form('guest_account', tep_mobile_link(FILENAME_LOGIN, '', 'SSL'), 'post', 'onsubmit="return check_form(guest_account);"', true) . tep_draw_hidden_field('action', 'guest');
		} ?>
				<?php if($_POST['action'] == 'account' || $_GET['form'] == 'account') { ?>
				
				<?php
  if (ACCOUNT_GENDER == 'true') {
		$gender_array[0] = array('id' => false,
					'text' => PULL_DOWN_DEFAULT);        
		$gender_array[1] = array('id' => 'm',
					'text' => MALE);
		$gender_array[2] = array('id' => 'f',
					'text' => FEMALE);        
?>
			              <label for="gender" ><?php echo ENTRY_GENDER . (tep_not_null(ENTRY_GENDER_TEXT) ? '<span class="inputRequirement">&nbsp;' . ENTRY_GENDER_TEXT . '</span>': ''); ?></label>
		      <?php echo tep_draw_pull_down_menu('gender', $gender_array, '','id="gender" data-theme="a" '); ?>
			<?php } 
								
				 } ?>
				
			<label for="firstname" ><?php echo ENTRY_FIRST_NAME . (tep_not_null(ENTRY_FIRST_NAME_TEXT) ? '<span class="inputRequirement">&nbsp;' . ENTRY_FIRST_NAME_TEXT . '</span>': ''); ?></label>
			  <?php echo tep_input_jquery('firstname','','class="input"'); ?>
		
			
			  <label for="lastname" ><?php echo ENTRY_LAST_NAME . (tep_not_null(ENTRY_LAST_NAME_TEXT) ? '<span class="inputRequirement">&nbsp;' . ENTRY_LAST_NAME_TEXT . '</span>': ''); ?></label>
			  <?php echo tep_input_jquery('lastname'); ?>
				
				<?php if($_POST['action'] == 'account' || $_GET['form'] == 'account') { ?>
				<?php if (ACCOUNT_DOB == 'true') { ?>
				
				
				<label for="dob" ><?php echo ENTRY_DATE_OF_BIRTH . (tep_not_null(ENTRY_DATE_OF_BIRTH_TEXT) ? '<span class="inputRequirement">&nbsp;' . ENTRY_DATE_OF_BIRTH_TEXT . '</span>': ''); ?>* (z.B. 21/05/1970)</label>
			  <?php echo tep_input_jquery('dob','','','date'); ?>

				
				<?php } ?>
				<?php } ?>
				
		     <label for="email_address" ><?php echo ENTRY_EMAIL_ADDRESS . (tep_not_null(ENTRY_EMAIL_ADDRESS_TEXT) ? '<span class="inputRequirement">&nbsp;' . ENTRY_EMAIL_ADDRESS_TEXT . '</span>': ''); ?></label>
			  <?php echo tep_input_jquery('email_address','','','email')?>

				
				<?php if($_POST['action'] == 'account' || $_GET['form'] == 'account') { ?>
		<?php if (ACCOUNT_COMPANY == 'true') { ?>
		<h1><?php echo CATEGORY_COMPANY; ?></h1>
              <label for="company" ><?php echo ENTRY_COMPANY . (tep_not_null(ENTRY_COMPANY_TEXT) ? '<span class="inputRequirement">&nbsp;' . ENTRY_COMPANY_TEXT . '</span>': ''); ?></label>
			  <?php echo tep_input_jquery('company'); ?>
		<?php } ?>
				<?php } ?>
		<h1><?php echo CATEGORY_ADDRESS; ?></h1>
              <label for="street_address" ><?php echo ENTRY_STREET_ADDRESS . (tep_not_null(ENTRY_STREET_ADDRESS_TEXT) ? '<span class="inputRequirement">&nbsp;' . ENTRY_STREET_ADDRESS_TEXT . '</span>': ''); ?></label>
			  <?php echo tep_input_jquery('street_address'); ?>

				<?php if (ACCOUNT_SUBURB == 'true') { ?>
				<label for="suburb" ><?php echo ENTRY_SUBURB . (tep_not_null(ENTRY_SUBURB_TEXT) ? '<span class="inputRequirement">&nbsp;' . ENTRY_SUBURB_TEXT . '</span>': ''); ?></label>
			  <?php echo tep_input_jquery('suburb'); ?>

				<?php } ?>
				<label for="postcode" ><?php echo ENTRY_POST_CODE . (tep_not_null(ENTRY_POST_CODE_TEXT) ? '<span class="inputRequirement">&nbsp;' . ENTRY_POST_CODE_TEXT . '</span>': ''); ?></label>
			  <?php echo tep_input_jquery('postcode'); ?>

				<label for="city" ><?php echo ENTRY_CITY . (tep_not_null(ENTRY_CITY_TEXT) ? '<span class="inputRequirement">&nbsp;' . ENTRY_CITY_TEXT . '</span>': ''); ?></label>
			  <?php echo tep_input_jquery('city'); ?>

				
				<?php if (ACCOUNT_STATE == 'true') { ?>
				  
			  <label for="state" ><?php echo ENTRY_STATE . (tep_not_null(ENTRY_STATE_TEXT)? '<span class="inputRequirement">&nbsp;' . ENTRY_STATE_TEXT . '</span>': ''); ?></label>
						<?php
						if ($processAccount == true)
							{
							if ($entry_state_has_zones == true)
								{
								$zones_array = array();
								$zones_query = tep_db_query("select zone_name from " . TABLE_ZONES . " where zone_country_id = '" . (int)$country . "' order by zone_name");
								while ($zones_values = tep_db_fetch_array($zones_query)) {
								$zones_array[] = array('id' => $zones_values['zone_name'], 'text' => $zones_values['zone_name']);
								}
							echo tep_draw_pull_down_menu('state', $zones_array);
							}
						else echo tep_input_jquery('state');
						}
						else echo tep_input_jquery('state');
						?>
				<?php } ?>
			
			<label for="country" ><?php echo ENTRY_COUNTRY . (tep_not_null(ENTRY_COUNTRY_TEXT) ? '<span class="inputRequirement">&nbsp' . ENTRY_COUNTRY_TEXT . '</span>': ''); ?></label>
			  <?php echo tep_get_country_list('country', STORE_COUNTRY,'id="country", data-theme="a"'); ?>

			
		
				<?php if(($_POST['action'] == 'account' || $_GET['form'] == 'account') || (($_POST['action'] == 'guest' || $_GET['form'] == 'guest') && GUEST_CHECKOUT_TELEPHONE == 'True') ) { ?>
		<h1><?php echo CATEGORY_CONTACT; ?></h1>
			<label for="telephone" ><?php echo ENTRY_TELEPHONE_NUMBER . (tep_not_null(ENTRY_TELEPHONE_NUMBER_TEXT) ? '<span class="inputRequirement">&nbsp' . ENTRY_TELEPHONE_NUMBER_TEXT . '</span>': ''); ?></label>
			  <?php echo tep_input_jquery('telephone'); ?>

			
			
			
				<?php if($_POST['action'] == 'account' || $_GET['form'] == 'account') { ?>
				
				
				
				<label for="fax" ><?php echo ENTRY_FAX_NUMBER . (tep_not_null(ENTRY_FAX_NUMBER_TEXT) ? '<span class="inputRequirement">&nbsp' . ENTRY_FAX_NUMBER_TEXT . '</span>': ''); ?></label>
			  <?php echo tep_input_jquery('fax'); ?>

				
			
			  <h1><?php echo CATEGORY_OPTIONS; ?></h1>
			  <?php
				echo '<fieldset data-role="controlgroup">'.tep_checkbox_jquery('newsletter',false,'a',1,$option = '' ).'
				<label for="newsletter">'.ENTRY_NEWSLETTER.'</label>
				</fieldset>';
?>

			
			
			
			
				<?php } ?>
			
		
				<?php } ?>
				<?php if($_POST['action'] == 'account' || $_GET['form'] == 'account') { ?>
				
			  <h1><?php echo CATEGORY_PASSWORD; ?></h1>
			  <label for="password" ><?php echo ENTRY_PASSWORD . (tep_not_null(ENTRY_PASSWORD_TEXT) ? '<span class="inputRequirement">&nbsp' . ENTRY_PASSWORD_TEXT . '</span>': ''); ?></label>
			  <?php echo tep_draw_password_field('password','','id="password"'); ?>

			<label for="confirmation" ><?php echo ENTRY_PASSWORD_CONFIRMATION . (tep_not_null(ENTRY_PASSWORD_CONFIRMATION_TEXT) ? '<span class="inputRequirement">&nbsp' . ENTRY_PASSWORD_CONFIRMATION_TEXT . '</span>': ''); ?></label>
			  <?php echo tep_draw_password_field('confirmation','','id="confirmation"')?>

				<?php }  
  // osc-support-edition BOF
  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_PRIVACY);
?>
  <h1><?php echo HEADING_PRIVACY_INFORMATION; ?></h1>
  <div class="contentText">
    <div class="termsContainer"><?php echo TEXT_INFORMATION; ?></div>
  </div>
  <!--<div class="contentText">
    <div style="float:left;"><?php //echo tep_draw_checkbox_field('privacy', 'true'); ?></div>
    <div style="float:left; margin-left:10px;"><?php //echo PRIVACY_ACCEPT_TEXT; ?></div><br style="clear: both;" />
  </div>-->
  <div id="bill_add">
<table border="0" width="100%" cellspacing="0" cellpadding="2">	
<?php if($_POST['action'] == 'account' || $_GET['form'] == 'account') { 
   echo '      <tr id="inscr" class="moduleRowSelected" onclick="selectRowEffectt(this)">' . "\n"; 
 } else {
	echo '      <tr id="inscr" class="moduleRowSelected" onclick="selectRowEffectg(this)">' . "\n";
 } ?> 
 <!--<div class="contentText">-->
    <td style="padding-left: 10px;"><?php echo tep_draw_checkbox_field('privacy', 'true'); ?></td>
    <td width="100%" style="padding-top: 13px; padding-bottom: 11px;">&nbsp;&nbsp;<?php echo PRIVACY_ACCEPT_TEXT; ?></td>
  </tr>
  </table>
</div>

<!--// osc-support-edition EOF-->

<?php
// BOF: SLiCK reCaptcha
  if (RECAPTCHA_CREATEACCOUNT == 'true') {
?>
  <div class="contentText">
    <table border="0" cellspacing="2" cellpadding="2" width="100%">
      <tr>
        <td class="fieldKey"><?php echo ENTRY_SECURITY_CHECK; ?></td>
      </tr>
      <tr>
        <td class="fieldValue">
<?php
    $languages_query = tep_db_query("select code from " . TABLE_LANGUAGES . " where directory = '" . (int)$language . "'");
    $language_id = tep_db_fetch_array($languages_query);
?>
        <script type="text/javascript">
      var RecaptchaOptions = {
        theme : '<?php echo RECAPTCHA_THEME ?>',
        tabindex : 3,
        lang : '<?php if (in_array($language_id['code'], array('en', 'es', 'de'))) { echo $language_id['code']; } else { echo 'en'; } ?>'
      };
      </script>
      <?php 
	  // get the type of request (secure or not)
		$request_type = (getenv('HTTPS') == 'on') ? 'SSL' : 'NONSSL';
		if ($request_type == 'SSL') {
			echo recaptcha_get_html(RECAPTCHA_PUBLIC_KEY, null, ($request_type == 'SSL')); 
		} else {
			echo recaptcha_get_html(RECAPTCHA_PUBLIC_KEY);
		}		
	   ?>
        </td>
      </tr>
    </table>
  </div>
<?php
  }
// EOF: SLiCK reCaptcha
?>
				
		<div id="bouton">
				<?php echo  tep_button_jquery( IMAGE_BUTTON_CREATE_ACCOUNT , '', 'b' , 'submit' , 'data-iconpos="right" data-icon="check" data-inline="true"' );?>
			</div>

	</div>
	
	</form>
<?php } ?>

<?php
if( JQUERY_MOBILE_VALIDATE == 'True')
require(DIR_MOBILE_INCLUDES. 'form_check.js.php');
else
require(DIR_WS_INCLUDES . 'form_check.js.php');

require(DIR_MOBILE_INCLUDES . 'footer.php');
?>
