<?php
/*
  $Id: categories.php 1739 2007-12-20 00:52:16Z hpdl $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 osCommerce

  Released under the GNU General Public License
*/

define('HEADING_TITLE', 'Kategorien / Artikel');
define('HEADING_TITLE_SEARCH', 'Suche: ');
define('HEADING_TITLE_GOTO', 'Gehe zu:');

define('TABLE_HEADING_ID', 'ID');
define('TABLE_HEADING_CATEGORIES_PRODUCTS', 'Kategorien / Artikel');
define('TABLE_HEADING_ACTION', 'Aktion');
define('TABLE_HEADING_STATUS', 'Status');

define('TEXT_NEW_PRODUCT', 'Neuer Artikel in &quot;%s&quot;');
define('TEXT_CATEGORIES', 'Kategorien:');
define('TEXT_SUBCATEGORIES', 'Unterkategorien:');
define('TEXT_PRODUCTS', 'Artikel:');
define('TEXT_PRODUCTS_PRICE_INFO', 'Preis:');
define('TEXT_PRODUCTS_TAX_CLASS', 'Steuerklasse:');
define('TEXT_PRODUCTS_AVERAGE_RATING', 'durchschnittl. Bewertung:');
define('TEXT_PRODUCTS_QUANTITY_INFO', 'Anzahl:');
define('TEXT_DATE_ADDED', 'hinzugef&uuml;gt am:');
define('TEXT_DATE_AVAILABLE', 'Erscheinungsdatum:');
define('TEXT_LAST_MODIFIED', 'letzte &Auml;nderung:');
define('TEXT_IMAGE_NONEXISTENT', 'BILD EXISTIERT NICHT');
define('TEXT_NO_CHILD_CATEGORIES_OR_PRODUCTS', 'Bitte f&uuml;gen Sie eine neue Kategorie oder einen Artikel ein.');
define('TEXT_PRODUCT_MORE_INFORMATION', 'F&uuml;r weitere Informationen, besuchen Sie bitte die <a href="http://%s" target="blank"><u>Homepage</u></a> des Herstellers.');
define('TEXT_PRODUCT_DATE_ADDED', 'Diesen Artikel haben wir am %s in unseren Katalog aufgenommen.');
define('TEXT_PRODUCT_DATE_AVAILABLE', 'Dieser Artikel ist erh&auml;ltlich ab %s.');

define('TEXT_EDIT_INTRO', 'Bitte f&uuml;hren Sie alle notwendigen &Auml;nderungen durch.');
define('TEXT_EDIT_CATEGORIES_ID', 'Kategorie ID:');
define('TEXT_EDIT_CATEGORIES_NAME', 'Kategorie Name:');
define('TEXT_EDIT_CATEGORIES_IMAGE', 'Kategorie Bild:');
define('TEXT_EDIT_SORT_ORDER', 'Sortierreihenfolge:');

define('TEXT_INFO_COPY_TO_INTRO', 'Bitte w&auml;hlen Sie eine neue Kategorie aus, in die Sie den Artikel kopieren m&ouml;chten:');
define('TEXT_INFO_CURRENT_CATEGORIES', 'aktuelle Kategorien:');

define('TEXT_INFO_HEADING_NEW_CATEGORY', 'Neue Kategorie');
define('TEXT_INFO_HEADING_EDIT_CATEGORY', 'Kategorie bearbeiten');
define('TEXT_INFO_HEADING_DELETE_CATEGORY', 'Kategorie l&ouml;schen');
define('TEXT_INFO_HEADING_MOVE_CATEGORY', 'Kategorie verschieben');
define('TEXT_INFO_HEADING_DELETE_PRODUCT', 'Artikel l&ouml;schen');
define('TEXT_INFO_HEADING_MOVE_PRODUCT', 'Artikel verschieben');
define('TEXT_INFO_HEADING_COPY_TO', 'Kopieren nach');

define('TEXT_DELETE_CATEGORY_INTRO', 'Sind Sie sicher, dass Sie diese Kategorie l&ouml;schen m&ouml;chten?');
define('TEXT_DELETE_PRODUCT_INTRO', 'Sind Sie sicher, dass Sie diesen Artikel l&ouml;schen m&ouml;chten?');

define('TEXT_DELETE_WARNING_CHILDS', '<b>WARNUNG:</b> Es existieren noch %s (Unter-)Kategorien, die mit dieser Kategorie verbunden sind!');
define('TEXT_DELETE_WARNING_PRODUCTS', '<b>WARNING:</b> Es existieren noch %s Artikel, die mit dieser Kategorie verbunden sind!');

define('TEXT_MOVE_PRODUCTS_INTRO', 'Bitte w&auml;hlen Sie die &uuml;bergordnete Kategorie, in die Sie <b>%s</b> verschieben m&ouml;chten');
define('TEXT_MOVE_CATEGORIES_INTRO', 'Bitte w&auml;hlen Sie die &uuml;bergordnete Kategorie, in die Sie <b>%s</b> verschieben m&ouml;chten');
define('TEXT_MOVE', 'Verschiebe <b>%s</b> nach:');

define('TEXT_NEW_CATEGORY_INTRO', 'Bitte geben Sie die neue Kategorie mit allen relevanten Daten ein.');
define('TEXT_CATEGORIES_NAME', 'Kategorie Name:');
define('TEXT_CATEGORIES_IMAGE', 'Kategorie Bild:');
define('TEXT_SORT_ORDER', 'Sortierreihenfolge:');

define('TEXT_PRODUCTS_STATUS', 'Produktstatus:');
define('TEXT_PRODUCTS_DATE_AVAILABLE', 'Erscheinungsdatum:');
define('TEXT_PRODUCT_AVAILABLE', 'auf Lager');
define('TEXT_PRODUCT_NOT_AVAILABLE', 'nicht vorr&auml;tig');
define('TEXT_PRODUCTS_MANUFACTURER', 'Artikel-Hersteller:');
define('TEXT_PRODUCTS_NAME', 'Artikelname:');
define('TEXT_PRODUCTS_DESCRIPTION', 'Artikelbeschreibung:');
define('TEXT_PRODUCTS_QUANTITY', 'Artikelanzahl:');
define('TEXT_PRODUCTS_MODEL', 'Artikel-Nr.:');
define('TEXT_PRODUCTS_GTIN', 'EAN/GTIN-Nr.:');
define('TEXT_PRODUCTS_ISBN', 'ISBN-Nr.:');
define('TEXT_PRODUCTS_UPC', 'UPC-Nr.:');
define('TEXT_PRODUCTS_BRAND', 'Marke/Sorte:');
define('TEXT_PRODUCTS_CONDITION', 'Zustand:');
define('TEXT_PRODUCTS_MPN', 'MPN-Nr.:');
define('TEXT_PRODUCTS_IMAGE', 'Artikelbild:');
define('TEXT_PRODUCTS_URL', 'Herstellerlink:');
define('TEXT_PRODUCTS_URL_WITHOUT_HTTP', '<small>(ohne f&uuml;hrendes http://)</small>');
define('TEXT_PRODUCTS_PRICE_NET', 'Artikelpreis (Netto):');
define('TEXT_PRODUCTS_PRICE_GROSS', 'Artikelpreis (Brutto):');
define('TEXT_PRODUCTS_WEIGHT', 'Artikelgewicht:');

define('EMPTY_CATEGORY', 'Leere Kategorie');

define('TEXT_HOW_TO_COPY', 'Kopiermethode:');
define('TEXT_COPY_AS_LINK', 'Produkt verlinken');
define('TEXT_COPY_AS_DUPLICATE', 'Produkt duplizieren');

define('ERROR_CANNOT_LINK_TO_SAME_CATEGORY', 'Fehler: Produkte k&ouml;nnen nicht in der gleichen Kategorie verlinkt werden.');
define('ERROR_CATALOG_IMAGE_DIRECTORY_NOT_WRITEABLE', 'Fehler: Das Verzeichnis \'images\' im Katalogverzeichnis ist schreibgesch&uuml;tzt: ' . DIR_FS_CATALOG_IMAGES);
define('ERROR_CATALOG_IMAGE_DIRECTORY_DOES_NOT_EXIST', 'Fehler: Das Verzeichnis \'images\' im Katalogverzeichnis ist nicht vorhanden: ' . DIR_FS_CATALOG_IMAGES);
define('ERROR_CANNOT_MOVE_CATEGORY_TO_PARENT', 'Fehler: Kategorie kann nicht in Unterkategorie verschoben werden.');
define('TEXT_PRODUCTS_MAIN_IMAGE','Artikelhauptbild');
define('TEXT_PRODUCTS_ADD_LARGE_IMAGE','weitere grosse Artikelbilder');
define('TEXT_PRODUCTS_LARGE_IMAGE','grosses Artikelbild');
define('TEXT_PRODUCTS_LARGE_IMAGE_HTML_CONTENT','Bildbeschreibung');
// added for image protection
define('TEXT_IMAGE_DISPLAY', 'Bildanzeige:');
define('TEXT_NO_IMAGE', 'Kein Bild anzeigen (benutze dies, wenn es sich um kein physikalisches Produkt handelt; hochgeladene Bilder werden nicht gespeichert)');
define('TEXT_IMAGE_NOT_AVAILABLE', 'Zeige "Kein Bild verf&uuml;gbar"-Bild (hochgeladene Bilder werden nicht gespeichert)');
define('TEXT_USE_PRODUCT_IMAGE', 'Zeige das Produktbild, welches unterhalb hochgeladen wurde');
define('BUTTON_MANAGE_IMAGES', 'Verwalte Produktbilder');
define('ERROR_CATALOG_PRODUCT_IMAGE_DIRECTORY_NOT_WRITEABLE', 'Fehler: Katalog Produktbildordner ist nicht schreibbar: ' . DIR_FS_CATALOG_IMAGES_PROD);
define('ERROR_CATALOG_PRODUCT_IMAGE_DIRECTORY_DOES_NOT_EXIST', 'Fehler: Katalog Produktbildordner existiert nicht: ' . DIR_FS_CATALOG_IMAGES_PROD);
define('ERROR_CATALOG_THUMB_IMAGE_DIRECTORY_NOT_WRITEABLE', 'Fehler: Katalog Produkt Minibildordner ist nicht schreibbar: ' . DIR_FS_CATALOG_IMAGES_THUMBS);
define('ERROR_CATALOG_THUMB_IMAGE_DIRECTORY_DOES_NOT_EXIST', 'Fehler: Katalog Produkt Minibildordner existiert nicht: ' . DIR_FS_CATALOG_IMAGES_THUMBS);
define('ERROR_CATALOG_CATEGORY_IMAGE_DIRECTORY_NOT_WRITEABLE', 'Fehler: Katalog Kategorie Bildordner ist nicht schreibbar: ' . DIR_FS_CATALOG_IMAGES_CAT);
define('ERROR_CATALOG_CATEGORY_IMAGE_DIRECTORY_DOES_NOT_EXIST', 'Fehler: Katalog Kategorie Bildordner existiert nicht: ' . DIR_FS_CATALOG_IMAGES_CAT);
define('ERROR_CATALOG_ORIGINAL_IMAGE_DIRECTORY_NOT_WRITEABLE', 'Fehler: Katalog Original Bildordner ist nicht schreibbar: ' . DIR_FS_CATALOG_IMAGES_ORIG);
define('ERROR_CATALOG_ORIGINAL_IMAGE_DIRECTORY_DOES_NOT_EXIST', 'Fehler: Katalog Original Bildordner existiert nicht: ' . DIR_FS_CATALOG_IMAGES_ORIG);
define('TEXT_IMAGE_IGNORED', 'Fehler: Dieses Produkt wurde nicht gesetzt, um hochgeladene Bilder zu benutzen; die Bilddatei, welche hochgeladen wurde, wird nicht gespeichert.');
define('TEXT_MORE_IMG', 'Zeige mehr Bilder');
define('TEXT_LARGE_IMAGE_FAILURE', 'Fehler: Das gro&szlig;e Produktbid konnte nicht erzeugt werden.');
define('TEXT_CLICK_VIEW', 'Hier klicken, um alle originalen Produktbilder zu zeigen');
//osc-support-edition BOF
define('TEXT_PRODUCTS_BASEPRICE_NET', 'Grundpreis (Netto): ');
define('TEXT_PRODUCTS_BASEPRICE_GROSS', 'Grundpreis (Brutto): ');
define('TEXT_PRODUCTS_BASEPRICE_UNIT', 'Grundpreis Einheit:<br /><small><i>z.B. 100g, 1 kg, St&uuml;ck usw.</i></small>');
//osc-support-edition EOF
// PRODUCTS SHIP FREE START
define('TEXT_PRODUCTS_SHIP_FREE', 'Dieses Produkt kostenlos verschicken?');
// PRODUCTS SHIP FREE END
?>