<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2007 osCommerce

  Released under the GNU General Public License
*/

// look in your $PATH_LOCALE/locale directory for available locales
// or type locale -a on the server.
// Examples:
// on RedHat try 'en_US'
// on FreeBSD try 'en_US.ISO_8859-1'
// on Windows try 'en', or 'English'
mb_internal_encoding('utf-8');
@setlocale(LC_TIME, 'en_US.ISO_8859-1');

define('DATE_FORMAT_SHORT', '%m/%d/%Y');  // this is used for strftime()
define('DATE_FORMAT_LONG', '%A %d %B, %Y'); // this is used for strftime()
define('DATE_FORMAT', 'm/d/Y'); // this is used for date()
define('DATE_TIME_FORMAT', DATE_FORMAT_SHORT . ' %H:%M:%S');
define('JQUERY_DATEPICKER_I18N_CODE', ''); // leave empty for en_US; see http://jqueryui.com/demos/datepicker/#localization
define('JQUERY_DATEPICKER_FORMAT', 'mm/dd/yy'); // see http://docs.jquery.com/UI/Datepicker/formatDate

////
// Return date in raw format
// $date should be in format mm/dd/yyyy
// raw date is in format YYYYMMDD, or DDMMYYYY
function tep_date_raw($date, $reverse = false) {
  if ($reverse) {
    return substr($date, 3, 2) . substr($date, 0, 2) . substr($date, 6, 4);
  } else {
    return substr($date, 6, 4) . substr($date, 0, 2) . substr($date, 3, 2);
  }
}

//osc-support-edition BOF
define('HEADER_TITLE_ACCOUNT_DELETE','Delete Account');	
define('BOX_INFORMATION_SHIPPING','Shipping and Returns');	
define('BOX_INFORMATION_PRIVACY','Privacy Notice');
define('BOX_INFORMATION_CONDITIONS','Conditions of Use');	
define('BOX_INFORMATION_CONTACT','Contact Us');
define('BOX_HEADING_INFORMATION','Information');
define('BOX_HEADING_NOTIFICATIONS','Notifications');
define('BOX_HEADING_MANUFACTURERS','Manufacturers');
define('BOX_INFORMATION_IMPRESSUM','Imprint');
define('BOX_INFORMATION_EASYMAP','Locate-us');
define('BOX_INFORMATION_CURRENT_AUCTIONS','eBay Auctions');
define('BOX_INFORMATION_WIDERRUF','Right of withdrawal');
define('BOX_HEADING_REVIEWS','Reviews');
define('TEXT_CLOSE_WINDOW','Close');
//osc-support-edition EOF

// currencies box text in includes/boxes/specials.php
define('BOX_HEADING_SPECIALS', 'Specials');

// currencies box text in includes/boxes/languages.php
define('BOX_HEADING_LANGUAGES', 'Languages');

// currencies box text in includes/boxes/currencies.php
define('BOX_HEADING_CURRENCIES', 'Currencies');
	
// mobile_version box text in includes/boxes/mobile_version.php
define('BOX_HEADING_MOBILE_VERSION', 'Show mobile view');

// if USE_DEFAULT_LANGUAGE_CURRENCY is true, use the following currency, instead of the applications default currency (used when changing language)
define('LANGUAGE_CURRENCY', 'USD');

// Global entries for the <html> tag
define('HTML_PARAMS', 'dir="ltr" lang="en"');

// charset for web pages and emails
define('CHARSET', 'utf-8');


// page title
define('TITLE', STORE_NAME);

// header text in includes/header.php
define('HEADER_TITLE_CREATE_ACCOUNT', 'Create an Account');
define('HEADER_TITLE_MY_ACCOUNT', 'My Account');
define('HEADER_TITLE_CART_CONTENTS', 'Cart Contents');
define('HEADER_TITLE_CHECKOUT', 'Checkout');
define('HEADER_TITLE_TOP', 'Top');
define('HEADER_TITLE_CATALOG', 'Catalog');
define('HEADER_TITLE_LOGOFF', 'Log Off');
define('HEADER_TITLE_LOGIN', 'Log In');

// footer text in includes/footer.php
define('FOOTER_TEXT_REQUESTS_SINCE', 'requests since');

// text for gender
define('MALE', 'Male');
define('FEMALE', 'Female');
define('MALE_ADDRESS', 'Mr.');
define('FEMALE_ADDRESS', 'Ms.');

// text for date of birth example
define('DOB_FORMAT_STRING', 'mm/dd/yyyy');

// checkout procedure text
define('CHECKOUT_BAR_DELIVERY', 'Delivery Information');
define('CHECKOUT_BAR_PAYMENT', 'Payment Information');
define('CHECKOUT_BAR_CONFIRMATION', 'Confirmation');
define('CHECKOUT_BAR_FINISHED', 'Finished!');

// pull down default text
define('PULL_DOWN_DEFAULT', 'Please Select');
define('TYPE_BELOW', 'Type Below');

// javascript messages
define('JS_ERROR', 'Errors have occured during the process of your form.\n\nPlease make the following corrections:\n\n');

define('JS_REVIEW_TEXT', '* The \'Review Text\' must have at least ' . REVIEW_TEXT_MIN_LENGTH . ' characters.\n');
define('JS_REVIEW_RATING', '* You must rate the product for your review.\n');

define('JS_ERROR_NO_PAYMENT_MODULE_SELECTED', '* Please select a payment method for your order.\n');
define('JS_ERROR_ACCEPT_TERMS', '* Please accept the terms and conditions!');

define('JS_ERROR_SUBMITTED', 'This form has already been submitted. Please press Ok and wait for this process to be completed.');

define('ERROR_NO_PAYMENT_MODULE_SELECTED', 'Please select a payment method for your order.');

define('CATEGORY_COMPANY', 'Company Details');
define('CATEGORY_PERSONAL', 'Your Personal Details');
define('CATEGORY_ADDRESS', 'Your Address');
define('CATEGORY_CONTACT', 'Your Contact Information');
define('CATEGORY_OPTIONS', 'Options');
define('CATEGORY_PASSWORD', 'Your Password');

define('ENTRY_COMPANY', 'Company Name:');
define('ENTRY_COMPANY_TEXT', '');
define('ENTRY_GENDER', 'Gender:');
define('ENTRY_GENDER_ERROR', 'Please select your Gender.');
define('ENTRY_GENDER_TEXT', '*');
define('ENTRY_FIRST_NAME', 'First Name:');
define('ENTRY_FIRST_NAME_ERROR', 'Your First Name must contain a minimum of ' . ENTRY_FIRST_NAME_MIN_LENGTH . ' characters.');
define('ENTRY_FIRST_NAME_TEXT', '*');
define('ENTRY_LAST_NAME', 'Last Name:');
define('ENTRY_LAST_NAME_ERROR', 'Your Last Name must contain a minimum of ' . ENTRY_LAST_NAME_MIN_LENGTH . ' characters.');
define('ENTRY_LAST_NAME_TEXT', '*');
define('ENTRY_DATE_OF_BIRTH', 'Date of Birth:');
define('ENTRY_DATE_OF_BIRTH_ERROR', 'Your Date of Birth must be in this format: MM/DD/YYYY (eg 05/21/1970)');
define('ENTRY_DATE_OF_BIRTH_TEXT', '* (eg. 05/21/1970)');
define('ENTRY_EMAIL_ADDRESS', 'E-Mail Address:');
define('ENTRY_EMAIL_ADDRESS_ERROR', 'Your E-Mail Address must contain a minimum of ' . ENTRY_EMAIL_ADDRESS_MIN_LENGTH . ' characters.');
define('ENTRY_EMAIL_ADDRESS_CHECK_ERROR', 'Your E-Mail Address does not appear to be valid - please make any necessary corrections.');
define('ENTRY_EMAIL_ADDRESS_ERROR_EXISTS', 'Your E-Mail Address already exists in our records - please log in with the e-mail address or create an account with a different address.');
define('ENTRY_EMAIL_ADDRESS_TEXT', '*');
define('ENTRY_STREET_ADDRESS', 'Street Address:');
define('ENTRY_STREET_ADDRESS_ERROR', 'Your Street Address must contain a minimum of ' . ENTRY_STREET_ADDRESS_MIN_LENGTH . ' characters.');
define('ENTRY_STREET_ADDRESS_TEXT', '*');
define('ENTRY_SUBURB', 'Suburb:');
define('ENTRY_SUBURB_TEXT', '');
define('ENTRY_POST_CODE', 'Post Code:');
define('ENTRY_POST_CODE_ERROR', 'Your Post Code must contain a minimum of ' . ENTRY_POSTCODE_MIN_LENGTH . ' characters.');
// VALIDATE POSTCODE START
define('ENTRY_POST_CODE_VALID_ERROR', 'Your Post Code does not appear to be valid for your country.  In order to ensure proper routing and speedy delivery, we require properly formatted postcodes.  Proper formats are reported by each country to the United Postal Union.  Please ensure that you are using capitalized letters, spaces, dashes, prefixes, etc...  For a link to your country\'s formatting statement, please see our <a href="'.tep_href_link(FILENAME_POSTCODES).'" target="_new"><b>postcode formatting list</b></a>.');
// VALIDATE POSTCODE END
define('ENTRY_POST_CODE_TEXT', '*');
define('ENTRY_CITY', 'City:');
define('ENTRY_CITY_ERROR', 'Your City must contain a minimum of ' . ENTRY_CITY_MIN_LENGTH . ' characters.');
define('ENTRY_CITY_TEXT', '*');
define('ENTRY_STATE', 'State/Province:');
define('ENTRY_STATE_ERROR', 'Your State must contain a minimum of ' . ENTRY_STATE_MIN_LENGTH . ' characters.');
define('ENTRY_STATE_ERROR_SELECT', 'Please select a state from the States pull down menu.');
define('ENTRY_STATE_TEXT', '*');
define('ENTRY_COUNTRY', 'Country:');
define('ENTRY_COUNTRY_ERROR', 'You must select a country from the Countries pull down menu.');
define('ENTRY_COUNTRY_TEXT', '*');
define('ENTRY_TELEPHONE_NUMBER', 'Telephone Number:');
define('ENTRY_TELEPHONE_NUMBER_ERROR', 'Your Telephone Number must contain a minimum of ' . ENTRY_TELEPHONE_MIN_LENGTH . ' characters.');
define('ENTRY_TELEPHONE_NUMBER_TEXT', '*');
define('ENTRY_FAX_NUMBER', 'Fax Number:');
define('ENTRY_FAX_NUMBER_TEXT', '');
define('ENTRY_NEWSLETTER', 'Newsletter:');
define('ENTRY_NEWSLETTER_TEXT', '');
define('ENTRY_NEWSLETTER_YES', 'Subscribed');
define('ENTRY_NEWSLETTER_NO', 'Unsubscribed');
define('ENTRY_PASSWORD', 'Password:');
define('ENTRY_PASSWORD_ERROR', 'Your Password must contain a minimum of ' . ENTRY_PASSWORD_MIN_LENGTH . ' characters.');
define('ENTRY_PASSWORD_ERROR_NOT_MATCHING', 'The Password Confirmation must match your Password.');
define('ENTRY_PASSWORD_TEXT', '*');
define('ENTRY_PASSWORD_CONFIRMATION', 'Password Confirmation:');
define('ENTRY_PASSWORD_CONFIRMATION_TEXT', '*');
define('ENTRY_PASSWORD_CURRENT', 'Current Password:');
define('ENTRY_PASSWORD_CURRENT_TEXT', '*');
define('ENTRY_PASSWORD_CURRENT_ERROR', 'Your Password must contain a minimum of ' . ENTRY_PASSWORD_MIN_LENGTH . ' characters.');
define('ENTRY_PASSWORD_NEW', 'New Password:');
define('ENTRY_PASSWORD_NEW_TEXT', '*');
define('ENTRY_PASSWORD_NEW_ERROR', 'Your new Password must contain a minimum of ' . ENTRY_PASSWORD_MIN_LENGTH . ' characters.');
define('ENTRY_PASSWORD_NEW_ERROR_NOT_MATCHING', 'The Password Confirmation must match your new Password.');
define('PASSWORD_HIDDEN', '--HIDDEN--');

define('FORM_REQUIRED_INFORMATION', '* Required information');

// constants for use in tep_prev_next_display function
define('TEXT_RESULT_PAGE', 'Result Pages:');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS', 'Displaying <strong>%d</strong> to <strong>%d</strong> (of <strong>%d</strong> products)');
define('TEXT_DISPLAY_NUMBER_OF_ORDERS', 'Displaying <strong>%d</strong> to <strong>%d</strong> (of <strong>%d</strong> orders)');
define('TEXT_DISPLAY_NUMBER_OF_REVIEWS', 'Displaying <strong>%d</strong> to <strong>%d</strong> (of <strong>%d</strong> reviews)');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS_NEW', 'Displaying <strong>%d</strong> to <strong>%d</strong> (of <strong>%d</strong> new products)');
define('TEXT_DISPLAY_NUMBER_OF_SPECIALS', 'Displaying <strong>%d</strong> to <strong>%d</strong> (of <strong>%d</strong> specials)');

define('PREVNEXT_TITLE_FIRST_PAGE', 'First Page');
define('PREVNEXT_TITLE_PREVIOUS_PAGE', 'Previous Page');
define('PREVNEXT_TITLE_NEXT_PAGE', 'Next Page');
define('PREVNEXT_TITLE_LAST_PAGE', 'Last Page');
define('PREVNEXT_TITLE_PAGE_NO', 'Page %d');
define('PREVNEXT_TITLE_PREV_SET_OF_NO_PAGE', 'Previous Set of %d Pages');
define('PREVNEXT_TITLE_NEXT_SET_OF_NO_PAGE', 'Next Set of %d Pages');
define('PREVNEXT_BUTTON_FIRST', '&lt;&lt;FIRST');
define('PREVNEXT_BUTTON_PREV', '[&lt;&lt;&nbsp;Prev]');
define('PREVNEXT_BUTTON_NEXT', '[Next&nbsp;&gt;&gt;]');
define('PREVNEXT_BUTTON_LAST', 'LAST&gt;&gt;');

define('IMAGE_BUTTON_ADD_ADDRESS', 'Add Address');
define('IMAGE_BUTTON_ADDRESS_BOOK', 'Address Book');
define('IMAGE_BUTTON_BACK', 'Back');
define('IMAGE_BUTTON_BUY_NOW', 'Buy Now');
define('IMAGE_BUTTON_CHANGE_ADDRESS', 'Change Address');
//BEGIN : IOSC Button
define('IMAGE_BUTTON_CHANGE', 'Change');
//END : IOSC Button
define('IMAGE_BUTTON_CHECKOUT', 'Checkout');
define('IMAGE_BUTTON_CONFIRM_ORDER', 'Confirm Order');
define('IMAGE_BUTTON_CONTINUE', 'Continue');
define('IMAGE_BUTTON_CONTINUE_SHOPPING', 'Continue Shopping');
define('IMAGE_BUTTON_DELETE', 'Delete');
define('IMAGE_BUTTON_EDIT_ACCOUNT', 'Edit Account');
//BEGIN : IOSC Button
define('IMAGE_BUTTON_FORGOT_PASS', 'Forgot Password');
//END : IOSC Button
define('IMAGE_BUTTON_HISTORY', 'Order History');
define('IMAGE_BUTTON_LOGIN', 'Sign In');
//BEGIN : IOSC Button
define('IMAGE_BUTTON_GUEST', 'Guest-Login');
define('IMAGE_BUTTON_LOGOFF', 'Sign Off');
define('IMAGE_BUTTON_CREATE_ACCOUNT', 'Create Account');
//END : IOSC Button
define('IMAGE_BUTTON_IN_CART', 'Add to Cart');
define('IMAGE_BUTTON_NOTIFICATIONS', 'Notifications');
define('IMAGE_BUTTON_QUICK_FIND', 'Quick Find');
define('IMAGE_BUTTON_REMOVE_NOTIFICATIONS', 'Remove Notifications');
define('IMAGE_BUTTON_REVIEWS', 'Reviews');
define('IMAGE_BUTTON_SEARCH', 'Search');
define('IMAGE_BUTTON_ADVANCED_SEARCH', 'Advanced Search');
define('IMAGE_BUTTON_SHIPPING_OPTIONS', 'Shipping Options');
define('IMAGE_BUTTON_TELL_A_FRIEND', 'Tell a Friend');
define('IMAGE_BUTTON_UPDATE', 'Update');
define('IMAGE_BUTTON_UPDATE_CART', 'Update Cart');
//BEGIN : IOSC Button
define('IMAGE_BUTTON_REMOVE', 'Remove');
//END : IOSC Button
define('IMAGE_BUTTON_WRITE_REVIEW', 'Write Review');
// MTS
define ('IMAGE_BUTTON_DETAILS', 'Details');

define('SMALL_IMAGE_BUTTON_DELETE', 'Delete');
define('SMALL_IMAGE_BUTTON_EDIT', 'Edit');
define('SMALL_IMAGE_BUTTON_VIEW', 'View');

define('ICON_ARROW_RIGHT', 'more');
define('ICON_CART', 'In Cart');
define('ICON_ERROR', 'Error');
define('ICON_SUCCESS', 'Success');
define('ICON_WARNING', 'Warning');

define('TEXT_GREETING_PERSONAL', 'Welcome back <span class="greetUser">%s!</span> Would you like to see which <a href="%s"><u>new products</u></a> are available to purchase?');
define('TEXT_GREETING_PERSONAL_RELOGON', '<small>If you are not %s, please <a href="%s"><u>log yourself in</u></a> with your account information.</small>');
define('TEXT_GREETING_GUEST', 'Welcome <span class="greetUser">Guest!</span> Would you like to <a href="%s"><u>log yourself in</u></a>? Or would you prefer to <a href="%s"><u>create an account</u></a>?');

define('TEXT_SORT_PRODUCTS', 'Sort products ');
define('TEXT_DESCENDINGLY', 'descendingly');
define('TEXT_ASCENDINGLY', 'ascendingly');
define('TEXT_BY', ' by ');

define('TEXT_REVIEW_BY', 'by %s');
define('TEXT_REVIEW_WORD_COUNT', '%s words');
define('TEXT_REVIEW_RATING', 'Rating: %s [%s]');
define('TEXT_REVIEW_DATE_ADDED', 'Date Added: %s');
define('TEXT_NO_REVIEWS', 'There are currently no product reviews.');

define('TEXT_NO_NEW_PRODUCTS', 'There are currently no products.');

define('TEXT_UNKNOWN_TAX_RATE', 'Unknown tax rate');

define('TEXT_REQUIRED', '<span class="errorText">Required</span>');

define('ERROR_TEP_MAIL', '<font face="Verdana, Arial" size="2" color="#ff0000"><strong><small>TEP ERROR:</small> Cannot send the email through the specified SMTP server. Please check your php.ini setting and correct the SMTP server if necessary.</strong></font>');

define('TEXT_CCVAL_ERROR_INVALID_DATE', 'The expiry date entered for the credit card is invalid. Please check the date and try again.');
define('TEXT_CCVAL_ERROR_INVALID_NUMBER', 'The credit card number entered is invalid. Please check the number and try again.');
define('TEXT_CCVAL_ERROR_UNKNOWN_CARD', 'The first four digits of the number entered are: %s. If that number is correct, we do not accept that type of credit card. If it is wrong, please try again.');

define('FOOTER_TEXT_BODY', 'Copyright &copy; ' . date('Y') . ' <a href="' . tep_href_link(FILENAME_DEFAULT) . '">' . STORE_NAME . '</a><br />Powered by <a href="http://www.oscommerce.com" target="_blank">osCommerce</a>');
//BEGIN : IOSC Switch view labels
define('TEXT_SHOW_VIEW_1', '');
define('TEXT_SHOW_VIEW_2', ' View');
define('TEXT_CLASSIC_VIEW', 'CLASSIC');
define('TEXT_MOBILE_VIEW', '<b>MOBILE</b>');
//END : IOSC Switch view labels
/***** Begin Sitemap_SEO *****/
define('BOX_INFORMATION_SITEMAP_SEO', 'Sitemap');
define('MODULE_BOXES_INFORMATION_SITEMAP_SEO', 'Sitemap');
/***** End Sitemap_SEO *****/
define('MODULE_BOXES_INFORMATION_EASYMAP', 'Locate us');
// Discount Code 3.1.1 - start
define('TEXT_DISCOUNT', 'Discount');
define('TEXT_DISCOUNT_CODE', 'Discount Code');
// Discount Code 3.1.1 - end
// BOF: SLiCK reCaptcha
define('ENTRY_SECURITY_CHECK', 'Security Code:');
define('ENTRY_SECURITY_CHECK1', 'Security Code');
define('ENTRY_SECURITY_CHECK_ERROR', 'The Security Code was not entered correctly:');
// EOF: SLiCK reCaptcha
//BOF Protected Images
define('TEXT_NO_PICTURE', 'No Picture Available');
// Begin German Banktransfer
define('ENTRY_BANKTRANSFER_OWNER_TEXT', '');
define('ENTRY_BANKTRANSFER_NUMBER_TEXT', '');
define('ENTRY_BANKTRANSFER_BANKNAME_TEXT', 'Will automatically filled.');
define('ENTRY_BANKTRANSFER_BLZ_TEXT', '');
define('ENTRY_BANKTRANSFER_NUMBER_ERROR', 'Please give us a valid account number.');
define('ENTRY_BANKTRANSFER_BLZ_ERROR', 'Please give us a valid bank code.');
define('ENTRY_BANKTRANSFER_OWNER_ERROR', 'Please give us an account holder.');
define('ENTRY_BANKTRANSFER_DATA_ERROR', 'This bank information is invalid or can not be used for the payment.');
// End German Banktransfer
// PRODUCTS SHIP FREE START
define('TEXT_PRODUCT_SHIPS_FREE','Ships Free');
// PRODUCTS SHIP FREE END
// osc-support-edition BOF
define('TEXT_TAX_INFO', ' incl. %s Tax plus <a href="' . tep_href_link(FILENAME_POPUP_SHIPPING) . '" target="_blank" onclick="$(\'#popupShipping\').dialog(\'open\'); return false;"><u>shipping</u></a>');
define('TEXT_BOX_CART_AMOUNT_NETTO', 'Net Value: ');
define('TEXT_BOX_CART_AMOUNT_MWST', '+ VAT: ');
define('TEXT_BOX_CART_AMOUNT_TOTAL', 'Total: ');

define('MODULE_BOXES_INFORMATION_BOX_IMPRESSUM', 'Imprint');
define('MODULE_BOXES_INFORMATION_BOX_WIDERRUF', 'Right of withdrawal');
define('MODULE_BOXES_SPECIALS_TITLE','Specials');

define('HEADER_ERROR_ACCEPT_TERMS', 'Please accept the terms and conditions!');

define('TEXT_ACCOUNT_DELETED', 'Your account has been deleted successfully.');

define('HEADING_POPUP_SHIPPING', 'Shipping costs');
define('TEXT_POPUP_SHIPPING', '
<style type="text/css">
.lb_table_header td {
    padding: 5px;
}
.lb_table {
    width: 100%;
}
.lb_td {
    width: 25%;
}
.lb_table td {
    padding: 5px;
    vertical-align: top;
}
.lb_table_animation {
    width: 100%;
}
.lb_table_animation td {
    border-top: 1px solid #CCCCCC;
    padding: 5px;
    vertical-align: top;
}
.lb_table_animation tr:active, .lb_table_animation tr:hover {
    background-color: #F0F0F0;
    color: #000000;
}
.lb_table_line {
    border-left: 1px solid #CCCCCC;
    border-top: 1px solid #CCCCCC;
    width: 100%;
}
.lb_table_line td {
    border-bottom: 1px solid #CCCCCC;
    border-right: 1px solid #CCCCCC;
    padding: 5px;
}
.lb_tablefooter {
    background-color: #F0F0F0;
    border-bottom: 1px solid #CCCCCC;
    border-left: 1px solid #CCCCCC;
    border-top: 1px solid #CCCCCC;
    width: 100%;
}
.lb_tablefooter td {
    border-bottom: 1px solid #CCCCCC;
    border-right: 1px solid #CCCCCC;
    padding: 5px;
}
</style>
<div style="margin-top:20px;">
            <h3>
                 <!-- LB.CustomCode - CheckoutInstructions -->
                Masts up to 2,0m</h3>
        </div>
        <div style="margin-left:10px;">
            
                    <div style="margin-top:20px;">
                        <img alt="DPI" src="/images/shipping/dpi.gif" />
                        <div class="lb_space">
                        </div>
                        
                                
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_header">
                                    <tr>
                                        <td width="40%" style="font-weight: bold; ">
                                            Description
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Ab Wert
                                        </td>
                                        <td width="60%" style="font-weight: bold; ">
                                            Price
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            jeder weitere Artikel
                                        </td>
                                    </tr>
                                </table>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; ">
                                             Standard
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            PayPal
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 15,00 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; display:none">
                                             Standard
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            Sofort&uuml;berweisung.de
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 15,00 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; display:none">
                                             Standard
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            Prepayment
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 15,00 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; ">
                                             Standard cash on delivery
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            Cash on delivery
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 23,50 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                </table>
                            
                    </div>
                
        </div>
    
        <div style="margin-top:20px;">
            <h3>
                 <!-- LB.CustomCode - CheckoutInstructions -->
                Packages up to 31,5 kg</h3>
        </div>
        <div style="margin-left:10px;">
            
                    <div style="margin-top:20px;">
                        <img alt="DPI" src="/images/shipping/dpi.gif" />
                        <div class="lb_space">
                        </div>
                        
                                
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_header">
                                    <tr>
                                        <td width="40%" style="font-weight: bold; ">
                                            Description
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Ab Wert
                                        </td>
                                        <td width="60%" style="font-weight: bold; ">
                                            Price
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            jeder weitere Artikel
                                        </td>
                                    </tr>
                                </table>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; ">
                                             Packstation
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            PayPal
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 7,99 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; display:none">
                                             Packstation
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            Sofort&uuml;berweisung.de
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 7,99 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; display:none">
                                             Packstation
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            Prepayment
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 7,99 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; ">
                                             Standard
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            PayPal
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 7,99 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; display:none">
                                             Standard
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            Sofort&uuml;berweisung.de
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 7,99 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; display:none">
                                             Standard
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            Prepayment
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 7,99 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; ">
                                             Standard cash on delivery
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            Cash on delivery
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 16,49 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                </table>
                            
                    </div>
                
        </div>
    
        <div style="margin-top:20px;">
            <h3>
                 <!-- LB.CustomCode - CheckoutInstructions -->
                Satellite antennas up to 90cm diameter</h3>
        </div>
        <div style="margin-left:10px;">
            
                    <div style="margin-top:20px;">
                        <img alt="DPI" src="/images/shipping/dpi.gif" />
                        <div class="lb_space">
                        </div>
                        
                                
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_header">
                                    <tr>
                                        <td width="40%" style="font-weight: bold; ">
                                            Description
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Ab Wert
                                        </td>
                                        <td width="60%" style="font-weight: bold; ">
                                            Price
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            jeder weitere Artikel
                                        </td>
                                    </tr>
                                </table>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; ">
                                             Standard
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            PayPal
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 10,50 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; display:none">
                                             Standard
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            Sofort&uuml;berweisung.de
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 10,50 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; display:none">
                                             Standard
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            Prepayment
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 10,50 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; ">
                                             Standard cash on delivery
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            Cash on delivery
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 10,50 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                </table>
                            
                    </div>
                
        </div>
    
        <div style="margin-top:20px;">
            <h3>
                 <!-- LB.CustomCode - CheckoutInstructions -->
                Bulky: from 31.5 kg</h3>
        </div>
        <div style="margin-left:10px;">
            
                    <div style="margin-top:20px;">
                        <img alt="Spedition" src="/images/shipping/sped.gif" />
                        <div class="lb_space">
                        </div>
                        
                                
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_header">
                                    <tr>
                                        <td width="40%" style="font-weight: bold; ">
                                            Description
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Ab Wert
                                        </td>
                                        <td width="60%" style="font-weight: bold; ">
                                            Price
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            jeder weitere Artikel
                                        </td>
                                    </tr>
                                </table>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; ">
                                             Standard
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            PayPal
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 55,50 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; display:none">
                                             Standard
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            Sofort&uuml;berweisung.de
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 55,50 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; display:none">
                                             Standard
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            Prepayment
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 55,50 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; ">
                                             Standard cash on delivery
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            Cash on delivery
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 80,00 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                </table>
                            
                    </div>
                
        </div>
    
        <div style="margin-top:20px;">
            <h3>
                 <!-- LB.CustomCode - CheckoutInstructions -->
                Free Shipping on offer products, which are specially marked: only in Germany</h3>
        </div>
        <div style="margin-left:10px;">
            
                    <div style="margin-top:20px;">
                        <img alt="DPI" src="/images/shipping/dpi.gif" />
                        <div class="lb_space">
                        </div>
                        
                                
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_header">
                                    <tr>
                                        <td width="40%" style="font-weight: bold; ">
                                            Description
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Ab Wert
                                        </td>
                                        <td width="60%" style="font-weight: bold; ">
                                            Price
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            jeder weitere Artikel
                                        </td>
                                    </tr>
                                </table>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; ">
                                             Packstation
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            PayPal
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; display:none">
                                             Packstation
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            Sofort&uuml;berweisung.de
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; display:none">
                                             Packstation
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            Prepayment
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; ">
                                             Standard
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            PayPal
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; display:none">
                                             Standard
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            Sofort&uuml;berweisung.de
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                <table cellspacing="0" cellpadding="0" width="100%" class="lb_table_animation">
                                    <tr>
                                        <td colspan="4" style="font-weight: bold; display:none">
                                             Standard
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="40%" style="padding-left: 20px;">
                                            Prepayment
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <td width="60%">
                                            Shipping 0,00 &euro;
                                        </td>
                                        <!-- LB.CustomCode - Versand&uuml;bersicht style="display:none" -->
                                        <td width="25%" style="display:none">
                                            Shipping 0,00 &euro;
                                        </td>
                                    </tr>
                            
                                </table>
                            
                    </div>
                
        </div>
<p>
 &quot;Larger products&quot;, such as TV, refrigerator, ... with 0 kg are excellent as they are shipped individually and the shipping costs were already included in the calculation.
 </p>
 <p>
 Weight of packaging material: '. SHIPPING_BOX_WEIGHT.'<br>
 Maximum shipping weight: '.SHIPPING_MAX_WEIGHT.'<br>
 Larger packages - percentage increase: '.SHIPPING_BOX_PADDING.' &#037; <br>
 Weight unit: kg
 </p>
');
/*define('TEXT_INFORMATION', '
<style type="text/css">
table.sample {
	border-width: 0px;
	border-spacing: 0px;
	border-style: solid;
	border-color: black;
	border-collapse: collapse;
	background-color: white;
}
table.sample th {
	border-width: 1px;
	padding: 1px;
	border-style: outset;
	border-color: black;
	background-color: white;
	-moz-border-radius: ;
}
table.sample td {
	border-width: 1px;
	padding: 1px;
	border-style: outset;
	border-color: black;
	background-color: white;
	-moz-border-radius: ;
}
</style>
<p>We ship all packages with our partner DHL. We also deliver to packing stations.<br>
<img src="/images/shipping/dhl-logos.png"></p>
<p>Only products within Germany will be shipped, unless you&prime;re a pick-up. 
Are only downloadable (virtual) products ordered, there are no shipping fees, and are available worldwide. 
For an immediate download, and for those who Paypal payment method is used. Shipping fees are graded according to weight 
and are shown in the following table. For the package 3 kg extra. Information Shipping weight can be found on the individual product pages.</p>
<h3>Germany:</h3>
<table class="sample" width="100%">
<tr>
    <th colspan="2">Cash on Delivery, Prepayment, Paypal</th>
  </tr>
 <tr>
  <td>to 10 kg</td>
  <td> 5,60 &euro;</td>
 </tr>
 <tr>
  <td>to 20 kg</td>
  <td>11,20 &euro;</td>
 </tr>
 <tr>
  <td>to 30 kg</td>
  <td>16,80 &euro;</td>
 </tr>
 <tr>
  <td>to 40 kg</td>
  <td>22,40 &euro;</td>
 </tr>
 <tr>
  <td>to 50 kg</td>
  <td>28,00 &euro;</td>
 </tr>
 <tr>
  <td>plus any unopened 10 kg</td>
  <td>5,60 &euro;</td>
 </tr>
 </table>
 <p>
 If paying by cash on delivery an additional fee of 5 &euro; will be charged.
 </p>
 <p>
 &quot;Larger products&quot;, such as TV, refrigerator, ... with 0 kg are excellent as they are shipped individually and the shipping costs were already included in the calculation.
 </p>
 <p>
 After in-payment the delivery is arranged for immediately and lasts for approx. 3-4 working days.
 You will be informed by email of the order status and tracking of shipment will be notified with the tracking number.
 </p>
');*/
// osc-support-edition EOF
?>