<?php
require('includes/application_top.php');

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_WISHLIST);

  if (tep_session_is_registered('wishlist_id')) {
    $wishList->add_wishlist($wishlist_id, $attributes_id);

    if (WISHLIST_REDIRECT == 'Yes') {
      tep_redirect(tep_mobile_link(FILENAME_PRODUCT_INFO, 'products_id=' . $wishlist_id));
    } else {
      tep_session_unregister('wishlist_id');
    }
  }


  if (isset($HTTP_GET_VARS['action'])) {

    switch ($HTTP_GET_VARS['action']) {

      case 'add_prod' :
        if ( isset($HTTP_GET_VARS['products_id']) ) {
          $product_id = tep_get_prid($HTTP_GET_VARS['products_id']);
          $cart->add_cart($product_id, $cart->get_quantity(tep_get_uprid($product_id, $_POST['id'][$value]))+1, $_POST['id'][$value]);
          $messageStack->add('wishlist', WISHLIST_PRODUCT_ADDED_TO_CART, 'success');
          $wishList->remove($HTTP_GET_VARS['products_id']);
        }
        break;

      case 'delete_prod' :
        if ( isset($HTTP_GET_VARS['products_id']) ) {
          $wishList->remove($HTTP_GET_VARS['products_id']);
        }
        break;

    } // end switch ($HTTP_GET_VARS['action'])

  } // end if (isset($HTTP_GET_VARS['action']))

  $breadcrumb->add(NAVBAR_TITLE_WISHLIST, tep_mobile_link(FILENAME_WISHLIST));

  require(DIR_MOBILE_INCLUDES . 'header.php');
  $headerTitle->write();

?>
<div id="iphone_content">
<?php
    if ($messageStack->size('wishlist') > 0) {
?>
      <div id="messageStack">
        <?php echo $messageStack->output('wishlist'); ?>
      </div>
<?php
    }
?>
  <div id="cms">
<?php

    echo tep_draw_form('wishlist_form', tep_href_link(FILENAME_WISHLIST));

    if (is_array($wishList->wishID) && !empty($wishList->wishID)) {
      reset($wishList->wishID);

?>
      <table id="shopping-cart-table" data-role="table" data-mode="reflow" class="ui-body-d ui-shadow table-stripe ui-responsive table-stroke">
        <thead>
          <tr>
            <th></th>
            <th></th>
            <th></th>
            <th style="text-align:center;"></th>
          </tr>
        </thead>
        <tbody>

<?php
      $i = 0;
      while (list($wishlist_id) = each($wishList->wishID)) {

        $product_id = tep_get_prid($wishlist_id);

        $products_query = tep_db_query("select pd.products_id, pd.products_name, pd.products_description, p.products_image, p.products_status, p.products_price, p.products_tax_class_id, IF(s.status, s.specials_new_products_price, NULL) as specials_new_products_price, IF(s.status, s.specials_new_products_price, p.products_price) as final_price from ( " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd ) left join " . TABLE_SPECIALS . " s on p.products_id = s.products_id where pd.products_id = '" . $product_id . "' and p.products_id = pd.products_id and pd.language_id = '" . $languages_id . "' order by products_name");
        $products = tep_db_fetch_array($products_query);

?>
          <tr>
            <td style="text-align:center;">
<?php   if ($products['products_status'] == 0) {
          echo tep_image(DIR_WS_IMAGES . $products['products_image'], $products['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT);
        } else {
?>
              <a href="<?php echo tep_mobile_link(FILENAME_PRODUCT_INFO, 'products_id=' . $wishlist_id, 'NONSSL'); ?>"><?php echo tep_image(DIR_WS_IMAGES . $products['products_image'], $products['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT); ?></a>
<?php   } ?>

            <td style="text-align:center;"><b>
<?php   if ($products['products_status'] == 0) {
          echo $products['products_name'];
        } else {
            ?><a href="<?php echo tep_mobile_link(FILENAME_PRODUCT_INFO, 'products_id=' . $wishlist_id, 'NONSSL'); ?>"><?php echo $products['products_name']; ?></a>
<?php   } ?></b>

              <input type="hidden" name="prod_link[]" value="<?php echo tep_mobile_link(FILENAME_PRODUCT_INFO, 'products_id=' . $wishlist_id, 'NONSSL'); ?>" />

              <input type="hidden" name="prod_name[]" value="<?php echo $products['products_name']; ?>" />

<?php
/*******************************************************************
******** THIS IS THE WISHLIST CODE FOR PRODUCT ATTRIBUTES  *********
*******************************************************************/

        $attributes_addon_price = 0;

        // Now get and populate product attributes
        $att_name = "";
        if (isset($wishList->wishID[$wishlist_id]['attributes'])) {
          while (list($option, $value) = each($wishList->wishID[$wishlist_id]['attributes'])) {
            echo tep_draw_hidden_field('id[' . $wishlist_id . '][' . $option . ']', $value);

            $attributes = tep_db_query("select popt.products_options_name, poval.products_options_values_name, pa.options_values_price, pa.price_prefix
                          from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_OPTIONS_VALUES . " poval, " . TABLE_PRODUCTS_ATTRIBUTES . " pa
                          where pa.products_id = '" . $wishlist_id . "'
                            and pa.options_id = '" . $option . "'
                            and pa.options_id = popt.products_options_id
                            and pa.options_values_id = '" . $value . "'
                            and pa.options_values_id = poval.products_options_values_id
                            and popt.language_id = '" . $languages_id . "'
                            and poval.language_id = '" . $languages_id . "'");

                            $attributes_values = tep_db_fetch_array($attributes);

            if ($attributes_values['price_prefix'] == '+') {
              $attributes_addon_price += $attributes_values['options_values_price'];
            } else if($attributes_values['price_prefix'] == '-') {
              $attributes_addon_price -= $attributes_values['options_values_price'];
            }
            $att_name .= " (" . $attributes_values['products_options_name'] . ": " . $attributes_values['products_options_values_name'] . ") ";
            echo '<br /><small><i> ' . $attributes_values['products_options_name'] . ': ' . $attributes_values['products_options_values_name'] . '</i></small>';
          } // end while attributes for product
        }

        echo '<input type="hidden" name="prod_att[]" value="' . $att_name . '" />';

        if (tep_not_null($products['specials_new_products_price'])) {
          $products_price = '<s>' . $currencies->display_price($products['products_price']+$attributes_addon_price, tep_get_tax_rate($products['products_tax_class_id'])) . '</s> <span class="productSpecialPrice">' . $currencies->display_price($products['specials_new_products_price']+$attributes_addon_price, tep_get_tax_rate($products['products_tax_class_id'])) . '</span>';
        } else {
          $products_price = $currencies->display_price($products['products_price']+$attributes_addon_price, tep_get_tax_rate($products['products_tax_class_id']));
        }

/*******************************************************************
******* CHECK TO SEE IF PRODUCT HAS BEEN ADDED TO THEIR CART *******
*******************************************************************/

        if($cart->in_cart($wishlist_id)) {
          echo '<br /><font color="#FF0000"><b>' . TEXT_ITEM_IN_CART . '</b></font>';
        }

/*******************************************************************
********** CHECK TO SEE IF PRODUCT IS NO LONGER AVAILABLE **********
*******************************************************************/

        if($products['products_status'] == 0) {
          echo '<br /><font color="#FF0000"><b>' . TEXT_ITEM_NOT_AVAILABLE . '</b></font>';
        }

        $i++;
?>
            </td>
            <td style="text-align:center;"><nobr><?php echo $products_price; ?></nobr></td>
            <td style="text-align:center;">
<?php

/*******************************************************************
* PREVENT THE ITEM FROM BEING ADDED TO CART IF NO LONGER AVAILABLE *
*******************************************************************/

        if($products['products_status'] != 0) {

          $products_buttons =
          tep_button_jquery(IMAGE_BUTTON_DELETE,tep_mobile_link(FILENAME_WISHLIST, 'products_id=' . $wishlist_id . '&action=delete_prod'), 'b' , 'button' , 'data-icon="delete" data-mini="true" data-inline="true"' ) .
          tep_button_jquery(IMAGE_BUTTON_IN_CART,tep_mobile_link(FILENAME_WISHLIST, 'products_id=' . $wishlist_id . '&action=add_prod'), 'b' , 'button' , 'data-icon="plus" data-mini="true" data-inline="true"' );

          echo $products_buttons;

        }
?>
            </td>
          </tr>
        </tbody>
<?php
      } // end while (list($wishlist_id, ) = each($wishList->wishID))
?>
      </table>
    </form>
  </div>

<?php
    } else { // if (is_array($wishList->wishID) && !empty($wishList->wishID)) Nothing in the customers wishlist
?>

      <div id="cms" style="text-align:center;">
        <?php  echo BOX_TEXT_NO_ITEMS; ?>
        <div id="bouton">
          <?php echo  tep_button_jquery(IMAGE_BUTTON_CONTINUE,tep_mobile_link(FILENAME_CATALOG_MB),'b','button','data-icon="check"'); ?>
        </div>
      </div>
    </form>
  </div>

<?php
    } // endif (is_array($wishList->wishID) && !empty($wishList->wishID))

require(DIR_MOBILE_INCLUDES . 'footer.php');
?>