<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2010 osCommerce

  Released under the GNU General Public License
*/

  require_once('mobile/includes/application_top.php');

  require(DIR_WS_LANGUAGES . $language . '/' . str_replace("mobile_", "", FILENAME_PASSWORD_FORGOTTEN));

  $password_reset_initiated = false;

  if (isset($HTTP_GET_VARS['action']) && ($HTTP_GET_VARS['action'] == 'process') && isset($HTTP_POST_VARS['formid']) && ($HTTP_POST_VARS['formid'] == $sessiontoken)) {
    $email_address = tep_db_prepare_input($HTTP_POST_VARS['email_address']);

    $check_customer_query = tep_db_query("select customers_firstname, customers_lastname, customers_id from " . TABLE_CUSTOMERS . " where customers_email_address = '" . tep_db_input($email_address) . "'");
    if (tep_db_num_rows($check_customer_query)) {
      $check_customer = tep_db_fetch_array($check_customer_query);

      $actionRecorder = new actionRecorder('ar_reset_password', $check_customer['customers_id'], $email_address);

      if ($actionRecorder->canPerform()) {
        $actionRecorder->record();

        $reset_key = tep_create_random_value(40);

        tep_db_query("update " . TABLE_CUSTOMERS_INFO . " set password_reset_key = '" . tep_db_input($reset_key) . "', password_reset_date = now() where customers_info_id = '" . (int)$check_customer['customers_id'] . "'");

        $reset_key_url = tep_href_link(FILENAME_MOBILE_PASSWORD_RESET, 'account=' . urlencode($email_address) . '&key=' . $reset_key, 'SSL', false);

        if ( strpos($reset_key_url, '&amp;') !== false ) {
          $reset_key_url = str_replace('&amp;', '&', $reset_key_url);
        }

        tep_mail($check_customer['customers_firstname'] . ' ' . $check_customer['customers_lastname'], $email_address, EMAIL_PASSWORD_RESET_SUBJECT, sprintf(EMAIL_PASSWORD_RESET_BODY, $reset_key_url), STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);

        $password_reset_initiated = true;
      } else {
        $actionRecorder->record(false);

        $messageStack->add('password_forgotten', sprintf(ERROR_ACTION_RECORDER, (defined('MODULE_ACTION_RECORDER_RESET_PASSWORD_MINUTES') ? (int)MODULE_ACTION_RECORDER_RESET_PASSWORD_MINUTES : 5)));
      }
    } else {
      $messageStack->add('password_forgotten', TEXT_NO_EMAIL_ADDRESS_FOUND);
    }
  }
  
  $breadcrumb->add(NAVBAR_TITLE_1, tep_mobile_link(FILENAME_LOGIN, '', 'SSL'));
  $breadcrumb->add(NAVBAR_TITLE_2, tep_mobile_link(FILENAME_MOBILE_PASSWORD_FORGOTTEN, '', 'SSL'));
  require(DIR_MOBILE_INCLUDES . 'header.php');
  $headerTitle->write();
?>
<style type="text/css" media="screen">
@import "<?php echo DIR_WS_HTTP_CATALOG . DIR_MOBILE_INCLUDES; ?>iphone.css";
</style>
<!-- header_eof //-->
<div id="iphone_content">
<!-- body //-->
	<div id="messageStack">
	<?php
 	 if ($messageStack->size('password_forgotten') > 0) {
	 echo $messageStack->output('password_forgotten'); 
	  }?>
	  </div>
	  <?php 
	  if ($password_reset_initiated == true) {
       ?>
		<div >
			<div >
			<?php echo TEXT_PASSWORD_RESET_INITIATED; ?>
			</div>
		</div>
	<?php
		} else {
	   echo tep_draw_form('password_forgotten', tep_mobile_link(FILENAME_MOBILE_PASSWORD_FORGOTTEN, 'action=process', 'SSL'), 'post', '', true);
	?>
	  <div id="returning_cust">
                <?php echo TEXT_MAIN; ?>
				<br /><br />
                <label for="email" class="float"><?php echo ENTRY_EMAIL_ADDRESS; ?></label>
				<?php echo tep_draw_input_field('email_address'); ?>
				<br />
				<?php //echo '<a href="' . tep_mobile_link(FILENAME_LOGIN, '', 'SSL') . '">'.tep_mobile_button(IMAGE_BUTTON_BACK).'</a>'; 
				?>
                <?php echo ''.tep_mobile_button(IMAGE_BUTTON_CONTINUE).''; ?>
	</div>
    </form>
	<?php echo '<a href="' . tep_mobile_link(FILENAME_LOGIN, '', 'SSL') . '">'.tep_mobile_button(IMAGE_BUTTON_BACK).'</a>'; ?>
                
	<?php
  }?>
<?php require(DIR_MOBILE_INCLUDES . 'footer.php'); ?>
</div>
