<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 osCommerce

  Released under the GNU General Public License
*/

define('HEADING_TITLE', 'Orders');
define('HEADING_TITLE_SEARCH', 'Order ID:');
define('HEADING_TITLE_STATUS', 'Status:');

define('TABLE_HEADING_COMMENTS', 'Comments');
// GUEST CHECKOUT START
define('TABLE_HEADING_GUEST', 'Guest');
// GUEST CHECKOUT END
define('TABLE_HEADING_CUSTOMERS', 'Customers');
define('TABLE_HEADING_ORDER_TOTAL', 'Order Total');
define('TABLE_HEADING_DATE_PURCHASED', 'Date Purchased');
define('TABLE_HEADING_STATUS', 'Status');
define('TABLE_HEADING_ACTION', 'Action');
define('TABLE_HEADING_QUANTITY', 'Qty.');
define('TABLE_HEADING_PRODUCTS_MODEL', 'Model');
define('TABLE_HEADING_PRODUCTS', 'Products');
define('TABLE_HEADING_TAX', 'Tax');
define('TABLE_HEADING_TOTAL', 'Total');
define('TABLE_HEADING_PRICE_EXCLUDING_TAX', 'Price (ex)');
define('TABLE_HEADING_PRICE_INCLUDING_TAX', 'Price (inc)');
define('TABLE_HEADING_TOTAL_EXCLUDING_TAX', 'Total (ex)');
define('TABLE_HEADING_TOTAL_INCLUDING_TAX', 'Total (inc)');

define('TABLE_HEADING_CUSTOMER_NOTIFIED', 'Customer Notified');
define('TABLE_HEADING_DATE_ADDED', 'Date Added');

define('ENTRY_CUSTOMER', 'Customer:');
define('ENTRY_SOLD_TO', 'SOLD TO:');
define('ENTRY_DELIVERY_TO', 'Delivery To:');
define('ENTRY_SHIP_TO', 'SHIP TO:');
define('ENTRY_SHIPPING_ADDRESS', 'Shipping Address:');
define('ENTRY_BILLING_ADDRESS', 'Billing Address:');
define('ENTRY_PAYMENT_METHOD', 'Payment Method:');
define('ENTRY_CREDIT_CARD_TYPE', 'Credit Card Type:');
define('ENTRY_CREDIT_CARD_OWNER', 'Credit Card Owner:');
define('ENTRY_CREDIT_CARD_NUMBER', 'Credit Card Number:');
define('ENTRY_CREDIT_CARD_EXPIRES', 'Credit Card Expires:');
define('ENTRY_SUB_TOTAL', 'Sub-Total:');
define('ENTRY_TAX', 'Tax:');
define('ENTRY_SHIPPING', 'Shipping:');
define('ENTRY_TOTAL', 'Total:');
define('ENTRY_DATE_PURCHASED', 'Date Purchased:');
define('ENTRY_STATUS', 'Status:');
define('ENTRY_DATE_LAST_UPDATED', 'Date Last Updated:');
define('ENTRY_NOTIFY_CUSTOMER', 'Notify Customer:');
define('ENTRY_NOTIFY_COMMENTS', 'Append Comments:');
define('ENTRY_PRINTABLE', 'Print Invoice');

define('TEXT_INFO_HEADING_DELETE_ORDER', 'Delete Order');
define('TEXT_INFO_DELETE_INTRO', 'Are you sure you want to delete this order?');
define('TEXT_INFO_RESTOCK_PRODUCT_QUANTITY', 'Restock product quantity');
define('TEXT_DATE_ORDER_CREATED', 'Date Created:');
define('TEXT_DATE_ORDER_LAST_MODIFIED', 'Last Modified:');
define('TEXT_INFO_PAYMENT_METHOD', 'Payment Method:');

define('TEXT_ALL_ORDERS', 'All Orders');
define('TEXT_NO_ORDER_HISTORY', 'No Order History Available');

define('EMAIL_SEPARATOR', '------------------------------------------------------');
define('EMAIL_TEXT_SUBJECT', 'Order Update');
define('EMAIL_TEXT_ORDER_NUMBER', 'Order Number:');
define('EMAIL_TEXT_INVOICE_URL', 'Detailed Invoice:');
define('EMAIL_TEXT_DATE_ORDERED', 'Date Ordered:');
define('EMAIL_TEXT_STATUS_UPDATE', 'Your order has been updated to the following status.' . "\n\n" . 'New status: %s' . "\n\n" . 'Please reply to this email if you have any questions.' . "\n");
define('EMAIL_TEXT_COMMENTS_UPDATE', 'The comments for your order are' . "\n\n%s\n\n");

define('ERROR_ORDER_DOES_NOT_EXIST', 'Error: Order does not exist.');
define('SUCCESS_ORDER_UPDATED', 'Success: Order has been successfully updated.');
define('WARNING_ORDER_NOT_UPDATED', 'Warning: Nothing to change. The order was not updated.');
// Begin German Banktransfer
define('TEXT_GERMANBT', 'Direct debit (DE)');
define('TEXT_GERMANBT_OWNER', 'Account holder:');
define('TEXT_GERMANBT_NUMBER', 'Account number:');
define('TEXT_GERMANBT_BLZ', 'Bank code:');
define('TEXT_GERMANBT_NAME', 'Bank:');
define('TEXT_GERMANBT_FAX', 'Direct debit Authorization will be approved via Fax');
define('TEXT_GERMANBT_STATUS', 'Verify Status:');
define('TEXT_GERMANBT_PRZ', 'Method of Verify:');

define('TEXT_GERMANBT_ERROR_1', 'Accountnumber and Bank Code are not compatible!<br />Please try again!');
define('TEXT_GERMANBT_ERROR_2', 'Sorry, we are unable to proof this account number!');
define('TEXT_GERMANBT_ERROR_3', 'Account number not proofable! Method of Verify not implemented');
define('TEXT_GERMANBT_ERROR_4', 'Account number technically not proofable!<br />Please try again!');
define('TEXT_GERMANBT_ERROR_5', 'Bank Code not found!<br />Please try again.!');
define('TEXT_GERMANBT_ERROR_6', 'Account number cannot be used for transaction!<br />Please try again.!');
define('TEXT_GERMANBT_ERROR_8', 'No match for your Bank Code or Bank Code not given!');
define('TEXT_GERMANBT_ERROR_9', 'No or incorrect account number given!');
define('TEXT_GERMANBT_ERROR_10', 'No or incorrect account holder given!');
define('TEXT_GERMANBT_ERROR_40', 'Cannot use this account number for transactions at this time.');
define('TEXT_GERMANBT_ERROR_41', 'Cannot use this account number for transactions at this time.');
define('TEXT_GERMANBT_ERROR_42', 'Cannot use this account number for transactions at this time.');
define('TEXT_GERMANBT_ERROR_43', 'This transaction cannot be processed today.');
define('TEXT_GERMANBT_ERROR_44', 'This transaction cannot be processed today.');
define('TEXT_GERMANBT_ERROR_50', 'Double transaction - Transaction cancelled.');
define('TEXT_GERMANBT_ERROR_51', 'Double transaction - Transaction cancelled.');
define('TEXT_GERMANBT_ERROR_77', 'Transaction cancelled - Fraud Detection.');
define('TEXT_GERMANBT_ERROR_88', 'Transaction cancelled - Risk Detection.');

define('TEXT_GERMANBT_ERRORCODE', 'Errorcode:');
// End German Banktransfer
// ### BEGIN ORDER MAKER ###
define('TABLE_HEADING_EDIT_ORDERS', 'To modify the order');
define('TEXT_IMAGE_CREATE','Create Order');
define('TEXT_INFO_CUSTOMER_SERVICE_ID','Entered by:');
// ### END ORDER MAKER ###
// added by Kevin L. Shelton
define('ENTRY_CREDIT_CARD_CVV2', 'Card Security Code:');
define('ENTRY_ERASE_CARD', 'Erase Credit Card Number');
define('TEXT_MAILING_ADDRESS', 'Mailing Address:');
?>