<?php
/*
  $Id: orders.php 1739 2007-12-20 00:52:16Z hpdl $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

define('HEADING_TITLE', 'Bestellungen');
define('HEADING_TITLE_SEARCH', 'Bestell-Nr.:');
define('HEADING_TITLE_STATUS', 'Status:');

define('TABLE_HEADING_COMMENTS', 'Kommentar');
// GUEST CHECKOUT START
define('TABLE_HEADING_GUEST', 'Gast');
// GUEST CHECKOUT END
define('TABLE_HEADING_CUSTOMERS', 'Kunde');
define('TABLE_HEADING_ORDER_TOTAL', 'Gesamtwert');
define('TABLE_HEADING_DATE_PURCHASED', 'Bestelldatum');
define('TABLE_HEADING_STATUS', 'Status');
define('TABLE_HEADING_ACTION', 'Aktion');
define('TABLE_HEADING_QUANTITY', 'Anzahl');
define('TABLE_HEADING_PRODUCTS_MODEL', 'Artikel-Nr.');
define('TABLE_HEADING_PRODUCTS', 'Artikel');
define('TABLE_HEADING_TAX', 'MwSt.');
define('TABLE_HEADING_TOTAL', 'Gesamtsumme');
define('TABLE_HEADING_PRICE_EXCLUDING_TAX', 'Preis (exkl.)');
define('TABLE_HEADING_PRICE_INCLUDING_TAX', 'Preis (inkl.)');
define('TABLE_HEADING_TOTAL_EXCLUDING_TAX', 'Total (exkl.)');
define('TABLE_HEADING_TOTAL_INCLUDING_TAX', 'Total (inkl.)');

define('TABLE_HEADING_CUSTOMER_NOTIFIED', 'Kunde benachrichtigt');
define('TABLE_HEADING_DATE_ADDED', 'aufgenommen am:');

define('ENTRY_CUSTOMER', 'Kunde:');
define('ENTRY_SOLD_TO', 'Kunde:');
define('ENTRY_DELIVERY_TO', 'Lieferanschrift:');
define('ENTRY_SHIP_TO', 'Lieferanschrift:');
define('ENTRY_SHIPPING_ADDRESS', 'Versandadresse:');
define('ENTRY_BILLING_ADDRESS', 'Rechnungsadresse:');
define('ENTRY_PAYMENT_METHOD', 'Zahlungsweise:');
define('ENTRY_CREDIT_CARD_TYPE', 'Kreditkartentyp:');
define('ENTRY_CREDIT_CARD_OWNER', 'Kreditkarteninhaber:');
define('ENTRY_CREDIT_CARD_NUMBER', 'Kerditkartennnummer:');
define('ENTRY_CREDIT_CARD_EXPIRES', 'Kreditkarte l&auml;uft ab am:');
define('ENTRY_SUB_TOTAL', 'Zwischensumme:');
define('ENTRY_TAX', 'MwSt.:');
define('ENTRY_SHIPPING', 'Versandkosten:');
define('ENTRY_TOTAL', 'Gesamtsumme:');
define('ENTRY_DATE_PURCHASED', 'Bestelldatum:');
define('ENTRY_STATUS', 'Status:');
define('ENTRY_DATE_LAST_UPDATED', 'letzte Aktualisierung am:');
define('ENTRY_NOTIFY_CUSTOMER', 'Kunde benachrichtigen:');
define('ENTRY_NOTIFY_COMMENTS', 'Kommentare mitsenden:');
define('ENTRY_PRINTABLE', 'Rechnung drucken');

define('TEXT_INFO_HEADING_DELETE_ORDER', 'Bestellung storniert');
define('TEXT_INFO_DELETE_INTRO', 'Sind Sie sicher, das Sie diese Bestellung stornieren wollen?');
define('TEXT_INFO_RESTOCK_PRODUCT_QUANTITY', 'Artikelanzahl dem Lager gutschreiben');
define('TEXT_DATE_ORDER_CREATED', 'erstellt am:');
define('TEXT_DATE_ORDER_LAST_MODIFIED', 'letzte Aktualisierung:');
define('TEXT_INFO_PAYMENT_METHOD', 'Zahlungsweise:');

define('TEXT_ALL_ORDERS', 'Alle Bestellungen');
define('TEXT_NO_ORDER_HISTORY', 'Keine Bestellhistorie vorhanden');

define('EMAIL_SEPARATOR', '------------------------------------------------------');
define('EMAIL_TEXT_SUBJECT', 'Aktualisierung des Bestellstatus');
define('EMAIL_TEXT_ORDER_NUMBER', 'Bestell-Nr.:');
define('EMAIL_TEXT_INVOICE_URL', 'Ihre Bestellung kann unter folgender Adresse eingesehen werden:');
define('EMAIL_TEXT_DATE_ORDERED', 'Bestelldatum:');
define('EMAIL_TEXT_STATUS_UPDATE', 'Der Status Ihrer Bestellung wurde aktualisiet.' . "\n\n" . 'Neuer Status: %s' . "\n\n" . 'Bei Fragen zu Ihrer Bestellung antworten Sie bitte auf diese eMail.' . "\n\n" . 'Hochachtungsvoll' . "\n\n". STORE_NAME);
define('EMAIL_TEXT_COMMENTS_UPDATE', 'Anmerkungen und Kommentare zu Ihrer Bestellung:' . "\n\n%s\n\n");

define('ERROR_ORDER_DOES_NOT_EXIST', 'Fehler: Die Bestellung existiert nicht!.');
define('SUCCESS_ORDER_UPDATED', 'Hinweis: Die Bestellung wurde erfolgreich aktualisiert.');
define('WARNING_ORDER_NOT_UPDATED', 'Hinweis: Es wurde nichts modifiziert. Daher wurde diese Bestellung nicht aktualisiert.');

// Begin German Banktransfer
define('TEXT_GERMANBT', 'Lastschriftverfahren (DE)');
define('TEXT_GERMANBT_OWNER', 'Kontoinhaber:');
define('TEXT_GERMANBT_NUMBER', 'Kontonummer:');
define('TEXT_GERMANBT_BLZ', 'BLZ:');
define('TEXT_GERMANBT_NAME', 'Bank:');
define('TEXT_GERMANBT_FAX', 'Einzugserm&auml;chtigung wird per Fax best&auml;tigt');
define('TEXT_GERMANBT_STATUS', 'Pr&uuml;fstatus:');
define('TEXT_GERMANBT_PRZ', 'Pr&uuml;fverfahren:');

define('TEXT_GERMANBT_ERROR_1', 'Kontonummer und Bankleitzahl stimmen nicht &uuml;eberein.');
define('TEXT_GERMANBT_ERROR_2', 'Diese Kontonummer ist nicht pr&uuml;efbar - kein Pr&uuml;fverfahren definiert.');
define('TEXT_GERMANBT_ERROR_3', 'Diese Kontonummer ist nicht pr&uuml;efbar - Pr&uuml;fverfahren nicht implementiert.');
define('TEXT_GERMANBT_ERROR_4', 'Diese Kontonummer ist technisch nicht pr&uuml;efbar.');
define('TEXT_GERMANBT_ERROR_5', 'Diese Bankleitzahl existiert nicht.');
define('TEXT_GERMANBT_ERROR_6', 'Diese Kontonummer kann fuer eine Transaktion nicht benutzt werden.');
define('TEXT_GERMANBT_ERROR_8', 'Keine korrekte Bankleitzahl angegeben.');
define('TEXT_GERMANBT_ERROR_9', 'Keine korrekte Kontonummer angegeben.');
define('TEXT_GERMANBT_ERROR_10', 'Kein korrekter Kontoinhaber angegeben.');
define('TEXT_GERMANBT_ERROR_40', 'Transaktion mit dieser Bankverbindung zur Zeit nicht m&ouml;glich.');
define('TEXT_GERMANBT_ERROR_41', 'Transaktion mit dieser Bankverbindung zur Zeit nicht m&ouml;glich.');
define('TEXT_GERMANBT_ERROR_42', 'Transaktion mit dieser Bankverbindung zur Zeit nicht m&ouml;glich.');
define('TEXT_GERMANBT_ERROR_43', 'Transaktion heute nicht mehr m&ouml;glich.');
define('TEXT_GERMANBT_ERROR_44', 'Transaktion heute nicht mehr m&ouml;glich.');
define('TEXT_GERMANBT_ERROR_50', 'Doppelte Transaktion - Transaktion abgebrochen.');
define('TEXT_GERMANBT_ERROR_51', 'Doppelte Transaktion - Transaktion abgebrochen.');
define('TEXT_GERMANBT_ERROR_77', 'Transaktion nicht m&ouml;glich - Fraud Detection.');
define('TEXT_GERMANBT_ERROR_88', 'Transaktion nicht m&ouml;glich - Risk Detection.');

define('TEXT_GERMANBT_ERRORCODE', 'Fehlercode:');
// End German Banktransfer
// ### BEGIN ORDER MAKER ###
define('TABLE_HEADING_EDIT_ORDERS', 'Bestellungen bearbeiten');
define('TEXT_IMAGE_CREATE','Bestellung erstellen');
define('TEXT_INFO_CUSTOMER_SERVICE_ID','Eingetragen von:');
// ### END ORDER MAKER ###
// added by Kevin L. Shelton
define('ENTRY_CREDIT_CARD_CVV2', 'Kartenpr&uuml;fnummer:');
define('ENTRY_ERASE_CARD', 'L&ouml;sche Kreditkarten-Nummer');
define('TEXT_MAILING_ADDRESS', 'Postanschrift:');
?>