<?php
require_once('mobile/includes/application_top.php');

// if the customer is not logged on, redirect them to the login page
  if (!tep_session_is_registered('customer_id')) {
    $navigation->set_snapshot(array('mode' => 'SSL', 'page' => FILENAME_CHECKOUT_PAYMENT));
    tep_redirect(tep_mobile_link(FILENAME_LOGIN, '', 'SSL'));
  }
  
  if ($_SESSION['matc']=='false') {
  if (ISSET($HTTP_POST_VARS['terms'])) {
  $_SESSION['matc']=$HTTP_POST_VARS['terms']; 
  }
  } 
  
//osc-support-edition BOF
  	if ($_SESSION['matc'] != 'true') {
  		$messageStack->add_session('terms_agree', HEADER_ERROR_ACCEPT_TERMS);
        tep_redirect(tep_href_link(FILENAME_CHECKOUT_PAYMENT, '', 'SSL'));
    }
//osc-support-edition EOF

// if there is nothing in the customers cart, redirect them to the shopping cart page
  if ($cart->count_contents() < 1) {
    tep_redirect(tep_mobile_link(FILENAME_SHOPPING_CART));
  }

// avoid hack attempts during the checkout procedure by checking the internal cartID
  if (isset($cart->cartID) && tep_session_is_registered('cartID')) {
    if ($cart->cartID != $cartID) {
      tep_redirect(tep_mobile_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
    }
  }

// if no shipping method has been selected, redirect the customer to the shipping method selection page
  if (!tep_session_is_registered('shipping')) {
    tep_redirect(tep_mobile_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
  }

  if (!tep_session_is_registered('payment')) tep_session_register('payment');
  if (isset($HTTP_POST_VARS['payment'])) $payment = $HTTP_POST_VARS['payment'];

  if (!tep_session_is_registered('comments')) tep_session_register('comments');
  if (isset($HTTP_POST_VARS['comments']) && tep_not_null($HTTP_POST_VARS['comments'])) {
        $comments = tep_db_prepare_input($HTTP_POST_VARS['comments']);
  }

// load the selected payment module
  require(DIR_WS_CLASSES . 'payment.php');
  $payment_modules = new payment($payment);

  require(DIR_WS_CLASSES . 'order.php');
  $order = new order;

  $payment_modules->update_status();

  if ( ( is_array($payment_modules->modules) && (sizeof($payment_modules->modules) > 1) && !is_object($$payment) ) || (is_object($$payment) && ($$payment->enabled == false)) ) {
    tep_redirect(tep_mobile_link(FILENAME_CHECKOUT_PAYMENT, 'error_message=' . urlencode(ERROR_NO_PAYMENT_MODULE_SELECTED), 'SSL'));
  }

  if (is_array($payment_modules->modules)) {
    $payment_modules->pre_confirmation_check();
  }

// load the selected shipping module
  require(DIR_WS_CLASSES . 'shipping.php');
  $shipping_modules = new shipping($shipping);

  require(DIR_WS_CLASSES . 'order_total.php');
  $order_total_modules = new order_total;
  $order_total_modules->process();

// Stock Check
  $any_out_of_stock = false;
  if (STOCK_CHECK == 'true') {
    for ($i=0, $n=sizeof($order->products); $i<$n; $i++) {
      if (tep_check_stock($order->products[$i]['id'], $order->products[$i]['qty'])) {
        $any_out_of_stock = true;
      }
    }
    // Out of Stock
    if ( (STOCK_ALLOW_CHECKOUT != 'true') && ($any_out_of_stock == true) ) {
      tep_redirect(tep_mobile_link(FILENAME_SHOPPING_CART));
    }
  }

  require(DIR_WS_LANGUAGES . $language . '/checkout_confirmation.php');

  $breadcrumb->add(NAVBAR_TITLE_1, tep_mobile_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
  $breadcrumb->add(NAVBAR_TITLE_2);

	require(DIR_MOBILE_INCLUDES . 'header.php');
	$headerTitle->write();
?>
<?php
  if (isset($$payment->form_action_url)) {
    $form_action_url = $$payment->form_action_url;
  } else {
    $form_action_url = tep_mobile_link(FILENAME_MOBILE_CHECKOUT_PROCESS, '', 'SSL');
  }
?>
<div id="iphone_content">
<div id="checkout_conf">
<?php
  if (is_array($payment_modules->modules)) {
  	  echo $payment_modules->process_button();
    if ($confirmation = $payment_modules->confirmation()) {
?>
      <h1><?php echo HEADING_PAYMENT_INFORMATION; ?></h1>
	  <div id="text"><?php echo $confirmation['title']; ?></div>
<?php
     if (isset($confirmation['fields'])) {
      for ($i=0, $n=sizeof($confirmation['fields']); $i<$n; $i++) {
?>
              <?php echo $confirmation['fields'][$i]['title']; ?>
			  <?php echo $confirmation['fields'][$i]['field']; ?>
			  
<?php
        }
      }
    }
  }
?>
      <div id="bouton">
      <?php
      if (is_array($payment_modules->modules)) {
      	      echo $payment_modules->process_button();
      }
      ?>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr>
	<td><?php echo tep_draw_form('back', tep_mobile_link(FILENAME_CHECKOUT_PAYMENT, '', 'SSL')) . tep_mobile_button(IMAGE_BUTTON_BACK) . "</form>"; ?>
	<?php echo tep_draw_form('checkout_confirmation', $form_action_url, 'post'); ?>
	<td align="right"><input type="submit" value="<?php echo IMAGE_BUTTON_CONFIRM_ORDER; ?>">
          </tr>
        </table></td>
	</div>			
<hr />
<!-- cart -->
<?php
  if (sizeof($order->info['tax_groups']) > 1) {
?>
                  <?php echo '<h1>' . HEADING_PRODUCTS . ' <a href="' . tep_mobile_link(FILENAME_SHOPPING_CART) . '"><span class="orderEdit">(' . TEXT_EDIT . ')</span></a></h1>'; ?>
				  <?php echo HEADING_TAX; ?>
				  <?php echo HEADING_TOTAL; ?>
<?php
  } else {
?>
                  <?php echo '<h1>' . HEADING_PRODUCTS . ' <a href="' . tep_mobile_link(FILENAME_SHOPPING_CART) . '"><span class="orderEdit">(' . TEXT_EDIT . ')</span></a></h1>'; ?>
<?php
  }

  for ($i=0, $n=sizeof($order->products); $i<$n; $i++) {
    echo '' . '<div id="ligneProd">' .
         '' . $order->products[$i]['qty'] . '&nbsp;x&nbsp;' . '' .
         '' . $order->products[$i]['name'];

    if (STOCK_CHECK == 'true') {
      echo tep_check_stock($order->products[$i]['id'], $order->products[$i]['qty']);
    }

    if ( (isset($order->products[$i]['attributes'])) && (sizeof($order->products[$i]['attributes']) > 0) ) {
      for ($j=0, $n2=sizeof($order->products[$i]['attributes']); $j<$n2; $j++) {
        echo '<br><nobr><small>&nbsp;<i> - ' . $order->products[$i]['attributes'][$j]['option'] . ': ' . $order->products[$i]['attributes'][$j]['value'] . '</i></small></nobr>';
      }
    }

    echo '' . '</div>';

    if (sizeof($order->info['tax_groups']) > 1) 
	echo '' . tep_display_tax_value($order->products[$i]['tax']) . '%' . '<br />';
	echo '<div class="gras">' . $currencies->display_price($order->products[$i]['final_price'], $order->products[$i]['tax'], $order->products[$i]['qty']) . '' . '</div>' .
         '' . '';
  }
?>
<!-- end of cart -->
<br><hr />
<?php
  if (MODULE_ORDER_TOTAL_INSTALLED) {
  ?>
  <table border="0" cellspacing="0" cellpadding="2">
  <?php
    echo $order_total_modules->output();
	?>
	</table>
	<?php
  }
?>
      	<hr />
		<?php echo '<h1>' . HEADING_PAYMENT_METHOD . '' .  ' <a href="' . tep_mobile_link(FILENAME_CHECKOUT_PAYMENT, '', 'SSL') . '"><span class="orderEdit">(' . TEXT_EDIT . ')</span></a></h1>'; ?>
		<?php echo $order->info['payment_method']; ?>
		<hr />
		<?php echo '<h1>' . HEADING_BILLING_ADDRESS . ' <a href="' . tep_mobile_link(FILENAME_CHECKOUT_PAYMENT_ADDRESS, '', 'SSL') . '"><span class="orderEdit">(' . TEXT_EDIT . ')</span></a></h1>'; ?>
		<?php echo tep_address_format($order->billing['format_id'], $order->billing, 1, ' ', '<br>'); ?>
		<hr />
<?php
	if ($sendto != false) {
		if ($order->info['shipping_method']) {
?>
      
	  <?php echo '<h1>' . HEADING_SHIPPING_METHOD . ' <a href="' . tep_mobile_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL') . '"><span class="orderEdit">(' . TEXT_EDIT . ')</span></a></h1>'; ?>
	  <?php echo $order->info['shipping_method']; ?>
<?php
    	}
?>
		<hr />
      <?php echo '<h1>' . HEADING_DELIVERY_ADDRESS . ' <a href="' . tep_mobile_link(FILENAME_CHECKOUT_SHIPPING_ADDRESS, '', 'SSL') . '"><span class="orderEdit">(' . TEXT_EDIT . ')</span></a></h1>'; ?>
	  <?php echo tep_address_format($order->delivery['format_id'], $order->delivery, 1, ' ', '<br>'); ?>
	  <hr />
<?php
	} // end of if ($sendto != false) 
?>
<?php
if (is_array($payment_modules->modules)) {
echo $payment_modules->process_button();
}
?>
      <div id="bouton"><input type="submit" value="<?php echo IMAGE_BUTTON_CONFIRM_ORDER; ?>"></div>
	  </div>
	  </form>
<?php require(DIR_MOBILE_INCLUDES . 'footer.php'); ?>
</div>