<?php
require_once('includes/application_top.php');
require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_PRODUCT_INFO);
require(DIR_MOBILE_INCLUDES . 'header.php');

  if (!isset($HTTP_GET_VARS['products_id'])) {
        tep_redirect(tep_mobile_link(FILENAME_DEFAULT));
  }

  $product_check_query = tep_db_query("select count(*) as total from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and pd.products_id = p.products_id and pd.language_id = '" . (int)$languages_id . "'");
  $product_check = tep_db_fetch_array($product_check_query);
?>
<script type="text/javascript" src="<?php echo HTTP_SERVER . DIR_WS_HTTP_CATALOG; ?>ext/jquery/ui/jquery-ui-1.8.22.min.js"></script>

<link rel="stylesheet" type="text/css" href="<?php echo HTTP_SERVER . DIR_WS_HTTP_CATALOG; ?>ext/jquery/fancybox/jquery.fancybox-1.3.4.css" />
<script type="text/javascript" src="<?php echo HTTP_SERVER . DIR_WS_HTTP_CATALOG; ?>ext/jquery/fancybox/jquery.fancybox-1.3.4.pack.js"></script>
<div id="iphone_content">
<?php

echo tep_draw_form('cart_quantity', tep_mobile_link(FILENAME_PRODUCT_INFO, tep_get_all_get_params(array('action')) . 'action=add_product'));

if ($product_check['total'] < 1) {
	$headerTitle->write(TEXT_PRODUCT_NOT_FOUND);  ?>
	<div id="cms">
		<?php echo TEXT_PRODUCT_NOT_FOUND; ?>
		<div id="bouton">
		<?php echo tep_draw_button(IMAGE_BUTTON_CONTINUE, 'triangle-1-e', tep_mobile_link(FILENAME_DEFAULT), 'primary'); ?>  
		</div>
	</div>

</div>
<?php
} else {
    $product_info_query = tep_db_query("select p.products_id, pd.products_name, pd.products_description, p.products_model, p.products_quantity, p.products_image, p.image_folder, p.image_display, pd.products_url, p.products_price, p.products_baseprice, p.products_baseprice_unit, p.products_tax_class_id, p.products_date_added, p.products_date_available, p.products_weight, p.manufacturers_id, p.products_gtin, p.products_isbn, p.products_upc, p.products_brand, p.products_condition, p.products_mpn from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and pd.products_id = p.products_id and pd.language_id = '" . (int)$languages_id . "'");
    $product_info = tep_db_fetch_array($product_info_query);

    tep_db_query("update " . TABLE_PRODUCTS_DESCRIPTION . " set products_viewed = products_viewed+1 where products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and language_id = '" . (int)$languages_id . "'");

    if ($new_price = tep_get_products_special_price($product_info['products_id'])) {
      $products_price = '<del>' . $currencies->display_price($product_info['products_price'], tep_get_tax_rate($product_info['products_tax_class_id'])) . '</del> <span class="productSpecialPrice">' . $currencies->display_price($new_price, tep_get_tax_rate($product_info['products_tax_class_id'])) . '</span>';
    } else {
      $products_price = $currencies->display_price($product_info['products_price'], tep_get_tax_rate($product_info['products_tax_class_id']));
    }

    if (tep_not_null($product_info['products_model'])) {
      $products_name = $product_info['products_name'] . '<br /><span class="smallText">[' . $product_info['products_model'] . ']</span>';
    } else {
      $products_name = $product_info['products_name'];
    }
	// PRODUCTS SHIP FREE START
	if(tep_products_ship_free_check($product_info['products_id']))
	      $products_name .= '<br /><span class="smallText">(' . TEXT_PRODUCT_SHIPS_FREE . ')</span>';
// PRODUCTS SHIP FREE END
	if (tep_not_null($product_info['products_gtin'])) {
	   $products_name .= ' <span class="smallText">['.TEXT_PRODUCT_GTIN .' ' . $product_info['products_gtin'] . ']</span>';
	}
	if (tep_not_null($product_info['products_isbn'])) {
	   $products_name .= ' <span class="smallText">['.TEXT_PRODUCT_ISBN .' ' . $product_info['products_isbn'] . ']</span>';
	}
	if (tep_not_null($product_info['products_upc'])) {
	   $products_name .= ' <span class="smallText">['.TEXT_PRODUCT_UPC .' ' . $product_info['products_upc'] . ']</span>';
	}
	if (tep_not_null($product_info['products_brand'])) {
	   $products_name .= ' <span class="smallText">['.TEXT_PRODUCT_BRAND .' ' . $product_info['products_brand'] . ']</span>';
	}
	if (tep_not_null($product_info['products_mpn'])) {
	   $products_name .= ' <span class="smallText">['.TEXT_PRODUCT_MPN .' ' . $product_info['products_mpn'] . ']</span>';
	}
	
	
	
//social bookmarks BOF
if (PRODUCT_INFO_SOCIALBOOK_MOBILE == 'true') {
     if (tep_not_null(MODULE_SOCIAL_BOOKMARKS_INSTALLED)) {
        $sbm_array = explode(';', MODULE_SOCIAL_BOOKMARKS_INSTALLED);
        $social_bookmarks = array();
        foreach ( $sbm_array as $sbm ) {
          $class = substr($sbm, 0, strrpos($sbm, '.'));
          if ( !class_exists($class) ) {
            include(DIR_WS_LANGUAGES . $language . '/modules/social_bookmarks/' . $sbm);
            include(DIR_WS_MODULES . 'social_bookmarks/' . $class . '.php');
          }
          $sb = new $class();
          if ( $sb->isEnabled() ) {
            $social_bookmarks[] = $sb->getOutput();
          }
        }
        if (!empty($social_bookmarks))  $social = implode(' ', $social_bookmarks);
      }
}
//social bookmarks EOF

	
	$headerTitle->write($product_info['products_name']);
?>

	<div id="ficheProdTop">
<?php
	//BOF Protected Images
   // if (tep_not_null($product_info['products_image'])) {
	if ($product_info['image_display'] == 1) { // use "No Picture Available" image
      echo tep_image(DIR_WS_LANGUAGES . $language . '/images/' . 'no_picture.gif', TEXT_NO_PICTURE, SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT, 'hspace="5" vspace="5" style="float: left;"');
    } elseif (($product_info['image_display'] != 2) && (tep_not_null($product_info['products_image']))) { // show product images
	//BOF Protected Images
      $pi_query = tep_db_query("select image, htmlcontent from " . TABLE_PRODUCTS_IMAGES . " where products_id = '" . (int)$product_info['products_id'] . "' order by sort_order");

      if (tep_db_num_rows($pi_query) > 0) {
?>

    <div id="piGal">
      <ul>

<?php
        $pi_counter = 0;
        while ($pi = tep_db_fetch_array($pi_query)) {
          $pi_counter++;

          $pi_entry = '        <li><a href="';

          if (tep_not_null($pi['htmlcontent'])) {
            $pi_entry .= '#piGalimg_' . $pi_counter;
          } else {
            $pi_entry .= tep_mobile_link('../'.DIR_WS_IMAGES_PROD . $product_info['image_folder'] . $pi['image'], '', 'NONSSL', false);
          }

          $pi_entry .= '" target="_blank" rel="fancybox">' . tep_image(DIR_WS_IMAGES_PROD . $product_info['image_folder'] . $pi['image'], $product_info['products_name'] , MOBILE_IMAGE_WIDTH,MOBILE_IMAGE_HEIGHT) . '</a>';
          if (tep_not_null($pi['htmlcontent'])) {
            $pi_entry .= '<div style="display: none;"><div id="piGalimg_' . $pi_counter . '">' . $pi['htmlcontent'] . '</div></div>';
          }

          $pi_entry .= '</li>';

          echo $pi_entry;
        }
?>

      </ul>
    </div>
<?php
      } else {
?>

    <div id="piGal">
      <?php echo '<a href="' . tep_mobile_link(DIR_WS_IMAGES_PROD . $product_info['image_folder'] . $product_info['products_image'], '', 'NONSSL', false) . '" target="_blank" rel="fancybox">' . tep_image(DIR_WS_IMAGES_THUMBS . $product_info['image_folder'] . $product_info['products_image'], addslashes($product_info['products_name']), null, null, 'hspace="5" vspace="5"') . '</a>'; ?>
    </div>

<?php
      }
?>

<script type="text/javascript">
$("#piGal a[rel^='fancybox']").fancybox({
  cyclic: true
});
</script>

<?php
    }
?>
</div>
<?php

// osc-support-edition BOF
   $baseprice = '';
   $baseprice_unit = '';
   if($product_info['products_baseprice'] > 0){
   	 $baseprice = TEXT_BASEPRICE .' btto '. $currencies->display_price_normal($product_info['products_baseprice'], tep_get_tax_rate($product_info['products_tax_class_id'])) . ' | ' . $product_info['products_baseprice_unit'];
   }
?>
<div id="ficheProdTop">
		<h2><?php echo $products_name; ?></h2>
		<div class="prodPrice"><?php echo $products_price; ?></div>
		<div style="font-size:10px; margin-top:5px;"><?php echo $baseprice; ?></div>
		<div class="options">
		
		
		<?php

//++++ QT Pro: End Changed Code
    $products_attributes_query = tep_db_query("select count(*) as total from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_ATTRIBUTES . " patrib where patrib.products_id='" . (int)$HTTP_GET_VARS['products_id'] . "' and patrib.options_id = popt.products_options_id and popt.language_id = '" . (int)$languages_id . "'");
    $products_attributes = tep_db_fetch_array($products_attributes_query);
    if ($products_attributes['total'] > 0) {
//++++ QT Pro: Begin Changed code
      $products_id=(preg_match("/^\d{1,10}(\{\d{1,10}\}\d{1,10})*$/",$HTTP_GET_VARS['products_id']) ? $HTTP_GET_VARS['products_id'] : (int)$HTTP_GET_VARS['products_id']); 
      require(DIR_WS_CLASSES . 'pad_' . PRODINFO_ATTRIBUTE_PLUGIN . '.php');
      $class = 'pad_' . PRODINFO_ATTRIBUTE_PLUGIN;
      $pad = new $class($products_id);
      echo $pad->draw();
    }

//Display a table with which attributecombinations is on stock to the customer?
if(PRODINFO_ATTRIBUTE_DISPLAY_STOCK_LIST == 'True'): require(DIR_WS_MODULES . "qtpro_stock_table.php"); endif;

//++++ QT Pro: End Changed Code
?>
		
		
		<?php		
   /* $products_attributes_query = tep_db_query("select count(*) as total from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_ATTRIBUTES . " patrib where patrib.products_id='" . (int)$HTTP_GET_VARS['products_id'] . "' and patrib.options_id = popt.products_options_id and popt.language_id = '" . (int)$languages_id . "'");
    $products_attributes = tep_db_fetch_array($products_attributes_query);
    if ($products_attributes['total'] > 0) {
      $products_options_name_query = tep_db_query("select distinct popt.products_options_id, popt.products_options_name from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_ATTRIBUTES . " patrib where patrib.products_id='" . (int)$HTTP_GET_VARS['products_id'] . "' and patrib.options_id = popt.products_options_id and popt.language_id = '" . (int)$languages_id . "' order by popt.products_options_name");
      while ($products_options_name = tep_db_fetch_array($products_options_name_query)) {
        $products_options_array = array();
        $products_options_query = tep_db_query("select pov.products_options_values_id, pov.products_options_values_name, pa.options_values_price, pa.price_prefix from " . TABLE_PRODUCTS_ATTRIBUTES . " pa, " . TABLE_PRODUCTS_OPTIONS_VALUES . " pov where pa.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and pa.options_id = '" . (int)$products_options_name['products_options_id'] . "' and pa.options_values_id = pov.products_options_values_id and pov.language_id = '" . (int)$languages_id . "'");
        while ($products_options = tep_db_fetch_array($products_options_query)) {
          $products_options_array[] = array('id' => $products_options['products_options_values_id'], 'text' => $products_options['products_options_values_name']);
          if ($products_options['options_values_price'] != '0') {
            $products_options_array[sizeof($products_options_array)-1]['text'] .= ' (' . $products_options['price_prefix'] . $currencies->display_price($products_options['options_values_price'], tep_get_tax_rate($product_info['products_tax_class_id'])) .') ';
          }
        }

        if (is_string($HTTP_GET_VARS['products_id']) && isset($cart->contents[$HTTP_GET_VARS['products_id']]['attributes'][$products_options_name['products_options_id']])) {
          $selected_attribute = $cart->contents[$HTTP_GET_VARS['products_id']]['attributes'][$products_options_name['products_options_id']];
        } else {
          $selected_attribute = false;
        }*/
?>
<!--<div class="options">
<strong><?php //echo $products_options_name[''] . ''; ?></strong><?php //echo tep_draw_pull_down_menu('id[' . $products_options_name['products_options_id'] . ']', $products_options_array, $selected_attribute); ?>
</div>-->
<?php
   //   }
   // }    
?>
</div>

<?php 
//social bookmarks BOF
if (PRODUCT_INFO_SOCIALBOOK_MOBILE == 'true') {
?>
<!--<p class="social">-->
<div style="clear:left;">
<?php echo $social ?>
</div><br>
<!--</p>-->
<?php } 
//social bookmarks EOF
?>
<?php
	if (PRODUCT_INFO_WEIGHT == 'true') {
	echo TEXT_PRODUCT_WEIGHT . ' '.$product_info['products_weight'].' ';
	}
?>
<?php
	if (PRODUCT_INFO_QUANTITY == 'true') {
	echo TEXT_PRODUCT_QUANTITY . ' '.$product_info['products_quantity'];
	}
	?>
<br>
<?php
	if (tep_not_null($product_info['products_condition'])) {
	   $products_name .= ' <span class="smallText">['.TEXT_PRODUCT_CONDITION .' ' . $product_info['products_condition'] . ']</span>';
	}
?>
<br>
<div class="bouton">
<?php
	echo '<span style="float:left;">' . tep_draw_hidden_field('products_id', $product_info['products_id']) . tep_draw_button(IMAGE_BUTTON_IN_CART, 'cart', null, 'primary') . '</span>'; 
?>
</div>
</div>
<div id="ficheProdMid">
<div class="description">
<?php
	tep_db_query("update " . TABLE_PRODUCTS_DESCRIPTION . " set products_viewed = products_viewed+1 where products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and language_id = '" . (int)$languages_id . "'");
?>
	<?php echo stripslashes($product_info['products_description']); ?></p>
</div>
<?php
if (tep_not_null($product_info['products_url'])) {
	?>
	<div class="description"><?php echo sprintf(TEXT_MORE_INFORMATION, tep_mobile_link(FILENAME_REDIRECT, 'action=url&goto=' . urlencode($product_info['products_url']), 'NONSSL', true, false)); ?></div>
			<?php
}

if ($product_info['products_date_available'] > date('Y-m-d H:i:s')) {
	?>
	<div class="description"><?php echo sprintf(TEXT_DATE_AVAILABLE, utf8_encode(tep_date_long($product_info['products_date_available']))); ?></div>
			
			<?php
} else {
	?>
 
	<div class="description"><?php echo sprintf(TEXT_DATE_ADDED, utf8_encode(tep_date_long($product_info['products_date_added']))); ?></div>
			
			<?php
}
?>

<div class="description">
<br>
<?php
			$reviews_query = tep_db_query("select count(*) as count from " . TABLE_REVIEWS . " r, " . TABLE_REVIEWS_DESCRIPTION . " rd where r.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and r.reviews_id = rd.reviews_id and rd.languages_id = '" . (int)$languages_id . "' and reviews_status = 1");
			$reviews = tep_db_fetch_array($reviews_query);

?>
	<div class="bouton">
	        <?php echo '<span style="float:left;">' . tep_draw_button(IMAGE_BUTTON_REVIEWS . (($reviews['count'] > 0) ? ' (' . $reviews['count'] . ')' : ''), 'comment', tep_mobile_link(FILENAME_PRODUCT_REVIEWS, tep_get_all_get_params())) . '</span>'; ?>
	</div>

</div>
</div>
<?php
//added for cross -sell
	if ((USE_CACHE == 'true') && empty($SID)) {
		if (tep_not_null(tep_mobile_cache_xsell_products(3600))) {
			?><div id="ficheProdMid"><?php
			echo tep_mobile_cache_xsell_products(3600); //added for Xsell
			?></div><?php
		}
		if (tep_not_null(tep_mobile_cache_also_purchased(3600))) {
			?><div id="ficheProdMid"><?php
			echo tep_mobile_cache_also_purchased(3600);
			?></div><?php
		}
	} else {
	    //include(DIR_WS_MODULES . FILENAME_XSELL_PRODUCTS); //added for Xsell
		include(DIR_MOBILE_MODULES . FILENAME_XSELL_PRODUCTS); //added for Xsell
		include(DIR_MOBILE_MODULES . FILENAME_ALSO_PURCHASED_PRODUCTS);
	}
}
?>
<?php require(DIR_MOBILE_INCLUDES . 'footer.php');
?>