<?php
require_once('includes/application_top.php');
global $request_type;

    $define_list = array('PRODUCT_LIST_MODEL' => MOBILE_PRODUCT_LIST_MODEL,
                         'PRODUCT_LIST_NAME' => MOBILE_PRODUCT_LIST_NAME,
                         'PRODUCT_LIST_MANUFACTURER' => MOBILE_PRODUCT_LIST_MANUFACTURER,
                         'PRODUCT_LIST_PRICE' => MOBILE_PRODUCT_LIST_PRICE,
                         'PRODUCT_LIST_QUANTITY' => MOBILE_PRODUCT_LIST_QUANTITY,
                         'PRODUCT_LIST_WEIGHT' => MOBILE_PRODUCT_LIST_WEIGHT,
                         'PRODUCT_LIST_IMAGE' => MOBILE_PRODUCT_LIST_IMAGE,
                         'PRODUCT_LIST_BUY_NOW' => MOBILE_PRODUCT_LIST_BUY_NOW);

    asort($define_list);

    $column_list = array();
    reset($define_list);
    while (list($key, $value) = each($define_list)) {
      if ($value > 0) $column_list[] = $key;
    }

    $select_column_list = '';

    for ($i=0, $n=sizeof($column_list); $i<$n; $i++) {
      switch ($column_list[$i]) {
        case 'PRODUCT_LIST_MODEL':
          $select_column_list .= 'p.products_model, ';
          break;
        case 'PRODUCT_LIST_NAME':
          $select_column_list .= 'pd.products_name, ';
          break;
        case 'PRODUCT_LIST_MANUFACTURER':
          $select_column_list .= 'm.manufacturers_name, ';
          break;
        case 'PRODUCT_LIST_QUANTITY':
          $select_column_list .= 'p.products_quantity, ';
          break;
        case 'PRODUCT_LIST_IMAGE':
          $select_column_list .= 'p.products_image, ';
          break;
        case 'PRODUCT_LIST_WEIGHT':
          $select_column_list .= 'p.products_weight, ';
          break;
      }
    }

//BOF Protected Images p.image_folder, p.image_display,
	$listing_sql = 	"select distinct	p.products_id,  
						p.products_quantity,
						p.products_model,
    						p.products_image, 
						p.image_folder, 
						p.image_display,							
    						p.products_price, 
    						p.products_date_added, 
						p.products_weight,
    						p.products_tax_class_id, 
    						p.manufacturers_id, 
    						m.manufacturers_name,
    						pd.products_name, 
    						IF(s.status, s.specials_new_products_price, NULL) as specials_new_products_price, 
    						IF(s.status, s.specials_new_products_price, p.products_price) as final_price from " . 
    						TABLE_PRODUCTS_DESCRIPTION . " pd," .
    						TABLE_PRODUCTS . " p left join " . 
    						TABLE_MANUFACTURERS . " m on p.manufacturers_id = m.manufacturers_id left join " . 
    						TABLE_SPECIALS . " s on p.products_id = s.products_id, " . 
    						TABLE_PRODUCTS_TO_CATEGORIES . " p2c 
    						where p.products_status = '1' 
    						and p.products_id = p2c.products_id 
    						and pd.products_id = p2c.products_id 
    						and pd.language_id = '" . (int)$languages_id . "' 
    						and s.status = '1'";    						
 
    if (isset($HTTP_GET_VARS['manufacturers_id'])) 
        $listing_sql .= " and m.manufacturers_id = '" . (int)$HTTP_GET_VARS['manufacturers_id'] . "'";
        
    if ( (!isset($HTTP_GET_VARS['sort'])) || (!preg_match('/^[1-8][ad]$/', $HTTP_GET_VARS['sort'])) || (substr($HTTP_GET_VARS['sort'], 0, 1) > sizeof($column_list)) ) {
      for ($i=0, $n=sizeof($column_list); $i<$n; $i++) {
        if ($column_list[$i] == 'PRODUCT_LIST_NAME') {
          $HTTP_GET_VARS['sort'] = $i+1 . 'a';
          $listing_sql .= " order by pd.products_name";
          break;
        }
      }
    } else {
      $sort_col = substr($HTTP_GET_VARS['sort'], 0 , 1);
      $sort_order = substr($HTTP_GET_VARS['sort'], 1);

      switch ($column_list[$sort_col-1]) {
        case 'PRODUCT_LIST_MODEL':
          $listing_sql .= " order by p.products_model " . ($sort_order == 'd' ? 'desc' : '') . ", pd.products_name";
          break;
        case 'PRODUCT_LIST_NAME':
          $listing_sql .= " order by pd.products_name " . ($sort_order == 'd' ? 'desc' : '');
          break;
        case 'PRODUCT_LIST_MANUFACTURER':
          $listing_sql .= " order by m.manufacturers_name " . ($sort_order == 'd' ? 'desc' : '') . ", pd.products_name";
          break;
        case 'PRODUCT_LIST_QUANTITY':
          $listing_sql .= " order by p.products_quantity " . ($sort_order == 'd' ? 'desc' : '') . ", pd.products_name";
          break;
        case 'PRODUCT_LIST_IMAGE':
          $listing_sql .= " order by pd.products_name";
          break;
        case 'PRODUCT_LIST_WEIGHT':
          $listing_sql .= " order by p.products_weight " . ($sort_order == 'd' ? 'desc' : '') . ", pd.products_name";
          break;
        case 'PRODUCT_LIST_PRICE':
          $listing_sql .= " order by final_price " . ($sort_order == 'd' ? 'desc' : '') . ", pd.products_name";
          break;
      }
    }

    // check if there are manufacturers
    $manufacturers_query = tep_db_query("select manufacturers_id, manufacturers_name from " . TABLE_MANUFACTURERS . " order by manufacturers_name");

    $classic_site = HTTP_SERVER . DIR_WS_HTTP_CATALOG . FILENAME_SPECIALS . (tep_not_null(tep_get_all_get_params())? '?' . tep_get_all_get_params(): '');
    require(DIR_MOBILE_INCLUDES . 'header.php');
    require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_SPECIALS);
    require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_DEFAULT);
    $headerTitle->write();
    
?>
<div id="iphone_content">
<?php
// BOF manufacturers menu
if ($number_of_rows = tep_db_num_rows($manufacturers_query) && SHOW_MANUFACTURERS_CATALOG_MENU == 'true') {
	?>
	<div class="cms">
	<?php
	$manufacturers_array = array();
	if (MAX_MANUFACTURERS_LIST < 2) {
		$manufacturers_array[] = array('id' => '', 'text' => (($HTTP_GET_VARS['manufacturers_id'] > 0)? TEXT_MOBILE_BACK_TO_CATEGORIES : PULL_DOWN_DEFAULT));
	}

	while ($manufacturers = tep_db_fetch_array($manufacturers_query)) {
		$manufacturers_name = ((strlen($manufacturers['manufacturers_name']) > MAX_DISPLAY_MANUFACTURER_NAME_LEN) ? substr($manufacturers['manufacturers_name'], 0, MAX_DISPLAY_MANUFACTURER_NAME_LEN) . '..' : $manufacturers['manufacturers_name']);
		$manufacturers_array[] = array('id' => $manufacturers['manufacturers_id'],
                	                       'text' => $manufacturers_name);
        }

        echo tep_draw_form('manufacturers', tep_mobile_link(FILENAME_SPECIALS, '', $request_type, false), 'get') .
             TEXT_MOBILE_MANUFACTURERS . ':&nbsp;&nbsp;' . tep_draw_pull_down_menu('manufacturers_id', $manufacturers_array, (isset($HTTP_GET_VARS['manufacturers_id']) ? $HTTP_GET_VARS['manufacturers_id'] : ''), 'onChange="this.form.submit();" size="' . MAX_MANUFACTURERS_LIST . '" data-theme="a" ') . tep_hide_session_id();
echo '</form></div>';
}
// EOF manufacturers menu
?>
<div id="cms">
<?php
	require(DIR_MOBILE_MODULES . 'products.php');
?>
</div>
<div class="cms">
	
	<?php 


echo tep_button_jquery(IMAGE_BUTTON_BACK,tep_mobile_link(FILENAME_CATALOG_MB),'b','button','data-icon="back"');


?>  
	
</div>
<?php
	require(DIR_MOBILE_INCLUDES . 'footer.php'); 
?>
