<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 osCommerce

  Released under the GNU General Public License
*/

define('NAVBAR_TITLE', 'Conditions of Use');
define('HEADING_TITLE', 'Conditions of Use');

// AGB fr die Infosseite
define('TEXT_INFORMATION', 'Instead of the right of withdrawal an is granted right of return customers, which is explained in more detail in the right of withdrawal.
<h3>&sect; 1 Scope </h3>
<ol>
	<li> The following terms and conditions are part of every contract between Elektrohandel und Schaltanlagen Fuchs, Zieglersteig 2, 93426 Roding-Strahlfeld (in the following: seller) and the buyer as also their successors. This applies only in so far as the general terms and conditions are incorporated effectively into the Treaty.</li>
	<li> The seller provides its services, deliveries and services exclusively on the basis of these general terms and conditions. Deviating conditions of the buyer are not accepted by him, unless there is an express written consent by the seller. </li>
	<li> The validity of these general terms and conditions extends to all services, deliveries and services of the seller. The buyer accepts these terms and conditions binding with the use of the services, supplies, or services of the seller than for him. </li> 
</ol>
<h3>&sect; 2 Conclusion of the contract</h3>

<ol>
	<li> The presentation of the products in the online shop of the seller is not a legally binding offer, but a noncommittal online catalog. A binding order of the goods contained in the shopping cart by clicking on the button "pay order" gives the buyer. </li>
The contract then comes through
<ol type="a">
<li>  the individual written contract acceptance by the seller or</li>
<li> implied by the immediate dispatch of the goods requested by the buyer to the delivery address specified by the buyer. </li>
</ol>
<li> The order confirmation that is sent automatically via email to the purchaser represents still no acceptance of contract by the seller. </li>
<li> The language for the contract to provide is exclusively German and English.</li>
</ol>

<h3>&sect; 3 Delivery, shipping, transfer of risk</h3>
It is delivered to the shipping costs stated in individual cases. The risk of accidental loss and accidental deterioration are transferred to the buyer as soon as the goods is handed by the seller logistics partner responsible for. This only applies if the buyer is an entrepreneur. Otherwise the so-called risk upon delivery of the item to the buyer on these passes.<br>
<h3>&sect; 4 Retention of title</h3>

Until fulfilment of all claims including the balance and ancillary claims, now or in the future related to the seller for any legal reason against the buyer, the seller reserves ownership of the delivered goods. <br>

<h3>&sect; 5 Payments</h3>

<ol>
   <li> The prices listed at the time of the order on the seller&lsquo;s website are valid. </li>
<li> The purchase price plus shipping costs is due with conclusion of the contract immediately without deduction. The payment of the purchase price in addition to shipping costs according to choice of the purchaser using one of the payment methods displayed in the ordering process. For credit card payments, the buyer&lsquo;s credit card company is commissioned to collect the invoice amount, as soon as the seller has made the shipping of the goods. </li>
<li> All prices are to be understood as retail prices including VAT.</li>
<li> In default of payment of the purchaser is obliged to pay interest on arrears in the amount of 5 percentage points p. a. above the respective base interest rate to the seller if he consumer (&sect; 13 BGB) is. The customer is entrepreneur (&sect; 14 BGB), is section 5 para 4 S. 1 subject to the proviso that the default interest rate is 8 percentage points above the base interest rate. </li>
<li> Any agreed discounts are not granted insofar as the buyer paying former deliveries of the seller is in default. </li>
<li> Liberty regardless of &sect; 5 ABS. 4 the seller, to prove a higher damages as well as any other damage.</li>
</ol>

<h3>&sect; 6 Limitation periods &#047; obligations and complaint investigation</h3>

<ol>
   <li> The limitation period of the claims arising from the liability for defects is 24 months and begins with the delivery of the purchased goods. The buyer is entrepreneur (&sect; 14 BGB), so the period of 12 months from delivery of the thing is. </li>
<li> &sect; 6  paragraph 1 does not apply to liability for damages arising from the injury to body or health, based on a negligent breach of duty of the seller or an intentional or negligent breach of duty of a legal representative or vicarious agent of the seller.  </li>
<li> &sect; 6  paragraph 1 does not apply to the liability for other damages based on a negligent breach of duty of the seller or an intentional or grossly negligent breach of duty of a legal representative or vicarious agent of the seller. </li>
<li> The legislation, inspection and complaint obligations apply to merchants according to the HGB.</li>
</ol>

<h3>&sect; 7 Liability</h3>

<ol>
   <li> For other than damage caused by injury of life, body and health, the seller is liable only insofar as they are based on intentional or grossly negligent action or culpable breach of an essential contractual obligation by the seller, its employees or its agents. The same applies to damages resulting from the violation of obligations during contract negotiations, as well as from the making of illicit acts. A further liability for damages is excluded. </li>
<li> Liability is limited to the contract-typical average damage except for intentional or grossly negligent behavior, amount to the violation of a cardinal obligation or injury of life, body and health by the seller, its employees or its agents to the damage typically foreseeable at the conclusion of the contract and the remainder. This applies also for indirect damages, especially loss of profit. </li>
<li> &sect; 6  of these general terms and conditions shall remain unaffected as well as the provisions of the product liability Act. </li>
</ol>

<h3>&sect; 8 Right of withdrawal</h3>

In the event that the purchaser of the right of withdrawal by law granted to him makes use, he has to bear the costs for returning the goods if the delivered goods correspond to the ordered and if the price of the returned goods is not higher than 40,00 euro on the one hand then. The same applies if the buyer at a price of goods of more than 40. 00 euros at the time of the revocation yet not provided consideration or a contractually agreed partial payment.<br>


<h3>&sect; 9 Privacy policy</h3>

The seller&lsquo;s privacy policy applies with regard to data protection.<br>


<h3>&sect; 10 Miscellaneous</h3>
<ol>
<li> German law under exclusion of the UN purchase law shall apply. Without prejudice to mandatory provisions of the country in which the consumer has his habitual residence. </li>
<li> If the purchaser is a merchant or has no general place of jurisdiction in Germany or moved his residence abroad after conclusion of the contract domiciled at the time of the action is not known, the place of fulfilment and place of jurisdiction for the disputes resulting from this contract are the seat of the seller. </li>
<li> Should individual provisions of this contract be ineffective or contradict the statutory provisions, so the contract is not affected in the rest.</li>
</ol>
');

//osc-support-edition BOF
// AGB fr die Checkout Seite
define('TEXT_AGB_CHECKOUT', 'Instead of the right of withdrawal an is granted right of return customers, which is explained in more detail in the right of withdrawal.
<h3>&sect; 1 Scope </h3>
<ol>
	<li> The following terms and conditions are part of every contract between Elektrohandel und Schaltanlagen Fuchs, Zieglersteig 2, 93426 Roding-Strahlfeld (in the following: seller) and the buyer as also their successors. This applies only in so far as the general terms and conditions are incorporated effectively into the Treaty.</li>
	<li> The seller provides its services, deliveries and services exclusively on the basis of these general terms and conditions. Deviating conditions of the buyer are not accepted by him, unless there is an express written consent by the seller. </li>
	<li> The validity of these general terms and conditions extends to all services, deliveries and services of the seller. The buyer accepts these terms and conditions binding with the use of the services, supplies, or services of the seller than for him. </li> 
</ol>
<h3>&sect; 2 Conclusion of the contract</h3>

<ol>
	<li> The presentation of the products in the online shop of the seller is not a legally binding offer, but a noncommittal online catalog. A binding order of the goods contained in the shopping cart by clicking on the button "pay order" gives the buyer. </li>
The contract then comes through
<ol type="a">
<li>  the individual written contract acceptance by the seller or</li>
<li> implied by the immediate dispatch of the goods requested by the buyer to the delivery address specified by the buyer. </li>
</ol>
<li> The order confirmation that is sent automatically via email to the purchaser represents still no acceptance of contract by the seller. </li>
<li> The language for the contract to provide is exclusively German and English.</li>
</ol>

<h3>&sect; 3 Delivery, shipping, transfer of risk</h3>
It is delivered to the shipping costs stated in individual cases. The risk of accidental loss and accidental deterioration are transferred to the buyer as soon as the goods is handed by the seller logistics partner responsible for. This only applies if the buyer is an entrepreneur. Otherwise the so-called risk upon delivery of the item to the buyer on these passes.<br>
<h3>&sect; 4 Retention of title</h3>

Until fulfilment of all claims including the balance and ancillary claims, now or in the future related to the seller for any legal reason against the buyer, the seller reserves ownership of the delivered goods. <br>

<h3>&sect; 5 Payments</h3>

<ol>
   <li> The prices listed at the time of the order on the seller&lsquo;s website are valid. </li>
<li> The purchase price plus shipping costs is due with conclusion of the contract immediately without deduction. The payment of the purchase price in addition to shipping costs according to choice of the purchaser using one of the payment methods displayed in the ordering process. For credit card payments, the buyer&lsquo;s credit card company is commissioned to collect the invoice amount, as soon as the seller has made the shipping of the goods. </li>
<li> All prices are to be understood as retail prices including VAT.</li>
<li> In default of payment of the purchaser is obliged to pay interest on arrears in the amount of 5 percentage points p. a. above the respective base interest rate to the seller if he consumer (&sect; 13 BGB) is. The customer is entrepreneur (&sect; 14 BGB), is section 5 para 4 S. 1 subject to the proviso that the default interest rate is 8 percentage points above the base interest rate. </li>
<li> Any agreed discounts are not granted insofar as the buyer paying former deliveries of the seller is in default. </li>
<li> Liberty regardless of &sect; 5 ABS. 4 the seller, to prove a higher damages as well as any other damage.</li>
</ol>

<h3>&sect; 6 Limitation periods &#047; obligations and complaint investigation</h3>

<ol>
   <li> The limitation period of the claims arising from the liability for defects is 24 months and begins with the delivery of the purchased goods. The buyer is entrepreneur (&sect; 14 BGB), so the period of 12 months from delivery of the thing is. </li>
<li> &sect; 6  paragraph 1 does not apply to liability for damages arising from the injury to body or health, based on a negligent breach of duty of the seller or an intentional or negligent breach of duty of a legal representative or vicarious agent of the seller.  </li>
<li> &sect; 6  paragraph 1 does not apply to the liability for other damages based on a negligent breach of duty of the seller or an intentional or grossly negligent breach of duty of a legal representative or vicarious agent of the seller. </li>
<li> The legislation, inspection and complaint obligations apply to merchants according to the HGB.</li>
</ol>

<h3>&sect; 7 Liability</h3>

<ol>
   <li> For other than damage caused by injury of life, body and health, the seller is liable only insofar as they are based on intentional or grossly negligent action or culpable breach of an essential contractual obligation by the seller, its employees or its agents. The same applies to damages resulting from the violation of obligations during contract negotiations, as well as from the making of illicit acts. A further liability for damages is excluded. </li>
<li> Liability is limited to the contract-typical average damage except for intentional or grossly negligent behavior, amount to the violation of a cardinal obligation or injury of life, body and health by the seller, its employees or its agents to the damage typically foreseeable at the conclusion of the contract and the remainder. This applies also for indirect damages, especially loss of profit. </li>
<li> &sect; 6  of these general terms and conditions shall remain unaffected as well as the provisions of the product liability Act. </li>
</ol>

<h3>&sect; 8 Right of withdrawal</h3>

In the event that the purchaser of the right of withdrawal by law granted to him makes use, he has to bear the costs for returning the goods if the delivered goods correspond to the ordered and if the price of the returned goods is not higher than 40,00 euro on the one hand then. The same applies if the buyer at a price of goods of more than 40. 00 euros at the time of the revocation yet not provided consideration or a contractually agreed partial payment.<br>


<h3>&sect; 9 Privacy policy</h3>

The seller&lsquo;s privacy policy applies with regard to data protection.<br>


<h3>&sect; 10 Miscellaneous</h3>
<ol>
<li> German law under exclusion of the UN purchase law shall apply. Without prejudice to mandatory provisions of the country in which the consumer has his habitual residence. </li>
<li> If the purchaser is a merchant or has no general place of jurisdiction in Germany or moved his residence abroad after conclusion of the contract domiciled at the time of the action is not known, the place of fulfilment and place of jurisdiction for the disputes resulting from this contract are the seat of the seller. </li>
<li> Should individual provisions of this contract be ineffective or contradict the statutory provisions, so the contract is not affected in the rest.</li>
</ol>
');

//osc-support-edition BOF
?>