<?php
require_once('includes/application_top.php');
require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_PRODUCT_INFO);
require(DIR_MOBILE_INCLUDES . 'header.php');

  if (!isset($HTTP_GET_VARS['products_id'])) {
        tep_redirect(tep_href_link(FILENAME_DEFAULT));
  }

  $product_check_query = tep_db_query("select count(*) as total from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and pd.products_id = p.products_id and pd.language_id = '" . (int)$languages_id . "'");
  $product_check = tep_db_fetch_array($product_check_query);
?>


<div id="iphone_content">
	<?php
	echo tep_draw_form('cart_quantity', tep_mobile_link(FILENAME_PRODUCT_INFO, tep_get_all_get_params(array('action')) . 'action=add_product'));

	if ($product_check['total'] < 1) {
		$headerTitle->write(TEXT_PRODUCT_NOT_FOUND);  ?>
		<div id="cms">
			<?php echo TEXT_PRODUCT_NOT_FOUND; ?>
			<div id="bouton">
				<?php echo tep_draw_button(IMAGE_BUTTON_CONTINUE, 'triangle-1-e', tep_mobile_link(FILENAME_DEFAULT), 'primary'); ?>  
			</div>
		</div>
		<?php
	} else {
		$product_info_query = tep_db_query("select p.products_id, pd.products_name, pd.products_description, p.products_model, p.products_quantity, p.products_image, p.image_folder, p.image_display, pd.products_url, p.products_price, p.products_baseprice, p.products_baseprice_unit, p.products_tax_class_id, p.products_date_added, p.products_date_available, p.products_weight, p.manufacturers_id, p.products_gtin, p.products_isbn, p.products_upc, p.products_brand, p.products_condition, p.products_mpn from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and pd.products_id = p.products_id and pd.language_id = '" . (int)$languages_id . "'");
		$product_info = tep_db_fetch_array($product_info_query);

		tep_db_query("update " . TABLE_PRODUCTS_DESCRIPTION . " set products_viewed = products_viewed+1 where products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and language_id = '" . (int)$languages_id . "'");

		if ($new_price = tep_get_products_special_price($product_info['products_id'])) {
			$products_price = '<del>' . $currencies->display_price($product_info['products_price'], tep_get_tax_rate($product_info['products_tax_class_id'])) . '</del> <span class="productSpecialPrice">' . $currencies->display_price($new_price, tep_get_tax_rate($product_info['products_tax_class_id'])) . '</span>';
		} else {
			$products_price = $currencies->display_price($product_info['products_price'], tep_get_tax_rate($product_info['products_tax_class_id']));
		}

		if (tep_not_null($product_info['products_model'])) {
			$products_name = $product_info['products_name'] . '<br /><span class="smallText">[' . $product_info['products_model'] . ']</span>';
		} else {
			$products_name = $product_info['products_name'];
					}
		// PRODUCTS SHIP FREE START
		if(tep_products_ship_free_check($product_info['products_id']))
			  $products_name .= '<br /><span class="smallText">(' . TEXT_PRODUCT_SHIPS_FREE . ')</span>';
		// PRODUCTS SHIP FREE END
		if (tep_not_null($product_info['products_gtin'])) {
		   $products_name .= ' <span class="smallText">['.TEXT_PRODUCT_GTIN .' ' . $product_info['products_gtin'] . ']</span>';
		}
		if (tep_not_null($product_info['products_isbn'])) {
		   $products_name .= ' <span class="smallText">['.TEXT_PRODUCT_ISBN .' ' . $product_info['products_isbn'] . ']</span>';
		}
		if (tep_not_null($product_info['products_upc'])) {
		   $products_name .= ' <span class="smallText">['.TEXT_PRODUCT_UPC .' ' . $product_info['products_upc'] . ']</span>';
		}
		if (tep_not_null($product_info['products_brand'])) {
		   $products_name .= ' <span class="smallText">['.TEXT_PRODUCT_BRAND .' ' . $product_info['products_brand'] . ']</span>';
		}
		if (tep_not_null($product_info['products_mpn'])) {
	   $products_name .= ' <span class="smallText">['.TEXT_PRODUCT_MPN .' ' . $product_info['products_mpn'] . ']</span>';

		}
			//social bookmarks BOF
		if (PRODUCT_INFO_SOCIALBOOK_MOBILE == 'true') {
			 if (tep_not_null(MODULE_SOCIAL_BOOKMARKS_INSTALLED)) {
				$sbm_array = explode(';', MODULE_SOCIAL_BOOKMARKS_INSTALLED);
				$social_bookmarks = array();
				foreach ( $sbm_array as $sbm ) {
				  $class = substr($sbm, 0, strrpos($sbm, '.'));
				  if ( !class_exists($class) ) {
					include(DIR_WS_LANGUAGES . $language . '/modules/social_bookmarks/' . $sbm);
					include(DIR_WS_MODULES . 'social_bookmarks/' . $class . '.php');
				  }
				  $sb = new $class();
				  if ( $sb->isEnabled() ) {
					$social_bookmarks[] = $sb->getOutput();
				  }
				}
				if (!empty($social_bookmarks))  $social = implode(' ', $social_bookmarks);
			  }
		}
		//social bookmarks EOF
		$headerTitle->write($product_info['products_name']);
		?>
	<div class="ui-grid-a ui-responsive">
		<div class="ui-block-a">
		<div id="ficheProdTop">
		<h1><?php echo $products_name; ?></h1>
		<?php
		//BOF Protected Images
	    // if (tep_not_null($product_info['products_image'])) {
		if ($product_info['image_display'] == 1) { // use "No Picture Available" image
		  echo '<div id="prodImage">' .tep_image(DIR_WS_LANGUAGES . $language . '/images/' . 'no_picture.gif', TEXT_NO_PICTURE, SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT, 'hspace="5" vspace="5" style="float:;"').'</div>';
		} elseif (($product_info['image_display'] != 2) && (tep_not_null($product_info['products_image']))) { // show product images
		//BOF Protected Images
			$pi_query = tep_db_query("select image, htmlcontent from " . TABLE_PRODUCTS_IMAGES . " where products_id = '" . (int)$product_info['products_id'] . "' order by sort_order");

			if (tep_db_num_rows($pi_query) > 0) {
				?>
				<div id="prodImage">
					<?php
					$pi_counter = 0;
					while ($pi = tep_db_fetch_array($pi_query)) {
						$pi_counter++;

						$pi_entry = '        <a class="fancyLink" data-fancybox-group="group" href="';

						if (tep_not_null($pi['htmlcontent'])) {
							$pi_entry .= '#piGalimg_' . $pi_counter;
						} else {
							//$pi_entry .= HTTP_SERVER . DIR_WS_HTTP_CATALOG . 'images/' . $pi['image'];
						    $pi_entry .= HTTP_SERVER . DIR_WS_IMAGES_PROD . $product_info['image_folder'] . $pi['image'];
						}

						//$pi_entry .= '" target="_blank">' . tep_image(DIR_WS_IMAGES . $pi['image'], $product_info['products_name'], MOBILE_IMAGE_WIDTH, MOBILE_IMAGE_HEIGHT) . '</a>';
						$pi_entry .= '" target="_blank">' . tep_image(DIR_WS_IMAGES_PROD . $product_info['image_folder'] . $pi['image'], $product_info['products_name'] , MOBILE_IMAGE_WIDTH,MOBILE_IMAGE_HEIGHT) . '</a>';
						if (tep_not_null($pi['htmlcontent'])) {
							$pi_entry .= '<div style="display: none;"><div id="piGalimg_' . $pi_counter . '">' . $pi['htmlcontent'] . '</div>';
						}
						if ($pi_counter == 1) {
						echo $pi_entry;
						}
					}
					?>
				</div>
				<?php
			} else {
				?>

				<div id="prodImage">
					<?php echo '<a class="fancyLink" data-fancybox-group="group" href="' . HTTP_SERVER . DIR_WS_HTTP_CATALOG . DIR_WS_IMAGES_PROD . $product_info['image_folder'] . $product_info['products_image'] . '" target="_blank">' . tep_image(DIR_WS_IMAGES_THUMBS . $product_info['image_folder'] . $product_info['products_image'], addslashes($product_info['products_name']), null, null) . '</a>'; ?>
				</div>

				<?php
			}
		}

		?>
			<?php

	// osc-support-edition BOF
	   $baseprice = '';
	   $baseprice_unit = '';
	   if($product_info['products_baseprice'] > 0){
		 $baseprice = TEXT_BASEPRICE .' btto '. $currencies->display_price_normal($product_info['products_baseprice'], tep_get_tax_rate($product_info['products_tax_class_id'])) . ' | ' . $product_info['products_baseprice_unit'];
	   }
	?>
		<div class="prodPrice"><?php echo $products_price; ?></div>
		<div style="font-size:10px; margin-top:5px;"><?php echo $baseprice; ?></div>
			<?php

			//++++ QT Pro: End Changed Code
			$products_attributes_query = tep_db_query("select count(*) as total from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_ATTRIBUTES . " patrib where patrib.products_id='" . (int)$HTTP_GET_VARS['products_id'] . "' and patrib.options_id = popt.products_options_id and popt.language_id = '" . (int)$languages_id . "'");
			$products_attributes = tep_db_fetch_array($products_attributes_query);
			if ($products_attributes['total'] > 0) {
			//++++ QT Pro: Begin Changed code
				  $products_id=(preg_match("/^\d{1,10}(\{\d{1,10}\}\d{1,10})*$/",$HTTP_GET_VARS['products_id']) ? $HTTP_GET_VARS['products_id'] : (int)$HTTP_GET_VARS['products_id']); 
				  require(DIR_WS_CLASSES . 'pad_' . PRODINFO_ATTRIBUTE_PLUGIN . '.php');
				  $class = 'pad_' . PRODINFO_ATTRIBUTE_PLUGIN;
				  $pad = new $class($products_id);
				  echo $pad->draw();
				}

			//Display a table with which attributecombinations is on stock to the customer?
			if(PRODINFO_ATTRIBUTE_DISPLAY_STOCK_LIST == 'True'): require(DIR_WS_MODULES . "qtpro_stock_table.php"); endif;

			//++++ QT Pro: End Changed Code
			

			
			/*$products_attributes_query = tep_db_query("select count(*) as total from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_ATTRIBUTES . " patrib where patrib.products_id='" . (int)$HTTP_GET_VARS['products_id'] . "' and patrib.options_id = popt.products_options_id and popt.language_id = '" . (int)$languages_id . "'");
			$products_attributes = tep_db_fetch_array($products_attributes_query);
			if ($products_attributes['total'] > 0) {*/
					?>
					<!--<div class="options">
						<strong>--><?php //echo TEXT_PRODUCT_OPTIONS; ?><!--</strong>	
						<br />-->
						<?php
				/*$products_options_name_query = tep_db_query("select distinct popt.products_options_id, popt.products_options_name from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_ATTRIBUTES . " patrib where patrib.products_id='" . (int)$HTTP_GET_VARS['products_id'] . "' and patrib.options_id = popt.products_options_id and popt.language_id = '" . (int)$languages_id . "' order by popt.products_options_name");
				while ($products_options_name = tep_db_fetch_array($products_options_name_query)) {
					$products_options_array = array();
					$products_options_query = tep_db_query("select pov.products_options_values_id, pov.products_options_values_name, pa.options_values_price, pa.price_prefix from " . TABLE_PRODUCTS_ATTRIBUTES . " pa, " . TABLE_PRODUCTS_OPTIONS_VALUES . " pov where pa.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and pa.options_id = '" . (int)$products_options_name['products_options_id'] . "' and pa.options_values_id = pov.products_options_values_id and pov.language_id = '" . (int)$languages_id . "'");
					while ($products_options = tep_db_fetch_array($products_options_query)) {
						$products_options_array[] = array('id' => $products_options['products_options_values_id'], 'text' => $products_options['products_options_values_name']);
						if ($products_options['options_values_price'] != '0') {
							$products_options_array[sizeof($products_options_array)-1]['text'] .= ' (' . $products_options['price_prefix'] . $currencies->display_price($products_options['options_values_price'], tep_get_tax_rate($product_info['products_tax_class_id'])) .') ';
						}
					}

					if (is_string($HTTP_GET_VARS['products_id']) && isset($cart->contents[$HTTP_GET_VARS['products_id']]['attributes'][$products_options_name['products_options_id']])) {
						$selected_attribute = $cart->contents[$HTTP_GET_VARS['products_id']]['attributes'][$products_options_name['products_options_id']];
					} else {
						$selected_attribute = false;
					}*/
					?>
					<!--<div class="optName">
						<div data-role="fieldcontain">-->
							<?php //echo '<span style="position:relative; top:-14px">' . $products_options_name['products_options_name'] . ':   </span>' . tep_draw_pull_down_menu('id[' . $products_options_name['products_options_id'] . ']', $products_options_array, $selected_attribute, 'data-theme="a"'); ?>
						<!--</div>
					</div>-->
					<?php
				//}
				?><!--</div>
				<div class="bouton">-->
				<?php
			/*} else {*/
				?>
				<!--<div class="bouton">-->
				<?php
			/*}
				echo tep_draw_hidden_field('products_id', $product_info['products_id']) . '
				<input value="'.IMAGE_BUTTON_IN_CART.'" type="submit" name="cart" data-role="submit"  data-icon="plus" data-iconpos="right" data-theme="b">';
				*/
				?>
				<!--</div>
			</div>-->
		<?php 
		//social bookmarks BOF
		if (PRODUCT_INFO_SOCIALBOOK_MOBILE == 'true') {
		?>
		<!--<p class="social">-->
		<div style="clear:left;">
		<?php echo $social ?>
		</div><br>
		<!--</p>-->
		<?php } 
		//social bookmarks EOF
		?>
		<?php
			if (PRODUCT_INFO_WEIGHT == 'true') {
			echo TEXT_PRODUCT_WEIGHT . ' '.$product_info['products_weight'].' ';
			}
		?>
		<?php
			if (PRODUCT_INFO_QUANTITY == 'true') {
			echo TEXT_PRODUCT_QUANTITY . ' '.$product_info['products_quantity'];
			}
			?>
		<br>
		<?php
			if (tep_not_null($product_info['products_condition'])) {
			   $products_name .= ' <span class="smallText">['.TEXT_PRODUCT_CONDITION .' ' . $product_info['products_condition'] . ']</span>';
			}
		?>
		<br>
		<div class="bouton">
				<?php
				echo tep_draw_hidden_field('products_id', $product_info['products_id']) . '
				<input value="'.IMAGE_BUTTON_IN_CART.'" type="submit" name="cart" data-role="submit"  data-icon="plus" data-iconpos="right" data-theme="b">';
				
				?>
				</div>
			</div>
		</div>
		<div class="ui-block-b">
			<div id="ficheProdMid">
			<?php
			tep_db_query("update " . TABLE_PRODUCTS_DESCRIPTION . " set products_viewed = products_viewed+1 where products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and language_id = '" . (int)$languages_id . "'");
			?>
			<?php echo '<div class="description">' . stripslashes($product_info['products_description']) . '</div>'; ?>
			<?php
			if (tep_not_null($product_info['products_url'])) {
				echo '<div class="description">' . strip_tags(TEXT_MORE_INFORMATION) . tep_button_jquery(IMAGE_BUTTON_WEBPAGE, tep_mobile_link(FILENAME_REDIRECT, 'action=url&goto=' . $product_info['products_url'], 'NONSSL', true, false), 'b', 'button', 'data-inline="true" data-ajax="false" data-icon="info" data-mini="true"') . '</div>';
			}

			if ($product_info['products_date_available'] > date('Y-m-d H:i:s')) {
				echo '<div class="description">' . sprintf(TEXT_DATE_AVAILABLE, utf8_encode(tep_date_long($product_info['products_date_available']))) . '</div>';
			} else {
				echo '<div class="description">' . sprintf(TEXT_DATE_ADDED, utf8_encode(tep_date_long($product_info['products_date_added']))) . '</div>';
			}
			$reviews_query = tep_db_query("select count(*) as count from " . TABLE_REVIEWS . " r, " . TABLE_REVIEWS_DESCRIPTION . " rd where r.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and r.reviews_id = rd.reviews_id and rd.languages_id = '" . (int)$languages_id . "' and reviews_status = 1");
			$reviews = tep_db_fetch_array($reviews_query);
			?>
			</div>
		    </div>
		</div>
		<?php
		if (tep_not_null($product_info['products_image'])) {
			$pi_query = tep_db_query("select image, htmlcontent from " . TABLE_PRODUCTS_IMAGES . " where products_id = '" . (int)$product_info['products_id'] . "' order by sort_order");

			if (tep_db_num_rows($pi_query) > 1) {
				?>
				<div id="ficheProdImage">
				<div id="piGal">
					<ul>
					<?php
					$pi_counter = 0;
					while ($pi = tep_db_fetch_array($pi_query)) {
						$pi_counter++;

						$pi_entry = '        <li><a class="fancyLink" data-fancybox-group="group" href="';

						if (tep_not_null($pi['htmlcontent'])) {
							$pi_entry .= '#piGalimg_' . $pi_counter;
						} else {
							//$pi_entry .= HTTP_SERVER . DIR_WS_HTTP_CATALOG . 'images/' . $pi['image'];
							$pi_entry .= HTTP_SERVER . DIR_WS_IMAGES_PROD . $product_info['image_folder'] . $pi['image'];
						}

						//$pi_entry .= '" target="_blank">' . tep_image(DIR_WS_IMAGES . $pi['image'], $product_info['products_name'], MOBILE_IMAGE_WIDTH, MOBILE_IMAGE_HEIGHT) . '</a>';
						$pi_entry .= '" target="_blank">' . tep_image(DIR_WS_IMAGES_PROD . $product_info['image_folder'] . $pi['image'], $product_info['products_name'] , MOBILE_IMAGE_WIDTH,MOBILE_IMAGE_HEIGHT) . '</a>';
						if (tep_not_null($pi['htmlcontent'])) {
							$pi_entry .= '<div style="display: none;"><div id="piGalimg_' . $pi_counter . '">' . $pi['htmlcontent'] . '</div></div>';
						}
						$pi_entry .= '</li>';
						if ($pi_counter != 1) {
						echo $pi_entry;
						}
					}
					?>

					</ul>
				</div>
				</div>
				<?php
			}
			?>

<script>
$(document).ready(function() {
$(".fancyLink").fancybox({
openEffect : 'fade',
prevEffect : 'fade',
nextEffect : 'fade'
});
}); // ready
/* ]]> */
</script>
	
		<?php
		}
		?>
			<div class="cms">
				<div class="bouton">
					<?php echo  tep_button_jquery(IMAGE_BUTTON_BACK,'#','b','button','data-rel="back" data-inline="true" data-icon="back" ') . tep_button_jquery( IMAGE_BUTTON_REVIEWS . (($reviews['count'] > 0) ? ' (' . $reviews['count'] . ')' : '') , tep_mobile_link(FILENAME_PRODUCT_REVIEWS, tep_get_all_get_params()) , 'b' , 'button' , 'data-icon="edit" data-iconpos="right" data-inline="true" ' ); ?>
				</div>
			</div>
		<?php
		if ((USE_CACHE == 'true') && empty($SID)) {
			if (tep_not_null(tep_mobile_cache_xsell_products(3600))) {
				echo tep_mobile_cache_xsell_products(3600); //added for Xsell
			}
			if (tep_not_null(tep_mobile_cache_also_purchased(3600))) {
				echo tep_mobile_cache_also_purchased(3600);
			}
		} else {
			include(DIR_MOBILE_MODULES . FILENAME_XSELL_PRODUCTS); //added for Xsell
			include(DIR_MOBILE_MODULES . FILENAME_ALSO_PURCHASED_PRODUCTS);
		}
	}
?>
</form>
<?php require(DIR_MOBILE_INCLUDES . 'footer.php');
?>